initramfs-tools (0.142ubuntu25.4) noble; urgency=medium

  * hook-functions: Call _call_dracut_install instead of manual_add_modules
    when using module filters to fix the regression from previous version
    (LP: #2081700)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 24 Sep 2024 12:49:29 +0200

initramfs-tools (0.142ubuntu25.3) noble; urgency=medium

  * hook-functions: Include all UFS storage drivers (LP: #2081020)
  * reduce number of dracut-install calls: stage all kernel module copying
    when running scripts in /usr/share/initramfs-tools/hooks and copy
    all kernel modules in one go afterwards. (LP: #2081334)
  * Fix build failure with netplan.io 1.0.1-1ubuntu2~24.04.1:
    - test: Make netplan test configs not accessible by others
    - Build-depend on udev for udevadm used by netplan
  * test: Increase QEMU timeout to 120s

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 20 Sep 2024 20:32:24 +0200

initramfs-tools (0.142ubuntu25.2) noble; urgency=medium

  [ Jeffery To ]
  * Fix resume failure due to resume=UUID=... in certain cases (LP: #1769297)
  * hooks/resume: Fix resume device type check

  [ Benjamin Drung ]
  * resume: always write valid resume device to /sys/power/resume (LP: #1769297)
  * mkinitramfs: Resolve hidden dependencies after all modules were copied
  * reduce number of dracut-install calls: group dracut-install calls for
    block modules in auto_add_modules and use copy_modules_dir code instead
    of dracut-install calls (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Jul 2024 09:58:14 +0200

initramfs-tools (0.142ubuntu25.1) noble; urgency=medium

  * configure_network: Call dhcpcd with --nolink --noipv4ll to succeed getting
    a DHCP lease on the first try and avoid a 30 seconds delay (LP: #2065037)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 10 May 2024 15:03:48 +0200

initramfs-tools (0.142ubuntu25) noble; urgency=medium

  * Copy only dhcpcd user into initramfs /etc/passwd (LP: #2059739)
  * autopkgtest: Ignore remainig udev processes also on amd64

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 17 Apr 2024 17:55:09 +0200

initramfs-tools (0.142ubuntu24) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:08:30 +0000

initramfs-tools (0.142ubuntu23) noble; urgency=medium

  [ Daniel van Vugt ]
  * hooks/framebuffer: Only add simple/tiny framebuffer drivers. This is to
    limit the size of initrd when FRAMEBUFFER=y is soon enabled for desktop
    installations (LP: #1970069, #1869655).

  [ Benjamin Drung ]
  * autopkgtest: Increase QEMU timeouts on arm64/armhf
  * hooks/framebuffer:
    - Move adding framebuffer drivers into auto_add_modules
    - Drop looking in $MODULESDIR/initrd/ for kernel modules
    - Support MODULES=dep in framebuffer hook

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 21 Mar 2024 10:57:54 +0100

initramfs-tools (0.142ubuntu22) noble; urgency=medium

  * autopkgtest: update systemd-udevd path from /lib to /usr/lib

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Mar 2024 11:03:03 +0100

initramfs-tools (0.142ubuntu21) noble; urgency=medium

  [ Benjamin Drung ]
  * configure_networking:
    - Increase minimum timeout to 30 seconds
    - Fix configuring BOOTIF when using iSCSI (LP: #2056187)
    - Set interface MTU if provided by the DHCP server (LP: #2056194)
    - log sleep durations before retries
  * Copy /etc/passwd into the initramfs to allow dhcpcd running as dhcpcd user
  * Replace obsolete pkg-config build-dependency by pkgconf

  [ Dan Bungert ]
  * Restore nvdimm and dax pmem-related modules (LP: #1981385)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 11 Mar 2024 23:50:43 +0100

initramfs-tools (0.142ubuntu20) noble; urgency=medium

  [ Benjamin Drung ]
  * Fix determing multiarch dir when using libc6-prof's libc.so.6 (LP: #2054171)
  * autopkgtest: Use qemu-system-$(dpkg --print-architecture)

  [ Adam Vodopjan ]
  * unmkinitramfs: add count_bytes iflag in a dd call (LP: #2055055)

  [ Florent 'Skia' Jacquet ]
  * d/t/test-common: fix finding klibc.so

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 02 Mar 2024 17:08:38 +0100

initramfs-tools (0.142ubuntu19) noble; urgency=medium

  * copy_exec: ignore ldd output lines not starting with a tab (LP: #2046570)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 19 Dec 2023 15:28:14 +0100

initramfs-tools (0.142ubuntu18) noble; urgency=medium

  * Let initramfs-tools-core depend on e2fsprogs because fixrtc hook uses
    /sbin/dumpe2fs (LP: #1831747)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 08 Dec 2023 00:15:22 +0100

initramfs-tools (0.142ubuntu17) noble; urgency=medium

  * install hid-multitouch module for Surface Pro 4 keyboard (LP: #1772094)
  * test: log build_initramfs calls

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 15 Nov 2023 19:16:46 +0100

initramfs-tools (0.142ubuntu16) noble; urgency=medium

  * Install nvmem, soc, power, and System Power Management Interface (SPMI)
    kernel modules on ARM/RISC-V for MediaTek boards (LP: #2038512)
  * Install intel_lpss_pci and spi_pxa2xx_platform kernel modules for keyboard
    on MacBook Pro 2017 (LP: #2042710)
  * Install surface_aggregator_registry for keyboard on Surface Laptop 4
    (LP: #2007050)
  * framebuffer: Add privacy screen modules to the initrd (LP: #1954320)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 14 Nov 2023 19:34:42 +0100

initramfs-tools (0.142ubuntu15) mantic; urgency=medium

  * scripts/functions: do not fail to configure networking too quickly. In
    particular make sure an unsuccessful attempt to run DHCP takes at least
    $ROUNDTTT seconds. (LP: #2037202)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 Oct 2023 12:02:13 +1300

initramfs-tools (0.142ubuntu14) mantic; urgency=medium

  * mkinitramfs: Skip compression support check if /boot/config-${version}
    is missing (LP: #2018171)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 26 Sep 2023 00:49:57 +0200

initramfs-tools (0.142ubuntu13) mantic; urgency=medium

  * Support usr-merged library path when detecting mutliarch dir (LP: #2037156)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 23 Sep 2023 13:45:37 +0200

initramfs-tools (0.142ubuntu12) mantic; urgency=medium

  * Change dracut-core dependency to newly created dracut-install package
    (LP: #2031304)
  * autopkgtest:
    - Explicitly specify supported architectures
    - Enable KVM if available (not available on Ubuntu runners)
    - log qemu parameters

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Aug 2023 10:58:40 +0200

initramfs-tools (0.142ubuntu11) mantic; urgency=medium

  * Use dracut-install in manual_add_modules to speed up mkinitramfs
    significantly (LP: #2031185)
  * Install tty/serial kernel modules. Dracut is doing the same. (LP: #2019435)
  * Harmonize kernel module installation with dracut's behavior (LP: #2031841):
    - Use the symbol regex from dracut-install to reduce the unnessary block
      and net kernel modules.
    - Install all usb/typec kernel modules instead of cherry-picking some.
    - Do not install ARM/RISCV specific modules on other architectures.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 18 Aug 2023 03:44:36 +0200

initramfs-tools (0.142ubuntu10) mantic; urgency=medium

  * Fix resolving wrong multiarch libdir in dhcpcd hook (LP: #2031363)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 15 Aug 2023 20:41:22 +0200

initramfs-tools (0.142ubuntu9) mantic; urgency=medium

  * Replace dhclient by dhcpcd (LP: #2024164)
  * Merge consecutive manual_add_modules calls into one

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 14 Aug 2023 18:09:08 +0200

initramfs-tools (0.142ubuntu8) mantic; urgency=medium

  [ Benjamin Drung ]
  * mkinitramfs:
    - Do not store intermediate main cpio archive
    - Put compressed kernel modules and firmware files in an uncompressed cpio
      (LP: #2028567)
  * Add support for zstd-compressed firmware
  * test: Ignore remaining systemd-udevd processes on arm64 as well
  * Update lintian overrides to format for lintian 2.116.3

  [ Loïc Minier ]
  * hook-functions: add stusb160x kernel module for Tegra IGX (LP: #2027636)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Jul 2023 14:05:19 +0200

initramfs-tools (0.142ubuntu7) mantic; urgency=medium

  * Extend autopkgtest to also run qemu on arm64, armhf, ppc64el, and s390x.
    (see upstream merge request !80)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Jul 2023 21:54:53 +0200

initramfs-tools (0.142ubuntu6) mantic; urgency=medium

  * To ease testing, always use the link-layer address as DHCP unique
    identifier (DUID-LL) for DHCPv6.
  * Drop direct dependency on isc-dhcp-client (it's not available on i386)
  * Add qemu-net-dnsmasq autopkgtest to test DHCPv6

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 23 Jun 2023 21:12:21 +0200

initramfs-tools (0.142ubuntu5) mantic; urgency=medium

  * scripts/functions: drop needing basename in initramfs
  * Bring up networking if ip or ip6 is specified on cmdline.
    Directly depend on isc-dhcp-client for that.
    (Closes: #789067, LP: #1463846) (see merge request !77)
  * Extent qemu-net autopkgtest to check more cases and results
  * Move git repository under the ~ubuntu-core-dev umbrella

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Jun 2023 15:19:50 +0200

initramfs-tools (0.142ubuntu4) mantic; urgency=medium

  * Include kernel/drivers/usb/typec/ucsi with MODULES=most along with other
    USB-C storage drivers.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 08 Jun 2023 17:49:02 +0000

initramfs-tools (0.142ubuntu3) mantic; urgency=medium

  * Port the net autopkgtest to the common test framework. This drops
    depending on downloading a cloud image from the Internet and reduces
    the execution time from 3:19 min down to 0:57 min.
  * test: Increase minimum ext2 block count (merge request !75)
  * Fix shellcheck SC1010 and SC2015

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 05 Jun 2023 12:23:21 +0200

initramfs-tools (0.142ubuntu2) lunar; urgency=medium

  * Fix/ignore ShellCheck findings. Mostly taken from Debian MR !73.
    Thanks to Damian Szuberski.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 06 Apr 2023 17:41:32 +0200

initramfs-tools (0.142ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1988418). Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing kernel install
      failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Trim leading whitespaces in dumpe2fs output so date command is happy in
      the fixrtc script
    - scripts/local-premount/fixrtc: ensure that the fixrtc script doesn't
      produce extraneous output from wait-for-root and date
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set to
      something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you need
      to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on kernel
      command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Revised mountroot failure support.  This is now deprecated and
      effectively removed.  However, to prevent breakage in other packages the
      add_mountroot_fail_hook function is still present as an empty stub.
    - resume: only resume when the partition contains a resume image
    - Fix resuming a hibernate session from a swapfile
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev to
      finish processing if we catch it in the act, and returns the filesystem
      type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - src/wait-for-root.c, scripts/local: add explicit support for PARTUUID, a
      syntax we may prefer for images that might boot without an initramfs.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since the
      Ubuntu interpretation of rootdelay is *not* a delay and this causes
      inconsistent behavior depending on whether the kernel or an initramfs is
      interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected to
      do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
    - split out IPv6 options in its own cmdline parameter: ip6= ; always use
      dhclient in this case if the value set is anything other than 'off' or
      'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any' as
      the name of an interface.
    - rework the stop conditions so that we properly handle the ROUNDTTT loop,
      timing out after a short period of time and trying again after a short
      sleep.
    - add a 'done' parameter for both ip= and ip6= so that we can properly
      exit the ROUNDTTT loop once we know that either there is no work to do,
      or that we've achieved what we wanted (that is, to bring up IPv4, IPv6,
      or possibly both).
    - Just let dhclient scan the interfaces if none is specified for IPv6.
      (previously unnoted)
    - Do not handle ip=rarp specially (ipconfig hasn't supported it for some
      time)
    - Call dhclient in simple cases for IPv4 (this makes some small observable
      changes -- for example ip=bootp will now make a DHCP request too -- but
      nothing that seems important).
    - Do not let dhclient processes hang around past the pivot and have them
      respect the shorter timeouts ipconfig was given.
    - Only source ipv4 config in configure_networking() if it exists.
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Run unittests during autopkgtests.
    - Add some autopkgtests for the network configuration processing.
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Adjust testsuite for correct expected netplan output.
    - Add tests to parse netplan.yaml with netplan generate.
    - Skip setting mac-address, unless unsupported unpredictable netnames are
      used.
    - scripts/functions:_render_netplan(): Make configure_networking() more
      resilient when called by set -e scripts.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Auto activate qeth devices on s390x hosts, when using ip= ip6= command
      lines.
    - Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
      commandline, and as VLAN= conf.d snippet.
    - Emit empty dictionary in the ethernets section, for static vlan configs
      without any matches, as otherwise it is invalid config.
    - Skip attempting to chzdev enable VLAN device
    - scripts/functions: Fix the fix for bug #1880735, fixing setting up vlans
      from the kernel commandline.
    - Drop renderer from netplan yaml, such that netplan uses the default
      rendered for the target system, i.e. NetworkManager on the desktop.
    - debian/{control,rules}: Don't run shellcheck on i386 to avoid pulling
      ghc into our minimal supported set for the pruned architecture.
    - Work out the kernel modules required to support ZFS filesystems and add
      them as necessary.
    - Add modules for nvme path components on multipath nvme.
    - debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
      in /boot.
    - Ensure we have a /usr/sbin directory in initramfs-tools-core
    - Drop usage of klibc-utils' fstype in favor of always using udev blkid.
    - Use set -a/+a around loading conf snippets, to autoexport hook
      configuration variables. This thus allows packaged hooks to configure
      each other.
    - Fix PATH to include /usr/local.
    - Revert upstream commit 0012977; Ubuntu's resume script implementation
      diverges from Debian's and this special-case handling of UUID (which is
      used as the resume target in the default scenario) is required here.
    - Filter out looping or broken symlinks from the initramfs, since they
      cause cpio to explode
    - Always mount loop-mount filesystems read-write; ntfs-3g and vfat can't
      remount yet.
    - Provide a clearer error on mount failure of the Windows host filesystem
    - Fix copying libgcc_s when there is optimized pthreads installed.
    - scripts/local: Re-execute cryptroot local-block script.
    - d/tests: Add explicit call to partprobe on net test, specially in prep-
      image and run-image.
    - scripts/local-premount/resume: Use readlink -f to correctly handle non-
      symlink $resume
    - d/t/control:autopkgtests running qemu need root, add needs-root
      restriction
    - Cherry-pick merge request !26 to support xz compressed firmware.
      Uncompressed firmware is preffered, with a fallback to use compressed
      firmware files.
    - Improve shell scripts to conform to standards in shellcheck > 8.0
    - Increase image file to 2GB in autopkgtest
    - Force copy pthread and libgcc_s libraries via a stub binary. To avoid
      circular shared library dependencies between compiler and libc,
      libpthreads chooses to dlopen libgcc_s, instead of linking against it.
      However, we have no way to parse/know what it needs. And even when we
      hardcode to include libgcc_s1, we don't have a way to know which
      libgcc_s1 is needed on a given system and from which path to include it.
      But there is a hook-function to copy a binary and all of its shared
      library dependencies. Thus create a stub empty executable, with shared
      linking against pthreads and gcc_s1 and always include it in the initrd.
      This way at initrd creation time, ldd is used to correctly resolve these
      shared library dependencies and correctly copy them into the initrd.
      This removes hardcoding paths as to where these libraries must be copied
      from on the host.
    - Lower the compression levels for zstd and lz4 Following the discussion
      on the mailing list, we have reached a conclusion to lower the default
      compression levels:
      - For lz4, the compression level is lowered to 2 from 9
      - For zstd, the compression level is lowered to 1 from 9
    - Include nvdimm modules in block modules, they provide access to block
      pmem devices.
    - Include dax and nfit modules, also needed for pmem devices.
    - Add char/hw_random drivers
  * Removed patches obsoleted/merged by upstream:
    - Switch default initramfs compression to zstd, as it produces the lower
      overall boot time.
    - Don't recommend pigz, which is in universe.
    - Suppress shellcheck SC1010 errors, returning lots of false-positives on
      use of 'done' as a word.
    - hook-functions: when MODULES=list there will be no 'kernel' dir, so
      don't try to find anything there, as it will log an 'error' this is
      needed for amd64-ata-only autopkgtest to pass, or we would need to
      ignore the 'error' with allow-stderr
    - hooks/fsck: always include fsck binaries irrespective of PASSNO value,
      otherwise initrds fail to mount rootfs and have no ability to fix the
      rootfs.
    - Cherry-pick merge request !51 to decompress compressed kernel modules
      for boot speed performance.
    - For net boot include most of net/usb modules, except niche modems.
  * Reinstate build-time shellcheck (but leave shellcheck out of
    autopkgtests as per debian bug #992798)
  * Ensure commented COMPRESSLEVEL is consistent with the default

 -- Dave Jones <dave.jones@canonical.com>  Thu, 01 Sep 2022 13:43:43 +0100

initramfs-tools (0.142) unstable; urgency=medium

  [ Dan Streetman ]
  * [8c9840e] hooks/fsck: always include fsck binary (LP: #1917780)

  [ Dimitri John Ledkov ]
  * [d8c5864] mkinitramfs: decompress compressed kernel modules

  [ szubersk ]
  * [e447e91] resume: Don't resume from a swap device on a ZVOL

  [ Johannes Schauer Marin Rodrigues ]
  * [834d01d] hook-functions: Add pwm-imx27, nwl-dsi, ti-sn65dsi86,
    imx-dcss, mxsfb, mux-mmio and imx8mq-interconnect for MNT Reform 2
    panel/backlight.

  [ Rich Ercolani ]
  * [50d945a] Add support for specifying compression level

  [ Ben Hutchings ]
  * [5bf479d] hook-functions: Remove support for ieee1394 and i2o
  * [9a4d579] hook-functions: auto_add_modules: Include UFS drivers from
    drivers/ufs/

  [ Sven Joachim ]
  * [c064b9e] Copy modules.builtin.modinfo into initramfs (Closes: #1014319)

 -- Ben Hutchings <benh@debian.org>  Tue, 12 Jul 2022 23:51:34 +0200

initramfs-tools (0.141) unstable; urgency=medium

  [ Hideki Yamane ]
  * [742c8ee] Use zstd as default compression for initramfs (Closes: #976054)
  * [b6ccfb6] Recommends: s/pigz/zstd/
  * [1063c43] Add check whether zstd support kernel (>= 5.9) and
    CONFIG_RD_ZSTD=y or not
  * [71c29fd] As comparison, compression level 9 is better.
  * [9cee2f0] Consider SOURCE_DATE_EPOCH option for zstd

  [ Alper Nebi Yasak ]
  * [db7aec4] hook-functions: Include io-domain in dw_mmc-rockchip hidden
    dependencies

  [ Michael Biebl ]
  * [7ec5e26] Setup /dev/fd and /dev/std{in,out,err} after mounting devtmpfs
    (Closes: #981302)

  [ Dan Streetman ]
  * [116b532] hook-functions: check for dir before running find on it
    (LP: #1927779)

  [ Vagrant Cascadian ]
  * [a5d9b32] hook-functions: Add pwm-rockchip to "fb" modules for Pinebook PRO
    LCD display.
  * [7e15676] hook-functions: Add usb/typec/tcpm modules to support keyboard on
    Pinebook PRO.
  * [5f17c03] hook-functions: Add panel-edp to "fb" modules for Pinebook PRO
    LCD display.

  [ Ben Hutchings ]
  * [26f2f00] Only run shellcheck in Salsa CI (Closes: #992798)
  * [bd1519b] Fix shellcheck warning "Avoid x-prefix in comparisons ..."
  * [4937118] hook-functions: Fix shellcheck warning "Expansions inside ${..}
    need to be ..."
  * [883f4ad] mkiniramfs: Log warning about missing compressor to stderr
  * [035190c] mkinitramfs: Generalise kernel compression support check
  * [58e05e4] d/salsa-ci.yml: Disable non-arch:all builds
  * [5679e26] debian/tests/control: Add zstd as dependency to avoid (fatal)
    warnings
  * [e856af4] hook-functions: Support network boot via USB Ethernet adapters
    (Closes: #980788)
  * [ec5c6c7] scripts/functions: Refactor device name logic in
    configure_networking
  * [80eddcf] scripts/functions: Make configure_networking wait for device
    specified any way (Closes: #911727)

  [ Ben Love ]
  * [02dc65f] Fully-qualify modprobe calls to avoid busybox

  [ Ariel D'Alessandro ]
  * [8a6f73c] hook-functions: Add nvmem-imx-ocotp driver module to network boot

 -- Ben Hutchings <benh@debian.org>  Sun, 10 Apr 2022 23:39:45 +0200

initramfs-tools (0.140ubuntu17) kinetic; urgency=medium

  * Include update from Debian for depmod from kmod 30 (LP: #1987620)
    + Copy modules.builtin.modinfo into initramfs (Closes: #1014319)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 30 Aug 2022 13:47:27 +0000

initramfs-tools (0.140ubuntu16) kinetic; urgency=medium

  * Add char/hw_random drivers (LP: #1983359)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 02 Aug 2022 22:54:09 +0200

initramfs-tools (0.140ubuntu15) kinetic; urgency=medium

  * Include dax and nfit modules, also needed for pmem devices. (LP: #1981385)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Jul 2022 15:03:33 +1200

initramfs-tools (0.140ubuntu14) kinetic; urgency=medium

  * Include nvdimm modules in block modules, they provide access to block
    pmem devices.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Jul 2022 23:23:50 +0100

initramfs-tools (0.140ubuntu13) jammy; urgency=medium

  * Lower the compression levels for zstd and lz4 (LP: #1958148)
    Following the discussion on the mailing list, we have reached
    a conclusion to lower the default compression levels:
    - For lz4, the compression level is lowered to 2 from 9
    - For zstd, the compression level is lowered to 1 from 19


 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 15 Mar 2022 16:00:55 +0100

initramfs-tools (0.140ubuntu12) jammy; urgency=medium

  * Force copy pthread and libgcc_s libraries via a stub binary.

    To avoid circular shared library dependencies between compiler and
    libc, libpthreads chooses to dlopen libgcc_s, instead of linking
    against it. However, we have no way to parse/know what it
    needs. And even when we hardcode to include libgcc_s1, we don't
    have a way to know which libgcc_s1 is needed on a given system and
    from which path to include it. But there is a hook-function to
    copy a binary and all of its shared library dependencies. Thus
    create a stub empty executable, with shared linking against
    pthreads and gcc_s1 and always include it in the initrd. This way
    at initrd creation time, ldd is used to correctly resolve these
    shared library dependencies and correctly copy them into the
    initrd. This removes hardcoding paths as to where these libraries
    must be copied from on the host. LP: #1958594 LP: #1880853

  * For net boot include most of net/usb modules, except niche modems. LP:
    #1950996

  * Cherry-pick updated merge request !26 to support xz compressed
    firmware. Uncompressed firmware is preffered, with a fallback to use
    compressed firmware files. LP: #1942260

  * Cherry-pick updated merge request !51 to decompress compressed kernel
    modules for boot speed performance. LP: #1932329

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 08 Feb 2022 20:43:02 +0000

initramfs-tools (0.140ubuntu11) jammy; urgency=medium

  * Increase image file to 2GB in autopkgtest (LP: #1958904)

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 25 Jan 2022 15:03:39 +0000

initramfs-tools (0.140ubuntu10) jammy; urgency=medium

  * Improve shell scripts to conform to standards in shellcheck > 8.0

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 13 Jan 2022 09:19:53 -0600

initramfs-tools (0.140ubuntu9) jammy; urgency=medium

  * scripts/local-premount/fixrtc: ensure that the fixrtc script doesn't
    produce extraneous output from wait-for-root and date (LP: #1953521)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 07 Dec 2021 15:35:22 +0000

initramfs-tools (0.140ubuntu8) jammy; urgency=medium

  * Cherry-pick merge request !26 to support xz compressed
    firmware. Uncompressed firmware is preffered, with a fallback to use
    compressed firmware files. LP: #1942260
  * Cherry-pick merge request !51 to decompress compressed kernel modules
    for boot speed performance. LP: #1932329
  * Cherry-pick partially merge request !50 to fix ftbfs with new
    shellcheck.
  * Fix shellcheck issues in ubuntu patches.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 19 Oct 2021 11:49:38 +0100

initramfs-tools (0.140ubuntu6) impish; urgency=medium

  * Change dependencies to depend on zstd, instead of lz4. LP: #1931725

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Jun 2021 17:18:41 +0100

initramfs-tools (0.140ubuntu5) impish; urgency=medium

  * Switch default initramfs compression to zstd, as it produces the lower
    overall boot time. LP: #1931725

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Jun 2021 16:55:30 +0100

initramfs-tools (0.140ubuntu4) impish; urgency=medium

  * Pacify shellcheck to fix ftbfs.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 06 May 2021 10:57:14 +1200

initramfs-tools (0.140ubuntu3) impish; urgency=medium

  * scripts/functions: Fix the fix for bug #1880735, fixing setting up vlans
    from the kernel commandline. LP: #1924794

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 05 May 2021 14:09:08 +1200

initramfs-tools (0.140ubuntu2) impish; urgency=medium

  * Set +x bit on init again, missed again in merge despite best efforts.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Apr 2021 08:28:26 -0700

initramfs-tools (0.140ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Trim leading whitespaces in dumpe2fs output so date command
      is happy in the fixrtc script
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - resume: only resume when the partition contains a resume image
    - Fix resuming a hibernate session from a swapfile
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Don't recommend pigz, which is in universe.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - src/wait-for-root.c, scripts/local: add explicit support for PARTUUID, a
      syntax we may prefer for images that might boot without an initramfs.
      (previously unnoted)
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will
        be run using any interface available, or the BOOTIF if it was set.
      - Just let dhclient scan the interfaces if none is specified for IPv6.
        (previously unnoted)
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - Only source ipv4 config in configure_networking() if it exists.
      (previously unnoted)
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Run unittests during autopkgtests.
    - Add some autopkgtests for the network configuration processing.
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Adjust testsuite for correct expected netplan output.
    - Add tests to parse netplan.yaml with netplan generate.
    - Skip setting mac-address, unless unsupported unpredictable netnames
      are used.
    - scripts/functions:_render_netplan(): Make configure_networking()
      more resilient when called by set -e scripts.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Auto activate qeth devices on s390x hosts, when using ip= ip6= command
      lines.
    - Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
      commandline, and as VLAN= conf.d snippet.
    - Emit empty dictionary in the ethernets section, for static vlan
      configs without any matches, as otherwise it is invalid config.
    - Skip attempting to chzdev enable VLAN device
    - Drop renderer from netplan yaml, such that netplan uses the default
      rendered for the target system, i.e. NetworkManager on the
      desktop.
    - Switch default initramfs compression to lz4, faster than the current
      default gzip.
    - debian/{control,rules}: Don't run shellcheck on i386 to avoid pulling
      ghc into our minimal supported set for the pruned architecture.
    - Work out the kernel modules required to support ZFS filesystems and
      add them as necessary.
    - Add modules for nvme path components on multipath nvme.
    - debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
      in /boot.
    - Suppress shellcheck SC1010 errors, returning lots of false-positives on
      use of 'done' as a word.
    - Ensure we have a /usr/sbin directory in initramfs-tools-core
      (previously unnoted)
    - Drop usage of klibc-utils' fstype in favor of always using udev blkid.
    - Use set -a/+a around loading conf snippets, to autoexport hook
      configuration variables. This thus allows packaged hooks to configure
      each other.
    - Fix PATH to include /usr/local.
    - Revert upstream commit 0012977; Ubuntu's resume script implementation
      diverges from Debian's and this special-case handling of UUID (which is
      used as the resume target in the default scenario) is required here.
    - Filter out looping or broken symlinks from the initramfs, since they
      cause cpio to explode
      (previously unnoted)
    - Always mount loop-mount filesystems read-write; ntfs-3g and vfat can't
      remount yet.
      (previously unnoted)
    - Provide a clearer error on mount failure of the Windows host filesystem
      (previously unnoted)
    - Fix copying libgcc_s when there is optimized pthreads installed.
    - scripts/local: Re-execute cryptroot local-block script.
    - d/tests: Add explicit call to partprobe on net test, specially in
      prep-image and run-image.
    - Revised mountroot failure support.  This is now deprecated and
      effectively removed.  However, to prevent breakage in other packages
      the add_mountroot_fail_hook function is still present as an empty
      stub.
    - scripts/local-premount/resume: Use readlink -f to correctly handle
      non-symlink $resume
    - d/t/control:autopkgtests running qemu need root, add needs-root
      restriction
    - hook-functions: when MODULES=list there will be no 'kernel' dir, so
      don't try to find anything there, as it will log an 'error' this is
      needed for amd64-ata-only autopkgtest to pass, or we would need to
      ignore the 'error' with allow-stderr
    - hooks/fsck: always include fsck binaries irrespective of PASSNO value,
      otherwise initrds fail to mount rootfs and have no ability to fix the
      rootfs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Apr 2021 08:57:03 -0700

initramfs-tools (0.140) unstable; urgency=medium

  [ Norbert Lange ]
  * mkinitramfs: use temporary file for uncompressed cpio

  [ Michael Prokop ]
  * mkinitramfs: report actually requested compress util if it's not present

  [ Ben Hutchings ]
  * init: Mount /dev without the noexec option

  [ dann frazier ]
  * configure_networking(): Wait for specified network device (Closes: #965935)

  [ Bastian Blank ]
  * Include all PCI controller modules
  * Include all reset controller modules

 -- Bastian Blank <waldi@debian.org>  Sat, 13 Mar 2021 19:13:18 +0100

initramfs-tools (0.139ubuntu3) hirsute; urgency=medium

  * hooks/fsck: always include fsck binaries irrespective of PASSNO value,
    otherwise initrds fail to mount rootfs and have no ability to fix the
    rootfs. LP: #1917780

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 15:21:50 +0000

initramfs-tools (0.139ubuntu2) hirsute; urgency=medium

  * scripts/local-premount/resume:
    - Use readlink -f to correctly handle non-symlink $resume
      (LP: #1876570)
  * d/t/control:
    - autopkgtests running qemu need root, add needs-root restriction
  * hook-functions:
    - when MODULES=list there will be no 'kernel' dir, so don't try
      to find anything there, as it will log an 'error'
      this is needed for amd64-ata-only autopkgtest to pass,
      or we would need to ignore the 'error' with allow-stderr

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 18 Mar 2021 14:48:17 -0400

initramfs-tools (0.139ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Trim leading whitespaces in dumpe2fs output so date command
      is happy in the fixrtc script
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - resume: only resume when the partition contains a resume image
    - Fix resuming a hibernate session from a swapfile
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Don't recommend pigz, which is in universe.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - src/wait-for-root.c, scripts/local: add explicit support for PARTUUID, a
      syntax we may prefer for images that might boot without an initramfs.
      (previously unnoted)
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will
        be run using any interface available, or the BOOTIF if it was set.
      - Just let dhclient scan the interfaces if none is specified for IPv6.
        (previously unnoted)
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - Only source ipv4 config in configure_networking() if it exists.
      (previously unnoted)
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Run unittests during autopkgtests.
    - Add some autopkgtests for the network configuration processing.
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Adjust testsuite for correct expected netplan output.
    - Add tests to parse netplan.yaml with netplan generate.
    - Skip setting mac-address, unless unsupported unpredictable netnames
      are used.
    - scripts/functions:_render_netplan(): Make configure_networking()
      more resilient when called by set -e scripts.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Auto activate qeth devices on s390x hosts, when using ip= ip6= command
      lines.
    - Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
      commandline, and as VLAN= conf.d snippet.
    - Emit empty dictionary in the ethernets section, for static vlan
      configs without any matches, as otherwise it is invalid config. Patch
      by mwhudson.
    - Skip attempting to chzdev enable VLAN device
    - Drop renderer from netplan yaml, such that netplan uses the default
      rendered for the target system, i.e. NetworkManager on the
      desktop.
    - Switch default initramfs compression to lz4, faster than the current
      default gzip.
    - debian/{control,rules}: Don't run shellcheck on i386 to avoid pulling
      ghc into our minimal supported set for the pruned architecture.
    - Work out the kernel modules required to support ZFS filesystems and
      add them as necessary.
    - Add modules for nvme path components on multipath nvme.
    - debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
      in /boot.
    - Suppress shellcheck SC1010 errors, returning lots of false-positives on
      use of 'done' as a word.
    - Ensure we have a /usr/sbin directory in initramfs-tools-core
      (previously unnoted)
    - Drop usage of klibc-utils' fstype in favor of always using udev blkid.
    - Use set -a/+a around loading conf snippets, to autoexport hook
      configuration variables. This thus allows packaged hooks to configure
      each other.
    - Fix PATH to include /usr/local.
    - Revert upstream commit 0012977; Ubuntu's resume script implementation
      diverges from Debian's and this special-case handling of UUID (which is
      used as the resume target in the default scenario) is required here.
    - Filter out looping or broken symlinks from the initramfs, since they
      cause cpio to explode
      (previously unnoted)
    - Always mount loop-mount filesystems read-write; ntfs-3g and vfat can't
      remount yet.
      (previously unnoted)
    - Provide a clearer error on mount failure of the Windows host filesystem
      (previously unnoted)
    - Fix copying libgcc_s when there is optimized pthreads installed.
    - scripts/local: Re-execute cryptroot local-block script.
    - d/tests: Add explicit call to partprobe on net test, specially in
      prep-image and run-image.
  * Revised mountroot failure support. This is now deprecated and effectively
    removed. However, to prevent breakage in other packages the
    add_mountroot_fail_hook function is still present as an empty stub.
  * Dropped changes, included in Debian:
    - Add support for panic=-1 value
    - scripts/functions: Prevent printf error carry over if the wrong
      console is set.
  * Dropped changes, no longer needed:
    - Support loading compcache from the initramfs.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.

 -- Dave Jones <dave.jones@canonical.com>  Sun, 13 Sep 2020 20:42:21 +0000

initramfs-tools (0.139) unstable; urgency=medium

  * [9679f0c] debian/tests: Run amd64 tests on either amd64 or generic flavour
  * [0099040] debian/tests/control: Mark all amd64 tests as
    skip-not-installable (Closes: #970184)
  * [3616c8f] conf/initramfs.conf: Fix typo "filesytem" (Closes: #970235)

 -- Ben Hutchings <benh@debian.org>  Sun, 13 Sep 2020 19:28:00 +0100

initramfs-tools (0.138) unstable; urgency=medium

  [ Ben Hutchings ]
  * [0b034b4] docs/maintainer-notes.md: Delete the horizontal rules
  * [ba883cb] docs/maintainer-notes.md: Use Gitlab markup for table of contents
  * [5284a00] docs/maintainer-notes.md: Use Gitlab markup for definition table
  * [a469b7e] docs/maintainer-notes.md: Use archive.org URL for Daniel Baumann
    doc
  * [424260e] debian/control, docs/maintainer-notes.md: Use my @debian.org
    address
  * [181a35c] update-initramfs: Remove test for direct invocation from kernel
    package
  * [6ebe41b] Remove obsolete update-initramfs state in
    /var/lib/initramfs-tools
  * [2f2ad0d] hook-functions: copy_exec: Copy libgcc_s.so with any soversion up
    to 9 (Closes: #959768)
  * [0f24cc1] Add CI configuration for salsa.debian.org
  * [9877542] initramfs.conf: Delete "NFS Section" comment
  * [4309c3b] Add FSTYPE config parameter to allow overriding filesystem type
    detection (Closes: #923400)
  * [6300aa1] Change "panic" parameter handling to work more like the kernel
  * [90d64bd] debian/tests: Add common test preparation code
  * [3dd2984] debian/tests: Add basic test for amd64 using klibc and not
    busybox
  * [69240b1] debian/tests: Add basic test for amd64 using busybox
  * [3d834c8] debian/tests: Add basic tests for amd64 with only ata/virtio
    driver
  * [c14b760] debian/tests: Add test for separate /usr device
  * [6b3b361] debian/tests: Add test of the panic shell and parameter handling

  [ Vagrant Cascadian ]
  * [482897b] hook-functions: Add modules needed for Pinebook LCD display.

  [ Guilherme G. Piccoli ]
  * [c3cbf35] scripts/functions: Prevents printf error carry over if wrong
    console is set (Closes: #960355)

  [ Unit 193 ]
  * [3b82099] When overriding configured compressor, warn the user.

  [ Norbert Lange ]
  * [e94f410] un-,mkinitramfs: add support for zstd (Closes: #955469)

  [ Jann Horn ]
  * [a7718dc] Add firmware for built-in drivers (Closes: #857054)

 -- Ben Hutchings <benh@debian.org>  Fri, 11 Sep 2020 20:37:29 +0100

initramfs-tools (0.137ubuntu12) groovy; urgency=medium

  * d/tests: Add explicit call to partprobe on net test, specially in
    prep-image and run-image. (LP: #1893675)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 31 Aug 2020 18:04:00 -0300

initramfs-tools (0.137ubuntu11) groovy; urgency=medium

  * scripts/functions: Prevent printf error carry over if the wrong
    console is set. (LP: #1879987)
      The function _log_msg() is "void" typed, returning whatever its
      last command returns. This function is the basic building block
      for all error/warning messages in initramfs-tools. If a bad console
      is provided to kernel on command-line, printf returns error, and so
      this error is carried over in _log_msg(). Happens that checkfs()
      function has a loop that runs forever in this scenario (*if* fsck
      is not present in initramfs and "quiet" is not passed in the
      command-line). If that happens, boot is stuck and cannot progress.
      The simple fix hereby merged is to return zero on _log_msg().

  * scripts/local: Re-execute cryptroot local-block script. (LP: #1879980)
      Currently, if an encrypted rootfs is configured on top of a MD RAID1
      array and such array gets degraded (like a member is removed/failed),
      initramfs-tools cannot mount the rootfs and the boot fails. We fix
      that issue here by allowing cryptroot script to re-run on local-block
      stage, given that mdadm is able to activate a degraded array in that
      point. There is a cryptsetup counter-part for this fix, but alone the
      initramfs-tools portion is innocuous.

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 03 Aug 2020 18:04:00 -0300

initramfs-tools (0.137ubuntu10) groovy; urgency=medium

  * Trim leading whitespaces in dumpe2fs output so date command
    is happy in the fixrtc script (LP: #1880968)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 27 May 2020 16:52:16 +0200

initramfs-tools (0.137ubuntu9) groovy; urgency=medium

  * Document add_mountroot_fail_hook correctly.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 16:33:08 +0100

initramfs-tools (0.137ubuntu8) groovy; urgency=medium

  * Partially revert 0.133ubuntu12 upload:
    "* scripts/functions: Fix args in the add_mountroot_fail_check function."
    The arguments were correct, as used by lvm2 hook. LP: #1871154

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 14:31:59 +0100

initramfs-tools (0.137ubuntu7) groovy; urgency=medium

  * Fix copying libgcc_s when there is optimized pthreads installed.
    LP: #1880853

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 29 May 2020 20:06:32 +0100

initramfs-tools (0.137ubuntu6) groovy; urgency=medium

  * Fixup previous commit to fix build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 May 2020 09:57:57 +0200

initramfs-tools (0.137ubuntu5) groovy; urgency=medium

  * Skip attempting to chzdev enable VLAN device LP: #1880735

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 May 2020 15:07:40 +0100

initramfs-tools (0.137ubuntu4) groovy; urgency=medium

  * Drop renderer from netplan yaml, such that netplan uses the default
    rendered for the target system, i.e. NetworkManager on the
    desktop. LP: #1876884

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 May 2020 23:50:52 +0200

initramfs-tools (0.137ubuntu3) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - resume: only resume when the partition contains a resume image
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Set executable bit on resume script in local-premount, which MoM seems
      to consistently drop
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always
        use dhclient in this case if the value set is anything other than
        'off' or 'none'. Furthermore, parse anything other than 'on', 'dhcp'
        or 'any' as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again
        after a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Fix resuming a hibernate session from a swapfile
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Add some autopkgtests for the network configuration processing.
    - Work out the kernel modules required to support ZFS filesystems and
      add them as necessary.
    - debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
      in /boot.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Fix PATH to include /usr/local.
    - Add modules for nvme path components on multipath nvme.
    - Don't recommend pigz, which is in universe.
    - Suppress shellcheck SC1010 errors, returning lots of false-positives on
      use of 'done' as a word.
    - Drop usage of klibc-utils' fstype in favor of always using udev blkid.
    - Use set -a/+a around loading conf snippets, to autoexport hook
      configuration variables. This thus allows packaged hooks to configure
      each other.
    - Auto activate qeth devices on s390x hosts, when using ip= ip6= command
      lines.
    - Switch default initramfs compression to lz4, faster than the current
      default gzip.
    - Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
      commandline, and as VLAN= conf.d snippet.
    - Add support for panic=-1 value
    - debian/{control,rules}: Don't run shellcheck on i386 to avoid pulling
      ghc into our minimal supported set for the pruned architecture.
    - Adjust testsuite for correct expected netplan output.
    - Add tests to parse netplan.yaml with netplan generate.
    - Run unittests during autopkgtests.
    - Emit empty dictionary in the ethernets section, for static vlan
      configs without any matches, as otherwise it is invalid config. Patch
      by mwhudson.
    - Skip setting mac-address, unless unsupported unpredictable netnames
      are used.
    - Revert upstream commit 0012977; Ubuntu's resume script implementation
      diverges from Debian's and this special-case handling of UUID (which is
      used as the resume target in the default scenario) is required here.
      LP: #1869996.
    - scripts/functions:_render_netplan(): Make configure_networking()
      more resilient when called by set -e scripts. LP: #1868310.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 May 2020 18:31:33 +0200

initramfs-tools (0.137) unstable; urgency=medium

  [ Ben Hutchings ]
  * [1b28d25] Document copy_exec as usable for shared libraries
  * [f2ac13e] hook-functions: copy_exec: Copy libgcc_s.so.1 along with
    libpthread.so.* (Closes: #950254)
  * [d96228a] hook-functions: copy_exec: Correct verbose log message for
    symlinks
  * [dd5fb36] hook-functions: Factor out device class walking into a function
  * [14a00af] hook-functions: Don't add backlight modules if we have generic
    fb device (Closes: #955347)
  * [f6133e1] Fix new shellcheck warnings around unquoted parameter expansion
    (Closes: #958851)

  [ AP ]
  * [857042c] hook-functions: Search for firmware under /lib/firmware/updates
    (Closes: #956663)

 -- Ben Hutchings <benh@debian.org>  Tue, 28 Apr 2020 04:56:17 +0100

initramfs-tools (0.136ubuntu8) groovy; urgency=medium

  * Drop renderer from netplan yaml, such that netplan uses the default
    rendered for the target system, i.e. NetworkManager on the
    desktop. LP: #1876884

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 May 2020 15:41:09 +0100

initramfs-tools (0.136ubuntu7) groovy; urgency=medium

  * Cherry-pick changes from Debian
    - [f6133e1] Fix new shellcheck warnings around unquoted parameter expansion
      (Closes: #958851)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 11:49:12 +0200

initramfs-tools (0.136ubuntu6) focal; urgency=medium

  * Adjust testsuite for correct expected netplan output.
  * Add tests to parse netplan.yaml with netplan generate.
  * Run unittests during autopkgtests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Apr 2020 08:35:46 +0100

initramfs-tools (0.136ubuntu5) focal; urgency=medium

  * Emit empty dictionary in the ethernets section, for static vlan
    configs without any matches, as otherwise it is invalid config. Patch
    by mwhudson.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 Apr 2020 21:22:40 +0100

initramfs-tools (0.136ubuntu4) focal; urgency=medium

  * Skip setting mac-address, unless unsupported unpredictable netnames
    are used.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 04 Apr 2020 23:39:59 +0100

initramfs-tools (0.136ubuntu3) focal; urgency=medium

  * Revert upstream commit 0012977; Ubuntu's resume script implementation
    diverges from Debian's and this special-case handling of UUID (which is
    used as the resume target in the default scenario) is required here.
    LP: #1869996.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Apr 2020 21:33:18 -0700

initramfs-tools (0.136ubuntu2) focal; urgency=medium

  * scripts/functions:_render_netplan(): Make configure_networking()
    more resilient when called by set -e scripts. LP: #1868310.

 -- dann frazier <dannf@ubuntu.com>  Fri, 20 Mar 2020 14:09:47 -0600

initramfs-tools (0.136ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - resume: only resume when the partition contains a resume image
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Set executable bit on resume script in local-premount, which MoM seems
      to consistently drop
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always
        use dhclient in this case if the value set is anything other than
        'off' or 'none'. Furthermore, parse anything other than 'on', 'dhcp'
        or 'any' as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again
        after a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Fix resuming a hibernate session from a swapfile
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Add some autopkgtests for the network configuration processing.
    - Work out the kernel modules required to support ZFS filesystems and
      add them as necessary.
    - debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
      in /boot.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Fix PATH to include /usr/local.
    - Add modules for nvme path components on multipath nvme.
    - Don't recommend pigz, which is in universe.
    - Suppress shellcheck SC1010 errors, returning lots of false-positives on
      use of 'done' as a word.
    - Drop usage of klibc-utils' fstype in favor of always using udev blkid.
    - Use set -a/+a around loading conf snippets, to autoexport hook
      configuration variables. This thus allows packaged hooks to configure
      each other.
    - Auto activate qeth devices on s390x hosts, when using ip= ip6= command
      lines.
    - Switch default initramfs compression to lz4, faster than the current
      default gzip.
    - Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
      commandline, and as VLAN= conf.d snippet.
    - Add support for panic=-1 value
    - debian/{control,rules}: Don't run shellcheck on i386 to avoid pulling
      ghc into our minimal supported set for the pruned architecture.
    - Cherrypick upstream patch to include libgcc_s for libpthread.
    - Handle both libgcc1 and libgcc-s1 locations.
  * Dropped changes, included in Debian:
    - Patch unmkinitramfs to cat possible lz4 archives first, as lz4 is
      particular about enforcing .lz4 file extensions when operating on
      files.
    - mkinitramfs: Copy modules.builtin.bin into initramfs
  * Dropped changes, no longer needed:
    - remove Breaks on pre-bionic isc-dhcp-client.
  * src/wait-for-root.c, scripts/local: add explicit support for PARTUUID, a
    syntax we may prefer for images that might boot without an initramfs.
  * Drop manual modprobe of filesystem modules, deemed redundant upstream

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Feb 2020 17:19:14 -0800

initramfs-tools (0.136) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * [90bd459] Update to new name for kernel module therm_pm72

  [ Alper Nebi Yasak ]
  * [ded7214] hook-functions: Handle dw_mmc-rockchip hidden dependency on
    rockchip-io-domain
  * [da85190] hook-functions: Include modules for Chromebook Plus display

  [ Ben Hutchings ]
  * [afd2668] debian/tests/control: Mark shellcheck test as superficial
  * [9d8b690] mkinitramfs: Remove workaround for old udev versions
  * [2b55aca] mkinitramfs: Remove special case for Arm OABI ports
  * [a9e5169] mkinitramfs: Remove armhf dynamic linker hack
  * [b19b6f3] debian/rules: Suppress execution of dh_installinitramfs
  * [8330bcd] mkinitramfs: Use cp -p option for ld.so.conf* instead of -aZ
  * [15fd713] initramfs-tools(7): Change example to use copy_exec instead of cp
  * [c2d589e] Revert "mkinitramfs: check if initramfs has a shell"
  * [835d584] mkinitramfs: Copy modules.builtin.bin into initramfs
    (Closes: #948257)
  * [0012977] init: Remove special case for kernel parameter resume=UUID=...
  * [897ab77] update-initramfs: Make "-c -k all" options useful again
    (Closes: #926401)
  * [d6c6eec] init: Mount /dev with "exec" option if v86d is present
    (Closes: #940171)
  * [a9e73b5] hook-functions: Drop ext4dev from filesystem module list
  * [41d9ceb] mkinitramfs: Enable multihreaded xz compression (Closes: #942144)

  [ Alexander Volkov ]
  * [e34affa] Don't require build dependency on shellcheck when nocheck profile
    is enabled

  [ Johannes 'josch' Schauer ]
  * [e2ad678] hook-functions: preloaded libraries should not end up in the
    initramfs (Closes: #944929)

  [ Debian Janitor ]
  * [a1e17fc] Bump debhelper from old 9 to 12.
  * [4d86d1a] Set debhelper-compat version in Build-Depends.

  [ Romain Perier ]
  * [4df27e2] hook-functions: Add f2fs as base in auto_add_modules

  [ Christian Göttsche ]
  * [0db5752] Do not copy SELinux context in mkinitramfs (Closes: #948365)

  [ Topi Miettinen ]
  * [55afeec] Tighten permissions for /run/initramfs

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 18 Jan 2020 18:48:51 +0000

initramfs-tools (0.135) unstable; urgency=medium

  [ Topi Miettinen ]
  * [eb98d2e] init: /dev can be noexec and /run nodev

  [ Alper Nebi Yasak ]
  * [43488a3] hook-functions: Handle spi-rockchip hidden dependency on pl330

  [ Ben Hutchings ]
  * [116ce5c] autopkgtest: Only test hook and boot scripts from specific
    packages

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 21 Aug 2019 23:06:28 +0100

initramfs-tools (0.134) unstable; urgency=medium

  [ Ben Hutchings ]
  * [8aeae9f] hooks/resume: Disable resume when there are no suitable swap
    devices. Thanks to Trek <trek00@inbox.ru> (Closes: #916696)
  * [40f6647] hook-functions: Include all keyboard driver modules when
    MODULES=most. Thanks to Alper Nebi Yasak <alpernebiyasak@gmail.com>
  * [797e5fe] hook-functions: Include cros_ec_spi and SPI drivers when
    MODULES=most. Thanks to Alper Nebi Yasak <alpernebiyasak@gmail.com>
  * [f65627d] resume: Set plymouth status only if there is a suspend image
    (Closes: #928736)
  * [c31a908] hook-functions: Fix copy_file with target of "/bin"
    (Closes: #928689)
  * [8a29ef3] scripts/functions: Use "reboot -f" to reboot on panic.
    Thanks to Michael Niewöhner <linux@mniewoehner.de> (Closes: #923165)
  * [da9f53e] unmkinitramfs: Work around lz4cat filename check.
    Thanks to Dimitri John Ledkov <xnox@ubuntu.com> (Closes: #930366)
  * [cf7bb4b] initramfs-tools-core: Depend on logsave or older e2fsprogs
    (Closes: #932854)
  * [8570718] update-initramfs(8): Document -d option as "delete" instead of
    "remove"
  * [fffe514] update-initramfs(8): Update description of "-k all" option

  [ Benjamin Drung ]
  * [5e94f22] autopkgtest: Check also
    /usr/share/initramfs-tools/{hooks,scripts}

  [ Alper Nebi Yasak ]
  * [994d698] hook-functions: Include extcon-usbc-cros-ec when MODULES=most
  * [4e3496a] hook-functions: Include extcon drivers when MODULES=dep

  [ Uwe Kleine-König ]
  * [37dcf3d] mkinitramfs: suppress warning when using bzip2 or lzma
    (Closes: #930754)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 28 Jul 2019 01:10:56 +0100

initramfs-tools (0.133ubuntu15) focal; urgency=medium

  * mkinitramfs: Copy modules.builtin.bin into initramfs (LP: #1863261)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 14 Feb 2020 15:05:29 +0000

initramfs-tools (0.133ubuntu14) focal; urgency=medium

  * Handle both libgcc1 and libgcc-s1 locations.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Feb 2020 23:51:00 +0000

initramfs-tools (0.133ubuntu13) focal; urgency=medium

  * Cherrypick upstream patch to include libgcc_s for libpthread. LP:
    #1861757

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Feb 2020 13:38:20 +0000

initramfs-tools (0.133ubuntu12) focal; urgency=medium

  * debian/{control,rules}: Don't run shellcheck on i386 to avoid pulling
    ghc into our minimal supported set for the newly-pruned architecture.
  * scripts/functions: Fix args in the add_mountroot_fail_check function.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 Nov 2019 12:16:07 -0700

initramfs-tools (0.133ubuntu11) focal; urgency=medium

  * hooks/fixrtc, debian/rules: Stop pulling in coreutils date and hwclock,
    instead using the slimmer and newly built-in busybox-initramfs applets.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Nov 2019 10:21:05 -0700

initramfs-tools (0.133ubuntu10) eoan; urgency=medium

  * Add support for panic=-1 value (LP: #1831252)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2019 12:31:43 +0200

initramfs-tools (0.133ubuntu9) eoan; urgency=medium

  * Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
    commandline, and as VLAN= conf.d snippet. LP: #1382054

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Jun 2019 14:46:05 +0100

initramfs-tools (0.133ubuntu8) eoan; urgency=medium

  * Switch back to lz4 by default.
  * Patch unmkinitramfs to cat possible lz4 archives first, as lz4 is
    particular about enforcing .lz4 file extensions when operating on
    files. LP: #1832108

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Jun 2019 00:21:17 +0100

initramfs-tools (0.133ubuntu6) eoan; urgency=medium

  * Revert lz4 by default, and switch to gzip, as lsinitramfs and
    unmkinitramfs tools fails on lz4 compressed initrds. Regression bug
    https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1832108

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 08 Jun 2019 23:03:00 +0100

initramfs-tools (0.133ubuntu5) eoan; urgency=medium

  * Correctly serialize previously absent static ip configuration
    (declared as protocol 'none' by ipconfig) into runtime netplan
    yaml. LP: #1832042
  * Adjust testsuite sample file to match reality
  * Set executable bit on resume script in local-premount

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Jun 2019 21:56:33 +0100

initramfs-tools (0.133ubuntu4) eoan; urgency=medium

  * Switch default initramfs compression to lz4, faster than the current
    default gzip. LP: #1831736

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Jun 2019 13:23:29 +0100

initramfs-tools (0.133ubuntu3) eoan; urgency=medium

  * Auto activate qeth devices on s390x hosts, when using ip= ip6= command
    lines.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 May 2019 00:46:49 +0100

initramfs-tools (0.133ubuntu2) eoan; urgency=medium

  * Use set -a/+a around loading conf snippets, to autoexport hook
    configuration variables. This thus allows packaged hooks to configure
    each other.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 May 2019 09:51:24 +0200

initramfs-tools (0.133ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
      calling the dhclient binary in scripts/functions now.
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - resume: only resume when the partition contains a resume image
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will
        be run using any interface available, or the BOOTIF if it was set.
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - Only source ipv4 config in configure_networking() if it exists.
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Fix resuming a hibernate session from a swapfile
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Add some autopkgtests for the network configuration processing.
    - Work out the kernel modules required to support ZFS filesystems and
      add them as necessary.
    - debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
      in /boot.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Fix PATH to include /usr/local.
    - Add modules for nvme path components on multipath nvme.
  * Dropped changes, obsoleted in Debian:
    - Set takeover=1 in update-initramfs.
  * Dropped changes, included in Debian:
    - resume: announce resume via plymouth if available
    - Cherry-pick change from git to quiet error from rmdir on every call.
  * Dropped changes, no longer needed:
    - Retain cryptopts= compatibility option; nothing uses this variable,
      cryptsetup initramfs script does its own parsing of /proc/cmdline.
    - Retain netboot= compatibility option: unclear what used this, nothing
      uses it now.
    - Drop unused resumedelay commandline option.
    - Drop obsolete reference to usplash in the code.
  * Don't recommend pigz, which is in universe.  We continue to use gzip as
    the preferred implementation in main.
  * Drop scripts/init-top/keymap, which is also redundant with the
    console-setup implementation in Ubuntu.
  * Fix minor issues in the Ubuntu-specific code as identified by
    shellcheck.
  * Suppress shellcheck SC1010 errors, returning lots of false-positives on
    use of 'done' as a word.
  * Move our build-time tests to the dh_override_auto_test target along with
    Debian's.
  * Support roottimeout= as an alias for rootdelay= since the Ubuntu
    interpretation of rootdelay is *not* a delay and this causes
    inconsistent behavior depending on whether the kernel or an initramfs
    is interpreting it.
  * Drop usage of klibc-utils' fstype in favor of always using udev blkid;
    historical claims of relative "robustness" are no longer relevant as
    udev is used everywhere and we don't need to be dependent on klibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 29 Apr 2019 00:24:49 -0700

initramfs-tools (0.133) unstable; urgency=medium

  [ Ben Hutchings ]
  * [942f1d2] unmkinitramfs, lsinitramfs: Avoid zcat compatibility issue by
    running gzip (Closes: #903931)
  * [94683ef] mkinitramfs: Remove check for kernel version < 2.6.38
  * [40fb032] mkinitramfs; Stop setting both compress and COMPRESS variables
  * [01af757] initramfs-tools: Change trigger declaration to "interest-await"
  * [2bb6a9c] update-initramfs: Remove test for working dpkg-trigger
  * [1f10559] kernel hooks: Remove use of update-initramfs -t option
  * [1343b68] update-initramfs: Remove undocumented -y option
  * [e0d4024] mkinitramfs: Warn if the compression command is not recognised
  * [bafb9d4] init: Always export the resume and noresume variables, as
    documented
  * [f21fdae] debian/rules: Use a more conservative "find" for shellcheck
    arguments
  * [9c63564] Change get_fstype to be silent on failure
  * [58df6d3] scripts/functions: Abort _checkfs_once early if fs type is
    unknown
  * [f8ceeb9] scripts/local: Explicitly check for missing root parameter and
    mount failure. Thanks to "G.raud" <graud@gmx.com> (Closes: #848906)
  * [a5ae8a1] scripts/{local,nfs}: Remove redundant modprobe of filesystem
    modules
  * [4807ede] hook-functions: Avoid symlinks that conflict with usr-merge in
    copy_file
  * [79f49b9] {hooks,scripts}/keymap: Use setupcon --setup-dir
  * [839be1b] scripts/local: Handle rootfstype=auto the same as if type is
    unspecified (Closes: #908967)
  * [f086b72] mkinitramfs: Use default compression level for lzop
    (Closes: #916935)
  * [d343f5e] README: Summarise what initramfs-tools does and point to manual
    pages
  * [c5dd80a] initramfs-tools(7): Document how to update the initramfs from
    another package (Closes: #893897)
  * [2e5e389] scripts/functions: Revert change to _log_msg and make callers
    format-safe
  * [49139ca] scripts/local-premount/resume: Report when we are resuming.
    Thanks to Mario Limonciello <mario.limonciello@dell.com>
  * [28b9d1d] scripts/nfs: Use "sleep" instead of /bin/sleep (Closes: #677049)
  * [db394d3] Print warnings and errors in initramfs generation consistently
  * [d9cf2f2] hooks/fsck: If get_fstype fails, report which file system it
    failed for (Closes: #766446)
  * [1ae0994] mkinitramfs: Change EXTRA_CONF to include directory names
  * [34f84b4] mkinitramfs: Don't add directories to EXTRA_CONF
  * [db31e7e] mkinitramfs: Use pigz if available instead of gzip
  * [e4a5589] initramfs-tools-core: Recommend pigz
  * [b8d3d59] Remove descriptions of removed/deprecated options from man page
    synopses
  * [4d57f63] mkinitramfs(8), update-initramfs(8): Fix over-indentation of
    options
  * [66902db] update-initramfs(8): Fix formatting of mode options in the
    synopsis
  * [bb9d247] Move usage function for mkinitramfs out of hook-functions
  * [2380cb8] update-initramfs: Use getopt instead of getopts
  * [abca193] update-initramfs: Make -h option return 0 and write usage to
    stdout
  * [ccf07ee] update-initramfs: Support --help option
  * [c800321] Make all commands return 2 in case of a usage error
  * [fc81f7f] mkinitramfs: Support -h and --help options
  * [94e05dd] unmkinitramfs(8): Abbreviate synopsis to avoid wrapping
  * [00809d7] Make manual pages and usage messages more consistent
  * [45f4d15] unmkinitramfs: Write usage on stderr in case of error
  * [908bd7d] lsinitramfs, mkinitramfs, unmkinitramfs: Show usage if getopt
    fails
  * [1cc6e78] lsinitramfs: Check for empty list of arguments after parsing
    options
  * [fb3ea62] hooks/resume: Report in excruciating detail if the -v option is
    used

  [ Benjamin Drung ]
  * [806c757] scripts/functions: Fix syntax error: unexpected "(" on panic
  * [88b0c9b] mkinitramfs: Fix termination of gzip compression case
  * [5438f31] scripts/functions: Drop render function
  * [3c8b4c3] Remove trailing newline from debian/changelog
  * [f277309] Fix (nearly) all issues found by shellcheck
  * [2bab73b] Disable shellcheck for desired behaviour
  * [3650731] Replace 'echo -n' by printf
  * [9c0feb2] Run shellcheck on package build time
  * [c9cb0a0] Add autopkgtest for shellcheck

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 06 Feb 2019 20:13:59 +0000

initramfs-tools (0.132) unstable; urgency=medium

  * [4e1f80e] mkinitramfs: Don't try to remove nonexistent /var/cache/ldconfig
    (Closes: #904065)
  * [d0212d3] hook-functions: Quote exclusions in copy_modules_dir
  * [8c806b4] hook-functions: Add support for compressed module files
    (Closes: #891560)
  * [71f5d61] mkinitramfs: Create usr-merged filesystem layout
    (Closes: #874523)
  * [4c0d86c] hooks/resume: Loop over all swap devices when selecting
    automatically
  * [312393b] hooks/resume: Reject zram swap devices when selecting
    automatically (Closes: #861228)
  * [c0ae42b] update-initramfs: Always take over other initramfs images
    (Closes: #765750, #804295)
  * [f39625a] update-initramfs: Make "-k all" take over other initramfs images
  * [f273172] scripts/functions: Fix parsing of device name from ip parameter
  * [abae896] scripts/functions: Merge information from BOOTIF/DEVICE and ip
    parameters (Closes: #721088)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 26 Jul 2018 01:18:39 +0800

initramfs-tools (0.131ubuntu19) disco; urgency=medium

  * Add modules for nvme path components on multipath nvme. LP: #1778844

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 26 Mar 2019 14:49:29 -0300

initramfs-tools (0.131ubuntu18) disco; urgency=medium

  * Explicitly record net autopkgtest dependency on isc-dhcp-client.
  * Make errors in net autopkgtest a little more obvious.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Mar 2019 09:28:46 +1300

initramfs-tools (0.131ubuntu17) disco; urgency=medium

  * Fix PATH to include /usr/local. LP: #1814355

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Feb 2019 13:16:06 +0000

initramfs-tools (0.131ubuntu16) disco; urgency=medium

  * scripts/functions: include a new option to skip enslaved network
    devices. (LP: #1802591)
      Include the new variable NETWORK_SKIP_ENSLAVED. When set to a
      value different than "0", this variable will cause any enslaved
      network devices to be skipped from the list of netbootable
      devices. This variable can be set via the configuration files
      under /etc/initramfs-tools/ or via any configuration file under
      the initrd directory /conf/conf.d/ via a hook script.

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Mon, 28 Jan 2019 10:02:53 -0200

initramfs-tools (0.131ubuntu15) cosmic; urgency=medium

  * Cherry-pick change from git to quiet error from rmdir on every call.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Oct 2018 11:54:59 -0600

initramfs-tools (0.131ubuntu14) cosmic; urgency=medium

  * hooks/framebuffer: manual_add_modules vboxvideo to support graphical
    boot in VirtualBox. LP: #1796822

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Oct 2018 11:06:00 +0100

initramfs-tools (0.131ubuntu13) cosmic; urgency=medium

  * scripts/local-premount/fixrtc:
    - Hide stderr when running "hwclock -s" to avoid ugly message:
        can't open '/dev/misc/rtc': No such file or directory
      on pi2 (and possible more PIs) where there is no /dev/rtc of
      any kind.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Oct 2018 11:38:36 +0200

initramfs-tools (0.131ubuntu12) cosmic; urgency=medium

  * Do not include graphical drivers when FRAMEBUFFER is not set (LP: #1561643)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 13 Sep 2018 08:49:11 -0300

initramfs-tools (0.131ubuntu11) cosmic; urgency=medium

  * debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
    in /boot. (LP: #1791959)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 12 Sep 2018 12:06:58 +0000

initramfs-tools (0.131ubuntu10) cosmic; urgency=medium

  * Tidy up configure_networking a bit:
    - Just let dhclient scan the interfaces if none is specified for IPv6.
    - Do not handle ip=rarp specially (ipconfig hasn't supported it for some
      time)
    - Call dhclient in simple cases for IPv4 (this makes some small observable
      changes -- for example ip=bootp will now make a DHCP request too -- but
      nothing that seems important).
    - Do not let dhclient processes hang around past the pivot and have them
      respect the shorter timeouts ipconfig was given.
  * debian/tests/control: add some dependencies that happened to already be
    installed on the test runners used so far.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 06 Sep 2018 14:23:52 +1200

initramfs-tools (0.131ubuntu9) cosmic; urgency=medium

  [ John Gallagher ]
  * Work out the kernel modules required to support ZFS filesystems and add
    them as necessary. (LP: #1661629)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 20 Aug 2018 10:52:20 -0400

initramfs-tools (0.131ubuntu8) cosmic; urgency=medium

  * d/tests: only run on amd64 and i386 for now.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 16:12:44 +1200

initramfs-tools (0.131ubuntu7) cosmic; urgency=medium

  * d/tests: Fix kernel location again.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 15:01:19 +1200

initramfs-tools (0.131ubuntu6) cosmic; urgency=medium

  * d/tests: Use virtio for nic as it is supported everywhere, find kernel on
    ppc64el, explicitly depend on curl, pass -machine virt on arm64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 12:05:33 +1200

initramfs-tools (0.131ubuntu5) cosmic; urgency=medium

  * d/tests/control: depend on qemu-system, not just qemu-system-x86.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 11:16:12 +1200

initramfs-tools (0.131ubuntu4) cosmic; urgency=medium

  * Add some autopkgests for the network configuration processing.
    (LP: #1786130)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 Aug 2018 12:33:21 +1200

initramfs-tools (0.131ubuntu3) cosmic; urgency=medium

  * Drop including mlx4 and mlx5 InfiniBand modules. Version 0.131 uses
    hidden_dep_add_modules() for conditional inclusion instead.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 25 Jul 2018 11:39:00 +0200

initramfs-tools (0.131ubuntu2) cosmic; urgency=medium

  * Fix permissions on /usr/share/initramfs-tools/init, which were mangled
    by merge-o-matic.  LP: #1782854.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Jul 2018 22:54:00 -0400

initramfs-tools (0.131ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
      calling the dhclient binary in scripts/functions now.
    - Retain netboot= compatibility option.
    - Retain cryptopts= compatibility option.
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Set takeover=1 in update-initramfs.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - resume: only resume when the partition contains a resume image
    - resume: announce resume via plymouth if available
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep, reverting Debian
      commit ab91306.
    - scripts/local: Let rootdelay determine the wait-for-root timeout instead
      of the shell polling loop that comes after it, as we should never hit the
      latter in Ubuntu (where we require udev everywhere).
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will
        be run using any interface available, or the BOOTIF if it was set.
    - Only source ipv4 config in configure_networking() if it exists.
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Include mlx4 and mlx5 InfiniBand modules
    - Fix resuming a hibernate session from a swapfile
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
  * Dropped changes, no longer needed:
    - drop Breaks: against upstart; no longer present in Ubuntu for bionic or
      later.
    - When receiving "recovery" on cmdline, start upstart with --startup-
      event=recovery
    - hook-functions: include backported bnxt driver; this was a backport to
      trusty and xenial, no reason to continue carrying this special case
  * Dropped changes, included in Debian:
    - hook-functions: include vmd driver.
    - hooks/resume: don't generate RESUME config pointing to
      randomly-crypted swap devices.
    - hooks/resume: cherry-pick patch from upstream git to fix
      auto-configuration of resume devices that are on LVM; always refer to
      them by name, never by UUID.
  * Change netplan tests to use 'example1' as a device name, so that it
    won't collide with real devices on the system and result in unexpected
    output; this allows us to re-enable the tests on non-x86 architectures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Jul 2018 10:26:51 -0400

initramfs-tools (0.131) unstable; urgency=medium

  [ Ben Hutchings ]
  * [34bf250] debian/control: Remove maximilian attems and Adam Conrad from
    Uploaders field
  * [5ad3976] hooks/resume: Generalise logic to replace dev name with UUID when
    RESUME=auto
  * [0170b7f] hooks/resume: Store /dev/mapper path for swap if possible when
    RESUMEauto (Closes: #883735)
  * [5bf4c29] debian/control: Point Vcs URLs to Salsa
  * [e8377b3] hooks/fsck: Fix invocation of fstype at build time.
    Thanks to Simon Tatham <anakin@pobox.com> (Closes: #865691)
  * [492763a] docs: Convert maintainer notes to Markdown format
  * [0214976] docs/maintainer-notes.md: Update references to Alioth, to Salsa
  * [b71c6c9] docs/maintainer-notes.md: Delete mention of git-core package
  * [89daebf] docs/maintainer-notes.md: Change BTS link to specify source
    package
  * [8e539dc] docs/maintainer-notes.md: Link to tracker.debian.org instead of
    PTS
  * [3f27197] docs/maintainer-notes.md: Remove stale link to Debian bug count
    graph
  * [7dece27] docs/maintainer-notes.md: Use HTTP-S for Debian wiki and popcon
    links
  * [838b6ec] docs/maintainer-notes.md: Link directly to Ubuntu bug list
  * [eaa61d4] docs/maintainer-notes.md: Add myself as co-author
  * [fa7df8f] hook-functions: Correct the comment above hidden_dep_add_modules
  * [0ffbeb9] hook-functions: Remove directory information from
    hidden_dep_add_modules
  * [78e95c1] hook-functions: Check modules.builtin in hidden_dep_add_modules
  * [976aeb9] hook-functions: Handle i8042 hidden dependency on psmouse
    (Closes: #878829)
  * [211e050] hook-functions: Handle nvme hidden dependency on vmd.
    Thanks to Mario Limonciello <Mario.Limonciello@dell.com> (Closes: #886349)
  * [28536f6] unmkinitramfs, lsinitramfs: Split multiple early initramfs
    sections (Closes: #886424)
  * [2a9d97d] debian/control: Add e2fsprogs to Depends for initramfs-tools-core
    (Closes: #887211)
  * [577c94e] initramfs.conf: Update documentation of the DEVICE variable
  * [f1cbe6f] mkinitramfs: Build reproducible images when SOURCE_DATE_EPOCH is
    set. Thanks to Chris Lamb <lamby@debian.org> (Closes: #845034)
  * [717e6bd] mkinitramfs: Exclude ldconfig auxiliary cache from initramfs
    image. Thanks to Kristian Klausen <klausenbusk@hotmail.com>
  * [8bddfe4] mkinitramfs(8): Remove description of nonexistent options
  * [ecd6ce2] mkinitramfs(8), hook-functions: Correct references to "ramdisk"
  * [63cec7b] docs: Move initramfs-tools man page to section 7
  * [562d86e] docs: Update man page header dates
  * [9bd960e] docs: Set man page header source and manual parameters correctly
  * [97cc7e7] docs: Don't package maintainer documentation in
    initramfs-tools-core
  * [4e19a6f] docs: Remove outdated "HACKING" documentation file
  * [6c02622] debian/control: Remove obsolete Breaks and Depends relations
  * [749751c] debian/control: Update Standards-Version to 4.1.5
    - Set Rules-Requires-Root: no
  * [db469f0] initramfs-tools: Override lintian warning "breaks-without-version
    upstart"

  [ Riku Voipio ]
  * [72b6419] auto_add_modules: add mfd for MODULES==most (Closes: #880584)

  [ Benjamin Drung ]
  * [7ca4d0d] Add mlx4 and mlx5 InfiniBand modules to hidden_dep_add_modules
    (Closes: #871595)
  * [df7d7e8] Add option to clear screen at the beginning (Closes: #856929)
  * [a33cb62] Fix indentation (spaces to tabs)
  * [3962c4f] Fix config directory in error message (Closes: #856589)
  * [be2b91c] Double quote to prevent globbing and word splitting
  * [ae339ff] Make size of /run configurable (Closes: #862013)

  [ Steve Langasek ]
  * [c198331] Skip dmsetup resume devices if they are randomly encrypted.

  [ Paul Menzel ]
  * [e28b865] mkinitramfs: Add LZ4 support (Closes: #893845)
  * [5091a5e] control: Remove suggestion of *lz4-tools*

  [ Colin Watson ]
  * [b4804dd] Only sync the filesystem containing the initramfs
    (Closes: #882380) (LP: #1667512)

  [ Karsten Merker ]
  * [281ad9a] Include the axp20x_usb_power module in the base modules list for
    MODULES=most (Closes: #866521)

  [ Ivan Kozik ]
  * [54367c0] init: export DEVICE so that when configured, it is actually set
    in configure_networking (Closes: #883664)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jul 2018 01:06:01 +0100

initramfs-tools (0.130ubuntu10) cosmic; urgency=medium

  * Avoid redundant call to dmsetup.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jun 2018 22:26:51 -0700

initramfs-tools (0.130ubuntu9) cosmic; urgency=medium

  * hooks/resume: cherry-pick patch from upstream git to fix
    auto-configuration of resume devices that are on LVM; always refer to
    them by name, never by UUID.  LP: #1768230.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jun 2018 22:23:46 -0700

initramfs-tools (0.130ubuntu8) cosmic; urgency=medium

  * hooks/resume: minor improvements to the hook based on Debian feedback.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Jun 2018 10:39:25 -0700

initramfs-tools (0.130ubuntu7) cosmic; urgency=medium

  * hooks/resume: don't generate RESUME config pointing to randomly-crypted
    swap devices.  LP: #1771962.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Jun 2018 21:22:04 -0700

initramfs-tools (0.130ubuntu6) cosmic; urgency=medium

  * Fix formatting for the generated netplan config: headers were missing.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 10 May 2018 12:12:03 -0400

initramfs-tools (0.130ubuntu5) cosmic; urgency=medium

  * debian/rules: skip tests on non-x86 architectures, where they then to be
    false negatives (extra macaddress matching makes the tests fail to match
    expected values).

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 10 May 2018 11:35:56 -0400

initramfs-tools (0.130ubuntu4) cosmic; urgency=medium

  [ Scott Moser ]
  * scripts/functions: write netplan config files to /run/netplan for
    network devices configured with configure_networking. (LP: #1713803)

  [ Mathieu Trudel-Lapierre ]
  * scripts/functions: add 'critical: true' parameter; requires netplan
    0.37. (LP: #1713803)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 08 May 2018 17:15:53 -0400

initramfs-tools (0.130ubuntu3) bionic; urgency=medium

  * Fix resuming a hibernate session from a swapfile (LP: #1644975)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 20 Feb 2018 15:34:46 -0600

initramfs-tools (0.130ubuntu2) bionic; urgency=medium

  * Include mlx4 and mlx5 InfiniBand modules (Closes: #871595, LP: #1719302)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 27 Jan 2018 12:51:45 +0100

initramfs-tools (0.130ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining delta:
    - Set takeover=1 in update-initramfs.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - When receiving "recovery" on cmdline, start upstart with --startup-
      event=recovery (LP: #575469)
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest. (LP: #917135)
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Retain netboot= compatibility option.
    - Retain cryptopts= compatibility option.
    - Add vfat modules to the initramfs.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el (LP: #1326199)
    - ppc64el: enable PowerPC NX Crypto Coprocessor (LP: #1454687)
    - resume: only resume when the partition contains a resume image
    - resume: announce resume via plymouth if available
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - add squashfs to list of 'most' modules (LP: #1501834)
    - drop Breaks: against upstart as we use it in user sessions
    - support mounting of loopback devices via loop*= parameters
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - initramfs-tools-core uses initramfs-tools-bin, add dependency (LP:
      #1543244)
    - Add support for uppercase and lowercase uuids. (LP: #1548120)
    - wait-for-root.c: Drop check if device is queued in udev (LP: #1539195)
    - hook-functions: add hyperv-keyboard for Generation 2 VMs (LP: #1567107)
    - init: fix redirection for /bin/hostname command
    - init: drop -b from hostname as it is not supported by busybox
    - Ensure we have a /usr/sbin directory in initramfs-tools-core
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - init: Revert Debian commit ab91306. Interpreting "rootdelay" as a static
      sleep is complete nonsense. (LP: #1615751)
    - scripts/local: Let rootdelay determine the wait-for-root timeout instead
      of the shell polling loop that comes after it, as we should never hit the
      latter in Ubuntu (where we require udev everywhere). Thanks to Scott Moser
      for this patch!
    - scripts/functions: by default, when setting up networking, use dhclient if
      we're asked to do DHCP explicitly, or if we otherwise are expected to do
      things automatically. This way we can bring up both IPv4 and IPv6, as
      klibc doesn't support IPv6. (LP: #1621507)
    - debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
      calling the dhclient binary in scripts/functions now.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and exit
      as soon as we get an IP address. This retains the old behavior from
      ipconfig when ip= is unset, for really simple remote-root scenarios.
      (LP: #1628306)
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any' as
        the name of an interface. (LP: #1621507)
      - rework the stop conditions so that we properly handle the ROUNDTTT loop,
        timing out after a short period of time and trying again after a short
        sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to do,
        or that we've achieved what we wanted (that is, to bring up IPv4, IPv6,
        or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will be
        run using any interface available, or the BOOTIF if it was set.
    - Only source ipv4 config in configure_networking() if it exists.
    - Use configure_networking from yakkety-proposed (SRU), addressing various
      review feedback.   dhclient -4 will be reconsidered later.  LP: #1621507
    - hook-functions: include backported bnxt driver. (LP: #1712491)
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking. (LP: #1714308)
    - hook-functions: include vmd driver. (LP: #1703339)
  * Dropped changes:
    - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g.
      current ntfs-3g doesn't work otherwise. (fixed in 0.126)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 05 Jan 2018 14:44:02 +0100

initramfs-tools (0.130) unstable; urgency=medium

  * [5b7c092] hooks/resume: Fix validation of resume devices specified by
    UUID etc. (Closes: #861057)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 26 Apr 2017 02:00:05 +0100

initramfs-tools (0.129) unstable; urgency=medium

  * [71cfb7f] hooks/resume: Use correct sort options to select the biggest swap
    partition
  * [7da8194] initramfs.conf(5): Clean up split between general and NFS
    variables
  * [d857e91] Support setting of RESUME in initramfs.conf or anywhere in conf.d/
  * [786e4aa] initramfs.conf(5): Document the RESUME variable
  * [7106c3e] hooks/resume: Check for chroot earlier
  * [433e1ca] Allow disabling resume from disk at build time by setting
    RESUME=none
  * [8108a17] Support requesting automatic selection of resume device with
    RESUME=auto
  * [aaaa6b5] hooks/resume: Report when we might be doing something surprising
  * [995b556] NEWS: Add entry explaining the need for RESUME=none on some
    systems (Closes: #860403)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 24 Apr 2017 01:06:21 +0100

initramfs-tools (0.128) unstable; urgency=medium

  * [cd352e8] debian/control: Add Breaks against older versions of busybox
    (Closes: #855094)
  * [e5c68ce] Include the unmkinitramfs(8) manual page in initramfs-tools-core
  * [dc22177] scripts/local: local_device_setup should not assume devices hold
    file systems
  * [033c948] scripts/local: Apply a single time limit to all device discovery
  * [f3a61b3] scripts/local: Add option for local_device_setup to return failure
  * [2be97ee] scripts/local-premount/resume: Check for kernel resume interface
    earlier
  * [25837a1] scripts/local-premount/resume: Use local_device_setup for resume
    device (Closes: #854791)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 08 Apr 2017 21:01:30 +0100

initramfs-tools (0.127) unstable; urgency=medium

  * [251adae] unmkinitramfs: Don't attempt to create /main directory when
    listing (Closes: #848423)
  * [3714d5b] unmkinitramfs: Change mkdir/cd/cpio command sequences to exit on
    failure

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 23 Jan 2017 03:42:36 +0000

initramfs-tools (0.126) unstable; urgency=medium

  [ Ben Hutchings ]
  * [0b2266e] bash-completion: Fix installation of update-initramfs completion
    script.  Thanks to Stephan Suerken <absurd@debian.org>.  (Closes: #824385)
  * [7d875ad] Revert "hook-functions: Add detached module signatures if present"
  * [b0a5f26] update-initramfs, hooks/resume: Use ischroot command instead of
    our own function
  * [385e3fc] hook-functions: Make copy_file return 0 on creating a link to an
    existing file (Closes: #847325)
  * [82f4bcf] Fix initramfs.conf move to ensure default values are upgraded.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #822671, #825929)
  * [d9f77c1] Remove obsolete bash-completion file on upgrade.
    Thanks to Andreas Beckmann <anbe@debian.org>
  * [4a10868] Remove code that prunes 'broken' symlinks and sometimes /etc/mtab
    (Closes: #845581)
  * [dc2323f] auto_add_modules: Add all I2C bus and mux drivers when
    MODULES=most (Closes: #825687)
  * [811f408] maintainer-notes.html: Update 'git buildpackage' commands to use
    gbp too
  * [cd33566] maintainer-notes.html: Fix post-clean option to gbp buildpackage
  * [f54d7f0] Use debhelper compatibility level 9
  * [5221375] debian/control: Update Standards-Version to 3.9.8; no changes
    needed
  * [c48108d] Revert "initramfs-tools: Install script to be invoked by
    linux-signed postinst"
  * [12744eb] unmkinitramfs: Rewrite command syntax
  * [c7f241f] unmkinitramfs: Unpack early and main cpio archives in separate
    directories
  * [b804348] initramfs-tools: Remove obsolete linux-signed postinst script on
    upgrade

  [ Michael Prokop ]
  * [30dfbbd] mkinitramfs: consider *.conf files only, also from
    /lib/modprobe.d/ + don't complain about empty dirs (Closes: #829280)

  [ Kevin Locke ]
  * [f1f18a4] Create unmkinitramfs command

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 15 Dec 2016 22:43:05 +0000

initramfs-tools (0.125ubuntu13) bionic; urgency=medium

  [ Oliver Grawert ]
  * make fixrtc catch "n/a" string and fall back to a sane value for the date
    command instead (LP: #1623125)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2017 09:44:43 +0100

initramfs-tools (0.125ubuntu12) artful; urgency=medium

  * hook-functions: include vmd driver. (LP: #1703339)

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 13 Oct 2017 14:09:26 -0500

initramfs-tools (0.125ubuntu11) artful; urgency=medium

  * hook-functions, mkinitramfs, scripts/functions: support usage of dns
    after configure_networking. (LP: #1714308)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 19 Sep 2017 12:54:18 -0400

initramfs-tools (0.125ubuntu10) artful; urgency=low

  * hook-functions: include backported bnxt driver. (LP: #1712491)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 30 Aug 2017 11:28:51 +0100

initramfs-tools (0.125ubuntu9) zesty; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Use configure_networking from yakkety-proposed (SRU), addressing various
    review feedback.   dhclient -4 will be reconsidered later.  LP: #1621507

 -- LaMont Jones <lamont@ubuntu.com>  Thu, 15 Dec 2016 15:14:57 -0700

initramfs-tools (0.125ubuntu8) zesty; urgency=medium

  [ LaMont Jones ]
  * Only source ipv4 config in configure_networking() if it exists.

  [ Mathieu Trudel-Lapierre ]
  * init: hey, we also need to actually will in IP6 with what someone passes
    at the command-line in ip6=.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 16:03:25 -0600

initramfs-tools (0.125ubuntu7) zesty; urgency=medium

  * scripts/functions: for configure_networking:
    - split out IPv6 options in its own cmdline parameter: ip6= ; always use
      dhclient in this case if the value set is anything other than 'off' or
      'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any' as
      the name of an interface. (LP: #1621507)
    - rework the stop conditions so that we properly handle the ROUNDTTT loop,
      timing out after a short period of time and trying again after a short
      sleep.
    - add a 'done' parameter for both ip= and ip6= so that we can properly
      exit the ROUNDTTT loop once we know that either there is no work to do,
      or that we've achieved what we wanted (that is, to bring up IPv4, IPv6,
      or possibly both).
    - return ip=dhcp to the ipconfig use case; if set, then ipconfig will be
      run using any interface available, or the BOOTIF if it was set.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 17 Oct 2016 17:05:49 -0400

initramfs-tools (0.125ubuntu5) yakkety; urgency=medium

  * scripts/functions: make sure we can try to start all available and suitable
    interfaces if ip= isn't set when setting up the network, and exit as soon
    as we get an IP address. This retains the old behavior from ipconfig when
    ip= is unset, for really simple remote-root scenarios. (LP: #1628306)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 27 Sep 2016 18:25:50 -0400

initramfs-tools (0.125ubuntu4) yakkety; urgency=medium

  * scripts/functions: by default, when setting up networking, use dhclient if
    we're asked to do DHCP explicitly, or if we otherwise are expected to do
    things automatically. This way we can bring up both IPv4 and IPv6, as
    klibc doesn't support IPv6. (LP: #1621507)
  * debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
    calling the dhclient binary in scripts/functions now.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 21 Sep 2016 14:01:57 -0400

initramfs-tools (0.125ubuntu3) yakkety; urgency=medium

  * init: Revert Debian commit ab91306. Interpreting "rootdelay" as a static
    sleep is complete nonsense. (LP: #1615751)
  * scripts/local: Let rootdelay determine the wait-for-root timeout instead
    of the shell polling loop that comes after it, as we should never hit the
    latter in Ubuntu (where we require udev everywhere). Thanks to Scott Moser
    for this patch!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Aug 2016 12:54:37 +0200

initramfs-tools (0.125ubuntu2) yakkety; urgency=medium

  * Make busybox-initramfs a real runtime dependency, fixing
    kernel install failures with cryptsetup

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Jul 2016 11:09:50 +0200

initramfs-tools (0.125ubuntu1) yakkety; urgency=medium

  * Merge with debian 0.125 (LP: #1599915).  Remaining delta:
   - Set takeover=1 in update-initramfs.
   - Drop hooks/keymap and associated code; console-setup takes care of
     this in Ubuntu.
   - Add a new 'fixrtc' script that tries to set the system clock forward
     based on the last mount time of the root disk; without this kludge,
     systems without a working RTC will end up in a perpetual reboot loop.
   - Set hostname at boot, for the benefit of mdadm autoassembly.
   - Ignore errors from iscan and iscan-data hooks.
   - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
     to something other than "n", the script will not be included.
   - Restore the framebuffer hook and script, copying KMS and other
     framebuffer drivers into the initramfs, but make them optional; you
     need to set FRAMEBUFFER=y for these to be included.
   - Add hwaddr= alias for BOOTIF= for compatibility.
   - When receiving "recovery" on cmdline, start upstart with --startup-
     event=recovery (LP: #575469)
   - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g.
     current ntfs-3g doesn't work otherwise.
   - Automatically blacklist vga16fb when vga= or video= specified on
     kernel command-line.
   - Add Hyper-V paravirtualised device drivers to the initramfs to allow
     booting of stock images in a Hyper-V guest. (LP: #917135)
   - Add mountroot failure support, to allow meaningful messages when no
     root device can be found.
   - Retain netboot= compatibility option.
   - Retain cryptopts= compatibility option.
   - Add vfat modules to the initramfs.
   - Maintain compatibility with pre- /run configurations
   - Increase rootdelay to 180s on powerpc/ppc64/ppc64el (LP: #1326199)
   - fixrtc: wait for udev to settle to expose device symlinks
   - fixrtc: handle hwclock -s failures safely
   - fixrtc: support busybox, handle last mount time on system partition,
     expose fs create time (LP: #1420473)
   - fixrtc: avoid using xargs, wait-for-root before examining
   - fixrtc: suppress /dev/ram as a root when using systempart (LP:
     #1443329)
   - ppc64el: enable PowerPC NX Crypto Coprocessor
   - resume: only resume when the partition contains a resume image
   - resume: announce resume via plymouth if available
   - Don't load keymaps unless we're loading a framebuffer; but set the
     keymap before giving a root shell.
   - Add new initramfs-tools-bin package containing a binary that uses
     libudev to wait for udev to create the udev device, or wait for udev
     to finish processing if we catch it in the act, and returns the
     filesystem type as already probed by udev.
   - Incorporate rzscontrol from compcache so that we can control current
     ramzswap devices.
   - Support loading compcache from the initramfs.
   - debian/control: update Vcs-* links for Ubuntu.
   - hook-functions: fix PowerPC NX Crypto Coprocessor support (LP:
     #1454687)
   - Drop: Maintain compatibility with pre- /run configurations (LP:
     #1485752)
   - Drop: Ignore errors from iscan and iscan-data hooks (LP: #1485562)
   - add squashfs to list of 'most' modules (LP: #1501834)
   - drop Breaks: against upstart as we use it in user sessions
   - support mounting of loopback devices via loop*= parameters
   - local_device_setup: use wait-for-root if it supports the device alias
     type
   - Fix vfat support from initramfs (LP: #1540522)
   - initramfs-tools-core uses initramfs-tools-bin add dependency (LP:
     #1543244)
   - Add support for uppercase and lowercase uuids. (LP: #1548120)
   - uuids: busybox tr does not support symbolic ranges expand manually
     (LP: #1548120)
   - wait-for-root.c: Drop check if device is queued in udev (LP: #1539195)
   - uuids: only apply case mapping to RFC#4122 format uuids (LP: #1553107,
     #1548120)
   - hooks/framebuffer: Copy kernel/ubuntu/i915 backport driver too. (LP:
     #1500751)
   - hook-functions: add hyperv-keyboard for Generation 2 VMs (LP:
     #1567107)
   - init: fix redirection for /bin/hostname command
   - init: drop -b from hostname as it is not supported by busybox
   - Ensure we have a /usr/sbin directory in initramfs-tools-core

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 07 Jul 2016 16:49:14 +0100

initramfs-tools (0.125) unstable; urgency=medium

  * [74597dd] update-initramfs: Remove $USETRIGGERS variable and condition
  * [b19d13e] initramfs-tools: Install script to be invoked by linux-signed
     postinst
  * [79c0204] mkinitramfs: Fix wildcard for excluding dot-files
    (Closes: #821346)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Apr 2016 23:13:33 +0100

initramfs-tools (0.124) unstable; urgency=medium

  * [e05fc3e] hook-functions: Add detached module signatures if present
    (Closes: #820037)
  * [99dadac] hook-functions: Create ORDER files even if there are no valid
    scripts (Closes: #814965)
  * [57a9f2a] mkinitramfs: Exclude VCS directories when copying
    /etc/initramfs-tools/scripts
  * [eff1806] parse_numeric: Do not attempt to canonicalise root device name
    (Closes: #815555)
  * [7a820e1] auto_add_modules: Include most USB host drivers (Closes: #762634)
  * [35751d4] auto_add_modules: Include all bus driver modules

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Apr 2016 01:56:13 +0100

initramfs-tools (0.123) unstable; urgency=medium

  [ Ben Hutchings ]
  * [3084929] debian/control: Remove redundant dependency on
    klibc-utils|busybox
  * [913a861] debian/control: Recommend the right busybox packages for the
    target distribution
  * [d4febbd] Remove busybox hook in favour of busybox's own (Closes: #810154)
  * [b5303a1] Update TODO for removal of busybox hook
  * [6cc3d85] hook-functions: Include any modular RTC drivers in the initramfs
  * [ceff05e] hooks/fsck: Stop setting e2fsck broken_system_clock option
    (Closes: #804071)
  * [9c105f0] Assume blkid is always installed, and remove fallbacks
  * [aaba4cb] hooks/fsck: Use get_fstype rather than blkid to probe filesystem
    type
  * [a8ed874] hooks/fsck: Always use get_fstype to probe type of root
    filesystem (Closes: #767471)
  * [e798629] Pass filesystem type from /etc/fstab to fsck when checking /usr
  * [55e075c] hook-functions: Include drivers for all keyboards when
    MODULES=dep (Closes: #639876)
  * [704bfa5] scripts/functions: Explicitly load keyboard drivers only at
    break=top
  * [c5b54ae] scripts/functions: Use more sensible modprobe options at
    break=top
  * [39e90c8] scripts/functions: Load more USB host controllers drivers on
    break=top
  * [8c437f5] scripts/functions: Load HID drivers at break=top
  * [619f2ca] scripts/functions: Connect panic shell to normal tty device
    (Closes: #512679)
  * [8b8b28c] hook-functions: Clean up split between dep_add_modules and
    dep_add_modules_mount
  * [5f34b94] hook-functions: Include modules for resume partition when
    MODULES=dep (Closes: #588770)
  * [31ab487] hook-functions: Stop force-loading drivers found through sysfs
    when MODULES=dep (Closes: #792910)
  * [07f2c88] kernel/postinst.d: Make test for update-initramfs consistent with
    invocation (Closes: #768913)
  * [e5476bf] copy_file: Skip duplicating symlink if it points to the target
    file (Closes: #812404)
  * [d0f4d06] initramfs-tools: Include empty /etc/initramfs-tools/conf.d
    directory (Closes: #809206)
  * [245d584] initramfs-tools.8: Update list of variables exported to hook
    scripts
  * [941429d] initramfs-tools.8: Add a new section for the general description
    of scripts
  * [3ff5d57] initramfs-tools.8: Add brief description of configuration hooks
    and files (Closes: #807527)
  * [c17a21a] Remove klibc hook in favour of klibc's own
  * [ea7e02d] bash-completion: Simplify by using _get_comp_words_by_ref
  * [9e23444] init: Use "case" rather than loop to look for "quiet" parameter
  * [49e4a05] init: Remove fallback from devtmpfs to tmpfs
  * [ab91306] init: Take over handling of rootdelay parameter from udev boot
    script (Closes: #809740)
  * [56dfe39] bash-completion: Rename our completion script so that it works
    again
  * [ac6d31f] mkinitramfs: Delete or report temporary files on failure
    (Closes: #814345)
  * [c8c932d] Move initramfs.conf around in maintainer scripts to avoid it
    being 'obsolete' (Closes: #813229)
  * [138af73] hook-functions: Dereference links when looking up block device
    number

  [ Andy Whitcroft ]
  * [7774fa3] Don't display "Loading, please wait..." message when 'quiet' is
    in /proc/cmdline.
  * [c4ea209] Mount /dev with the default tmpfs size rather than sourcing
    udev.conf.
  * [b418ad4] Sync the mount options for /run from /lib/init/fstab
    (LP: #1152744)
  * [c44df0c] init: Mount /dev with "nosuid". Thanks to Daniel (LP: #1450960)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 11 Feb 2016 02:13:23 +0000

initramfs-tools (0.122ubuntu9) yakkety; urgency=medium

  * hook-functions: include ehci-msm in auto_add_modules_list
    (LP: #1588946)

 -- dann frazier <dannf@ubuntu.com>  Fri, 03 Jun 2016 13:37:06 -0600

initramfs-tools (0.122ubuntu8) xenial; urgency=medium

  * init: busybox hostname doesn't support the '-b' argument, and it's
    not relevant in this context anyway, as we test -f /etc/hostname.
  * init: Also fix the wrong redirection of stdout for the above call.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Apr 2016 14:37:22 -0600

initramfs-tools (0.122ubuntu7) xenial; urgency=medium

  * hook-functions: add hyperv-keyboard for Generation 2 VMs
    (LP: #1567107)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 13 Apr 2016 18:39:27 +0100

initramfs-tools (0.122ubuntu6) xenial; urgency=medium

  [ Andy Whitcroft ]
  * uuids: only apply case mapping to RFC#4122 format uuids (LP: #1553107,
    #1548120)

  [ Timo Aaltonen ]
  * hooks/framebuffer: Copy kernel/ubuntu/i915 backport driver too. (LP:
    #1500751)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 04 Mar 2016 10:12:42 +0000

initramfs-tools (0.122ubuntu5) xenial; urgency=medium

  [ Andy Whitcroft ]
  * uuids: busybox tr does not support symbolic ranges expand manually
    (LP: #1548120)

  [ Martin Pitt ]
  * wait-for-root.c: Drop check if device is queued in udev (LP: #1539195)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 24 Feb 2016 14:26:59 +0000

initramfs-tools (0.122ubuntu4) xenial; urgency=medium

  [ Manoj Iyer ]
  * Add support for uppercase and lowercase uuids. (LP: #1548120)

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 21 Feb 2016 22:12:36 +0000

initramfs-tools (0.122ubuntu3) xenial; urgency=medium

  * initramfs-tools-core uses initramfs-tools-bin add dependency (LP:
    #1543244)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 08 Feb 2016 21:50:03 +0000

initramfs-tools (0.122ubuntu2) xenial; urgency=medium

  * fix vfat support (LP: #1540522) from initramfs.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Feb 2016 16:10:45 -0500

initramfs-tools (0.122ubuntu1) xenial; urgency=medium

  * Merge with Debian v0.122, known to fix:
    - root=PARTUUID=<partuuid> is not recognized as valid syntax
      (LP: #1531928)
  * Merge with Debian v0.122 (LP: #1541508), remaining changes:
    - Set takeover=1 in update-initramfs.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Ignore errors from iscan and iscan-data hooks.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - When receiving "recovery" on cmdline, start upstart with --startup-
      event=recovery (LP: #575469)
    - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g.
      current ntfs-3g doesn't work otherwise.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest. (LP: #917135)
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Retain netboot= compatibility option.
    - Breaks: mountall (<< 2.0~)
    - Retain cryptopts= compatibility option.
    - Use busybox-initramfs for Depends.
    - Add vfat modules to the initramfs.
    - Maintain compatibility with pre- /run configurations
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Sync the mount options for /run from /lib/init/fstab (LP: #1152744)
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el (LP: #1326199)
    - fixrtc: wait for udev to settle to expose device symlinks
    - fixrtc: handle hwclock -s failures safely
    - fixrtc: support busybox, handle last mount time on system partition,
      expose fs create time (LP: #1420473)
    - fixrtc: avoid using xargs, wait-for-root before examining
    - fixrtc: suppress /dev/ram as a root when using systempart (LP:
      #1443329)
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - resume: only resume when the partition contains a resume image
    - resume: announce resume via plymouth if available
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - hook-functions: fix PowerPC NX Crypto Coprocessor support (LP:
      #1454687)
    - Drop: Maintain compatibility with pre- /run configurations (LP:
      #1485752)
    - Drop: Ignore errors from iscan and iscan-data hooks (LP: #1485562)
    - init: Mount /dev with "nosuid" Thanks to Daniel (LP: #1450960)
    - import direct archive upload 0.120ubuntu6
    - add squashfs to list of 'most' modules (LP: #1501834)
    - drop Breaks: against upstart as we use it in user sessions.
    - support mounting of loopback devices via loop*= parameters
    - local_device_setup: use wait-for-root if it supports the device
      alias type

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 25 Jan 2016 16:08:12 +0000

initramfs-tools (0.122) unstable; urgency=medium

  * [4fa3fe4] init: Validate the real init after devtmpfs is mounted under the
    real root (Closes: #811479)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 19 Jan 2016 22:39:40 +0000

initramfs-tools (0.121) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * [19422ac] debian/NEWS: Fix typo in reference to initramfs.conf configuration
    file

  [ Ben Hutchings ]
  * [bf445db] Restore automatic selection between busybox and klibc by default
    (Closes: #809204)
  * [4251397] init: Always mount /usr before looking for the real init
  * [c6d067c] init: Remove use of switch_root
  * [3c8b67c] init: Use run-init -n option to validate real init
    (Closes: #810965)
  * [40f2132] scripts/functions: Fix fsck display options (Closes: #781239)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 18 Jan 2016 17:43:22 +0000

initramfs-tools (0.121~rc2) experimental; urgency=medium

  * Upload to experimental, not unstable

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 22 Dec 2015 22:07:42 +0000

initramfs-tools (0.121~rc1) unstable; urgency=medium

  [ Ben Hutchings ]
  * [da2159f] Add .gitignore files to exclude generated and backup files
  * [8ad7317] bash-completion: Install using dh_bash-completion
  * [31d21d6] Rename lintian override file so dh_lintian installs it
    automatically
  * [9d45599] debian/control: Update and shorten description
  * [2bf8c27] Split initramfs-tools binary packages into core and automation
    hooks
  * [6562e1b] debian/control,debian/copyright: Use canonical HTTP-S URLs for
    Alioth git repos
  * [76dab5a] hook-functions: Include soft-dependencies of all kernel modules
    (Closes: #588452)
  * [7285ffb] hooks/busybox: Fail if busybox is wanted but not found
    (Closes: #785564)
  * [852b9ab] scripts/functions: Use shell to create stamp file instead of
    'touch' (Closes: #783291)
  * [9aea31d] sripts/local: Remove obsolete hint about ATA device renaming
  * [e0c8d03] hook-functions: Always use /proc/mounts, avoiding mangling of
    /dev/root (Closes: #766920)
  * [728f534] hook-functions: Fold sys_walk_modalias into sys_walk_mod_add
  * [d122ab6] hook-functions: Split block device sysfs lookup into a separate
    function
  * [aff5209] hook-functions: Remove loop-aes support
  * [3cb744c] hook-functions: Rewrite block device sysfs lookup to be generic
    (Closes: #747871, #785147, #807004, #807256)
  * [8ac52dc] hook-functions: Include modules for all components of a
    multi-disk device (Closes: #620814)
  * [c69313d] parse_numeric: Tighten check for whether 'root' parameter is a
    number (Closes: #697017)
  * [8062189] parse_numeric: Add support for 20-bit minor numbers in 'root'
    parameter
  * [88f98b5] parse_numeric: Replace numeric root with canonical device name
  * [28e5a0a] update-initramfs: Use linux-version command to sort versions
    (Closes: #770394, #795837)
  * [4b4e578] lsinitramfs.8: Update the BUGS section to note fix for #717805
    (Closes: #790095)
  * [fa82bf1] hooks/fsck: Stop copying sulogin, which is no longer used
  * [95beada] Only run fsck if enabled in /etc/fstab (pass != 0)
    (Closes: #797361)
  * [371221b] hooks/fsck: Use 'command' to find fsck.<type> (Closes: #784234)
  * [e352b94] scripts/functions: Use blkid to resolve LABEL= and UUID= block
    device IDs
  * [7469eee] scripts/functions: Handle PARTLABEL= and PARTUUID= block device
    IDs using blkid (Closes: #801154)
  * [fe30453] hook-functions: Include drivers/nvme in block driver modules
    (Closes: #807000)
  * [fa1985b] update-initramfs: Run 'sync' after writing the initramfs
    (Closes: #783620)
  * [6a40a89] hook-functions: Introduce copy_file function
  * [a7fc630] Use copy_file to copy config files and firmware, instead of
    copy_exec
  * [52ae50c] hook-functions: Use copy_file to install modules
  * [b215c18] Support multiple break points using a comma delimiter
    (Closes: #795832)
  * [b2dfbeb] Set emacs local variables to implement our shell coding style
  * [b1dc049] hook-functions: Preserve symlinks when copying files
    (Closes: #799443)
  * [319b141] hooks/fsck: Simplify by letting copy_exec handle symlinks
  * [143b9ef] maintainer-notes.html: Update changelog command lines to use
    'gbp dch'
  * [f01cdd4] debian/control: Ensure lockstep upgrade of initramfs-tools and
    -core
  * [88f7bb6] debian/TODO: Update for released and pending changes
  * [d136f22] scripts/local: Remove residual support for separate /etc
    filesystem
  * [14913b2] scripts/local: Name parameters to local_device_setup
  * [3080087] Defer resolving block device IDs to local_device_setup
  * [3574b56] scripts/functions: Stop resolving symlinks in resolve_device
    (Closes: #791754)

  [ Laurent Bigonville ]
  * [27405fc] Support fsck.mode= and fsck.repair= parameters as known by
    systemd-fsck (Closes: #783410, #792557)
  * [8a2f298] Run new panic scripts just before dropping to a shell
    (Closes: #602331)

  [ Boris Egorov ]
  * [c14d661] mkinitramfs: fix bashism in script (Closes: #633582)

  [ Salvatore Bonaccorso ]
  * [f78c9a9] scripts/nfs: Check return value from nfs_mount_root_impl
    (Closes: #782641)

  [ Roger Shimizu ]
  * [50aa8e2] advance the timing of insmod netconsole
  * [3acddcc] redirect debug info to netconsole (Closes: #793786)

  [ Andy Whitcroft ]
  * [4ba741b] Add 2>&1 to the run-init line (Closes: #795831)
  * [1f5c193] When adding i8042 also add psmouse as some keyboards are behind
    the mouse (Closes: #795839)

  [ Roger Leigh ]
  * [6a8d18b] init: Always migrate /run to the rootfs (Closes: #696632)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 22 Dec 2015 21:56:40 +0000

initramfs-tools (0.120ubuntu7) xenial; urgency=medium

  [ Ben Hutchings ]
  * hook-functions: Include drivers/nvme in block driver modules (Closes:
    #807000) (LP: #1524879)

  [ Louis Bouchard ]
  * Add support for NVME devices when MODULES=dep is used (LP: #1532146)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 21 Jan 2016 16:10:15 +0000

initramfs-tools (0.120ubuntu6) wily; urgency=medium

  * add squashfs to list of 'most' modules (LP: #1501834)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Oct 2015 12:48:11 -0400

initramfs-tools (0.120ubuntu5) wily; urgency=medium

  * hook-functions: firmware -- copy symlink components into initramfs
    (LP: #1496163)

 -- Andy Whitcroft <apw@ubuntu.com>  Sat, 19 Sep 2015 09:55:13 +0100

initramfs-tools (0.120ubuntu4) wily; urgency=medium

  * init: Mount /dev with "nosuid". Thanks "Daniel". (LP: #1450960)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Sep 2015 07:20:43 +0200

initramfs-tools (0.120ubuntu3) wily; urgency=medium

  * hook-functions: fix PowerPC NX Crypto Coprocessor support (LP:
    #1454687)
  * Drop: Maintain compatibility with pre- /run configurations (LP:
    #1485752)
  * Drop: Ignore errors from iscan and iscan-data hooks (LP: #1485562)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 18 Aug 2015 12:15:28 +0100

initramfs-tools (0.120ubuntu2) wily; urgency=medium

    * update-initramfs: switch dpkg --compare-versions from > to >=
      to avoid warnings from dpkg.  (LP: #1480340)
    * debian/control: update Vcs-* links for Ubuntu.
    * scripts/functions: use :> rather than touch to create fsck
      stamp.  (LP: #1481789)
    * hooks/busybox: revert local changes, these now need to occur
      in the new late zz-busybox-initramfs hook.  (LP: #1481733)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 05 Aug 2015 13:02:34 +0100

initramfs-tools (0.120ubuntu1) wily; urgency=medium

  * Merge from debian, remaining changes (up to 0.103ubuntu15):
    - Drop hooks/keymap and associated code; console-setup takes care of this
      in Ubuntu.
    - Set takeover=1 in update-initramfs.
    - Support loading compcache from the initramfs.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Ignore errors from iscan and iscan-data hooks.
    - Allow specifying multiple break points using a comma delimiter.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set to
      something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other framebuffer
      drivers into the initramfs, but make them optional; you need to set
      FRAMEBUFFER=y for these to be included.
    - Don't load keymaps unless we're loading a framebuffer; but set the keymap
      before giving a root shell.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Add 2>&1 to the run-init line.
    - When receiving "recovery" on cmdline, start upstart with
      --startup-event=recovery (LP: #575469)
    - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g. current
      ntfs-3g doesn't work otherwise.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Automatically blacklist vga16fb when vga= or video= specified on kernel
      command-line.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.  (LP: #917135)
    - Allow for alternative PREREQS to be specified using | as the separator.
    - Add mountroot failure support, to allow meaningful messages when no root
      device can be found.
    - Retain netboot= compatibility option.
    - Add panic hook support.
    - Breaks: mountall (<< 2.0~)
    - Retain cryptopts= compatibility option.
    - Use busybox-initramfs for Depends.
    - Add new initramfs-tools-bin package containing a binary that uses libudev
      to wait for udev to create the udev device, or wait for udev to finish
      processing if we catch it in the act, and returns the filesystem type
      as already probed by udev. Incorporate rzscontrol from compcache so that
      we can control current ramzswap devices.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Add vfat modules to the initramfs.
    - Maintain compatibility with pre- /run configurations
    - Remove klibc utilities if busybox is in use.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Loop for 5 seconds waiting for $resume to show up, adjustable with the
      resumedelay= command-line arg.
    - Call 'plymouth message' before resuming, to notify the user of the reason
      for the delay if the plymouth theme supports it.
    - Fix major/minor handling.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs. Panic if either the root device
      doesn't exist, or blkid cannot identify it.  Allows for mountroot failure
      hooks for md devices to be displayed.
    - Sync the mount options for /run from /lib/init/fstab.  LP: #1152744
    - When copying firmware, don't use copy_exec; running ldd on random firmware
      files is annoying and, if libc-x32 is installed, may cause crashes due
      to lack of kernel support.  LP: #1115875
    - update maintainers
    - When adding i8042 also add psmouse as some keyboards are behind the mouse.
      LP: #1314764
    - Create /bin/egrep -> busybox symlink.  LP: #1315755
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el (LP: #1326199)
    - add readlink symlink for busybox (LP: #1351295)
    - fixrtc: wait for udev to settle to expose device symlinks
    - fixrtc: handle hwclock -s failures safely
    - fixrtc: support busybox, handle last mount time on system partition,
      expose fs create time (LP: #1420473)
    - fixrtc: avoid using xargs, wait-for-root before examining
    - busybox: add chroot "binary" for busybox (LP: #1421117)
    - fixrtc: suppress /dev/ram as a root when using systempart (LP: #1443329)
    - hook-functions: Add nx-* and 842-* modules in order to enable PowerPC NX
      Crypto Coprocessor. (LP: #1454687)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 31 Jul 2015 09:24:00 +0100

initramfs-tools (0.120) unstable; urgency=medium

  * [23ee5f9] Add '.log' to fsck log output file, and document its existence
    (Closes: #780352)
  * [b87e34b] Remove old comment about running shell on failure of fsck
  * [864c04b] Create stamp files to tell the real init system fsck was
    successful (Closes: #782481)
  * [f54fe54] NEWS: Improve wording of the entry about mdadm's INITRDSTART
    setting
  * [25ab961] NEWS: Add entries about other ways of mounting /usr that won't
    work

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 13 Apr 2015 01:18:06 +0100

initramfs-tools (0.119) unstable; urgency=medium

  The "Wait smarter not harder" release

  [ Ben Hutchings ]
  * [bf238f6] Always generate ORDER files in mkinitramfs (Closes: #688794)
  * [8529550] Move get_source, set_initlist, get_prereq_pairs, call_scripts to
    hook-functions
  * [6ba2e93] hook-functions: Add modules for various important device types
    (Closes: #762042)
  * [9c8bde8] mkinitramfs.8: Update default temporary directory
    (Closes: #764388)
  * [1bd461e] initramfs-tools.8: Refer to lsinitramfs rather than suggesting
    gunzip | cpio (Closes: #764022)
  * [64d39d0] Add comment to /usr/share/initramfs-tools/modules that it is not
    a config file (Closes: #752789)
  * [4f1414b] initramfs-tools.8: Improve documentation of break parameter.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #707583)
  * [a5fbfb8] update-initramfs: Fix error message in case of excess arguments
    (Closes: #627547)
  * [738678f] initramfs.conf.5: Update configuration directory (Closes: #759552)
  * [3862d9b] update-initramfs: Consistently show which options take arguments
    (Closes: #762768)
  * [35bdb74] Refer to lsinitramfs(8) from {initramfs-tools,mkinitramfs,
    update-initramfs}(8) (Closes: #764020)
  * [cf9691d] mkinitramfs: Use default xz compression level rather than -8
    (Closes: #697335)
  * [10ebca7] mkinitramfs: Improve warning text when missing modules.
    Thanks to Trent W. Buck <trentbuck@gmail.com> (Closes: #744836)
  * [540dcb6] initramfs-tools.8: Refer to 'phase' rather than 'stage' of
    initramfs execution
  * [c7a3b31] initramfs-tools.8: Briefly document the kernel hooks
  * [274f945] hooks/fsck: Remove dependency on hwclock by disabling e2fsck time
    check
  * [1780a66] checkfs: Continue unless fsck reports uncorrectable errors
    (Closes: #765614)
  * [e5526cd] checkfs: Correct error messages and emergency shell in case of
    failure
  * [9daea18] hooks/fsck: Fix type lookup for mount by UUID or label with
    type=auto (Closes: #766448)
  * [2b1d834] dep_add_modules: Add modules needed for /usr device
  * [a164229] NEWS: Begin a NEWS entry for the fsck and /usr-mount changes
  * [2bbe817] NEWS: Document the possible need to update mdadm INITRDSTART
    (Closes: #771301)
  * [884a518] control: Ensure cryptsetup is upgraded to support mounting /usr
  * [7b4635c] Allow passing arguments to hooks and scripts
  * [2e2f753] local: Call local-block boot scripts to prepare additional block
    devices
  * [3a1db85] control: Add versioned Breaks on lvm2 without a local-block boot
    script (Closes: #762984)
  * [d4e5601] local: Invoke local-block scripts from the loop in
    local_device_setup (Closes: #678696)
  * [8402332] local: Use max(30, rootdelay) as timeout for block device to
    appear
  * [adfa0f6] NEWS: Add an entry about e2fsck behaviour with RTC set to local
    time

  [ Bastian Blank ]
  * [9bc3a78] hook-functions: Add xhci-pci to module list (Closes: #773250)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 01 Mar 2015 23:58:49 +0000

initramfs-tools (0.118) unstable; urgency=medium

  [ Ben Hutchings ]
  * [70e371f] manual_add_modules: Set the kernel version when checking module
    firmware deps
  * [fdec1d3] lsinitramfs: Move the decompress | cpio pipeline into a function
  * [d5f4cd6] lsinitramfs: Parse and list files that include early microcode.
    Thanks to Brett Parker and Olivier Berger. (Closes: #717805)
  * [f868c43] lsinitramfs: Include -l option in usage message
  * [f4c512e] Add more sanity checks on root device name in dep_add_modules
  * [d58a65b] Support MODULES=dep usage when root was mounted from hidden
    /dev/root (Closes: #689942)
  * [ebf275a] Check for root device's module dependencies at all levels of
    device hierarchy
  * [52abbfb] init: Decide what the real init is immediately before mounting
    /usr
  * [25aa264] init: Fix validation of the real init program
  * [66a141e] init: Resolve both absolute and relative symlinks in
    validate_init
  * [042d7a3] init: Only mount /usr if the real init is systemd
    (Closes: #763157)
  * [d641934] debian/control: Add Breaks: systemd-sysv (<< 186)
  * [305489e] debian/control: Conflict with linux-initramfs-tool
    (Closes: #729800)
  * [fd83e8b] panic: Do not return if reboot fails
  * [c0579f5] hooks/fsck: Add hwclock, related configuration files and udev
    rules (Closes: #763777)
  * [a7bd088] debian/control: Add versioned Depends on util-linux to avoid
    adjusting clock twice
  * [6ae39eb] debian/control: Fix minimum version of util-linux
  * [67e53ea] init: Set and export PATH before running any external commands
  * [8ebce59] Require new klibc-utils or busybox, to get 'readlink -f' and
    'mount -o defaults' (Closes: #762870)

  [ nandhp ]
  * [782d166] Fix handling of root filesystem with LABEL=/
    (/dev/disk/by-label/\x2f) (Closes: #756457)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 04 Oct 2014 17:19:10 +0100

initramfs-tools (0.117) unstable; urgency=medium

  [ Roger Leigh ]
  * Generalise logic used for mounting the rootfs:
    - The existing logic was only intended for mounting the root
      filesystem; this logic has been refactored to support the
      mounting of multiple filesystems
    - Add a read_fstab_entry function to parse /etc/fstab on the
      mounted rootfs
    - Add resolve_device function which generalises the existing
      support for resolving LABEL= and UUID= strings to the
      corresponding device node
    - Add general mount_top, mount_premount and mount_bottom functions,
      with boot-script-specific variants for the local and nfs scripts;
      other boot scripts should override them if needed; the local and
      nfs scripts show how to use these to redirect to a specific
      implementation
    - Add general mountfs function to mount a filesystem from the
      /etc/fstab on the mounted rootfs.  This works for both local and
      nfs mounts; other boot scripts may override it to provide more
      specialised functionality
    - The local and nfs bottom scripts are run on demand if used; this
      does not interfere with alternative boot scripts being used,
      which will run first
    - Canonicalise device names to match util-linux mount behaviour;
      this ensures that "mount -a" in mountall does not try to mount
      /usr a second time (which it will attempt if the mounted device
      does not match the canonical device name)
  * Mount /usr if present in the /etc/fstab on the mounted rootfs
    (Closes: #652459)
  * Check filesystems prior to mounting (Closes: #708000):
    - Add empty /etc/fstab and symlink /etc/mtab to /proc/mounts;
      not essential, but quell a number of fsck warnings
    - Copy fsck and needed fsck helpers, plus logsave
    - Add checkfs function, based on the initscripts checkroot
      script
    - local mount functions will call checkfs prior to mounting
      the filesystem

  [ Michael Prokop ]
  * [3298dea] Bump Standards-Version to 3.9.6
  * [a12d5ed] hooks/fsck: fall back to blkid, make sure fsck binary exists
    + install /sbin/sulogin

 -- Michael Prokop <mika@debian.org>  Thu, 25 Sep 2014 10:49:26 +0200

initramfs-tools (0.116) unstable; urgency=medium

  The "DebConf14" release

  [ Helge Deller ]
  * [cee3e18] get_fstype: initialize FSTYPE variable (Closes: #745731)

  [ maximilian attems ]
  * [7bc24f8] scripts/nfs: fix nfs mount check for possible init symlink
    (Closes: #750360)

  [ Aurelien Jarno ]
  * [2e325a2] hook-functions: add support for virtio-mmio
    (Closes: #751143)

  [ Michael Prokop ]
  * [4c0338a] Fix hidden dependency issue with btrfs and crc32c. Thanks to
    Markus Wanner <markus@bluegap.ch> for the analysis and patch
    (Closes: #748805)
  * [2290173] Do not spawn shell when panic=... is used. Thanks to Lukas
    Anzinger <l.anzinger@gmail.com> for the analysis and patch
    (Closes: #751488)
  * [0e914d0] Preserve file permissions if root builds the initramfs
    images. Thanks to Harald Hoyer <harald@redhat.com> for providing the
    patch in dracut (Closes: #633582)
  * [39d0561] Support drop_capabilities=... boot option. Thanks to Kees
    Cook <kees@debian.org> for the patch (Closes: #679436)
  * [3d6fe1e] Support MODULES=dep usage on i2o hardware RAID controller.
    Thanks to Stephen Powell <zlinuxman@wowway.com> for the patch
    (Closes: #689558)
  * [a5126cf] Support usage of partitioned nbd devices with MODULES=dep.
    Thanks to Ian Campbell <ijc@hellion.org.uk> for the patch
    (Closes: #697368)
  * [ebeffcd] Inform user that lsinitramfs doesn't support cpio archives
    yet. Thanks to Javier Barroso <javibarroso@gmail.com> for the initial
    patch
  * [ad7ab64] Bump Standards-Version to 3.9.5

 -- Michael Prokop <mika@debian.org>  Sun, 31 Aug 2014 00:12:42 -0700

initramfs-tools (0.115) unstable; urgency=low

  [ Nikolaus Schulz ]
  * [736200b] hooks/resume: fix validation of $RESUME in config file
    (Closes: #724554)

  [ Matto Marjanovic ]
  * [b4fc5de] hooks/function: More solide ip= option parsing (Closes:
    #724644)

  [ maximilian attems ]
  * [9f7bb9c] init: support UUID for resume bootarg

  [ Michael Prokop ]
  * [9da5948] Add ohci-pci to base modules (Closes: #726957)

 -- Michael Prokop <mika@debian.org>  Mon, 04 Nov 2013 10:10:23 +0100

initramfs-tools (0.114) unstable; urgency=low

  [ Ian Campbell ]
  * [90f4cdb] include ehci-orion in auto_add_modules_list (Closes: #721519)

  [ maximilian attems ]
  * [fef37d5] hooks: Add resume hook instead of hardcoding RESUME once on
    preinst (Closes: #565225, LP 50437)
  * [5550692] hooks/resume: First check if a valid RESUME config is set
  * [e268df7] initramfs-tools.8: Document new resume handling
  * [6f0396a] hooks/klibc: Check for existence of klibc dash instead of
    executable property (Closes: #707040)
  * [9c823ad] mkinitramfs: check if initramfs has a shell
  * [6ad0985] hooks/resume: Fix function call
  * Update to latest standards version 3.9.4.

 -- maximilian attems <maks@debian.org>  Sun, 22 Sep 2013 21:04:19 +0200

initramfs-tools (0.113) unstable; urgency=low

  [ Henrique de Moraes Holschuh ]
  * [f59e716] implement early initramfs support (Closes: #712521)
  * [b8295f0] lsinitramfs(8): document failure to deal with early
    initramfs

 -- Michael Prokop <mika@debian.org>  Tue, 18 Jun 2013 09:32:58 +0200

initramfs-tools (0.112) unstable; urgency=low

  * Add myself to Uploaders
  * Upload to unstable following 'wheezy' release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 06 May 2013 01:55:25 +0100

initramfs-tools (0.111) experimental; urgency=low

  [ Ben Hutchings ]
  * [450783a] hook-functions: Include more HID drivers in base
    (Closes: #697619)
  * [849dab7] hook-functions: Exclude more unnecessary net drivers

 -- Michael Prokop <mika@debian.org>  Tue, 23 Apr 2013 22:38:48 +0200

initramfs-tools (0.110) experimental; urgency=low

  [ Michael Prokop ]
  * [3b2cca3] Install nfsv{2,3,4} kernel modules as used by Kernels >=3.6.
    Thanks to Julien Cristau <jcristau@debian.org> for the hint regarding
    the split
  * [38d3060] include ehci-pci in auto_add_modules list. Thanks to Bjørn
    Mork <bjorn@mork.no> for bug report + patch (Closes: #700572)

  [ Ben Hutchings ]
  * [70a3225] Remove '2.6.' from initramfs wildcard in bug script
    (Closes: #697319)
  * [5c78aa9] Remove more references to linux-2.6 in manual page and
    comments

 -- Michael Prokop <mika@debian.org>  Fri, 01 Mar 2013 11:47:21 +0100

initramfs-tools (0.109) unstable; urgency=low

  * keymap hook: provide warning message if loadkeys/setupcon are not
    available. Thanks to Raphael Hertzog <hertzog@debian.org> for the
    feedback (Closes: #689336)

 -- Michael Prokop <mika@debian.org>  Sat, 06 Oct 2012 00:43:00 +0200

initramfs-tools (0.108) unstable; urgency=low

  [ maximilian attems ]
  * [a8420de] hook-functions: add hid-generic module (Closes: #682340)
  * [9723143] debian/control: Scratch 2.6 mention

  [ Petr Baudis ]
  * [1d6b272] initramfs-tools: allow disabling initrd for make deb-pkg
    (Closes: #664171)

  [ Michael Prokop ]
  * [0ffc800] Use setupcon to install system's keymap. Thanks to
    Andreas Altergott <andreasaltergott@googlemail.com> for the initial
    patch. Thanks to Raphaël Hertzog <hertzog@debian.org> for testing,
    feedback and review. (Closes: #619711)

 -- Michael Prokop <mika@debian.org>  Fri, 21 Sep 2012 12:10:28 +0200

initramfs-tools (0.107) unstable; urgency=low

  [ Michal Suchanek ]
  * initramfs-tools: copy_exec quote ${src}
  * initramfs-tools: copy_exec add pattern for nonoptimized multiarch
    libraries (Closes: #659752)

  [ Vagrant Cascadian ]
  * initramfs-tools Don't override root=/dev/nfs by BOOT=local config
    (Closes: #677157)

  [ Adam Conrad ]
  * hooks/klibc: Make us play more nicely with busybox and static bin/sh
    (Closes: #638068)
  * Kernel versions aren't (necessarily) package versions, so redirect
    the whining from dpkg --compare-versions to /dev/null to avoid scary
    (and incorrect) warnings. (LP: #889584)

 -- Adam Conrad <adconrad@0c3.net>  Mon, 09 Jul 2012 11:07:21 -0600

initramfs-tools (0.106) unstable; urgency=high

  [ Josh Triplett ]
  * [67d4cec] initramfs-tools: Make manual_add_modules a no-op with no
    arguments (Closes: 676439)

 -- Michael Prokop <mika@debian.org>  Thu, 07 Jun 2012 14:40:24 +0200

initramfs-tools (0.105) unstable; urgency=high

  [ Thomas Lange ]
  * [c52544d] initramfs-tools: kernel script check for update-initramfs
    executuable.  (Closes: #669345)

  [ maximilian attems ]
  * [44b93e0] initramfs-tools: guard too kernel postrm script.

  [ Josh Triplett ]
  * [95d8e7a] initramfs-tools: fix update-initramfs with modprobe options.
    (Closes: #676400)

 -- maximilian attems <maks@debian.org>  Wed, 06 Jun 2012 22:38:38 +0200

initramfs-tools (0.104) unstable; urgency=high

  [ Michael Prokop ]
  * [9e961c6] docs: clarify that PREREQ is only honored inside single directory.
    Thanks to Marc Haber <mh+debian-bugs@zugschlus.de> for spotting thjs issue
    (Closes: #601324)

  [ maximilian attems ]
  * [b60b440] debian/control: Depend on kmod or m-i-t.
  * [f87e71b] hook-functions: handle rootfs output from mount(8).
    (Closes: #668616)
  * [042c5c9] init: tighten /run/initramfs permissions. (Closes: #655175)
  * [df4ffdf] scripts/functions: panic() don't abort on modprobe failures.
    (Closes: #674484)

  [ Vagrant Cascadian ]
  * [ddbdb4f] init: busybox's switch_root doesn't handle /proc or /sys moving.
    (Closes: #660297)

  [ Balwinder S Dheeman ]
  * [3ff8ee6] init: fixes ignored $tmpfs_size. (Closes: #670496)

  [ Josh Triplett ]
  * [2c5c942] initramfs-tools: speed-up by avoiding forks in the per-module
    hot path. (Closes: #652525)

 -- maximilian attems <maks@debian.org>  Wed, 06 Jun 2012 14:48:26 +0200

initramfs-tools (0.103ubuntu16) wily; urgency=medium

  * hook-functions: Add nx-* and 842-* modules in order to enable PowerPC NX
    Crypto Coprocessor. (LP: #1454687)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 25 Jun 2015 13:59:55 -0500

initramfs-tools (0.103ubuntu15) vivid; urgency=medium

  * scripts/local-premount/fixrtc: if systempart= is set, we do not want to
    take root=/dev/ram into account even if it is defined on the kernel
    cmdline (LP: #1443329)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 13 Apr 2015 10:30:58 +0200

initramfs-tools (0.103ubuntu14) vivid; urgency=medium

  * scripts/nfs: Fix nfs mount check for absolute /sbin/init symlink, to make
    root NFS work again. Cherry-picked from Debian (commit 7bc24f829f).
    (LP: #1439955)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Apr 2015 10:03:26 +0200

initramfs-tools (0.103ubuntu13) vivid; urgency=medium

  * hooks/busybox: Create /bin/chroot symlink, to fix absolute symlinks when
    busybox-static is not installed. (LP: #1421117)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Feb 2015 11:56:53 +0100

initramfs-tools (0.103ubuntu12) vivid; urgency=medium

  * scripts/local-premount/fixrtc:
    - Avoid using xargs, echo is already enough to trim the variable
    - Also use wait-for-root before trying to extract the fs metadata

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 13 Feb 2015 13:20:30 -0200

initramfs-tools (0.103ubuntu11) vivid; urgency=medium

  * scripts/local-premount/fixrtc:
    - Make it work with busybox (different date syntax)
    - Add support to retrieve the last mount time from the ubuntu touch system
      partition
    - Make it able to extract the filesystem created timestamp (useful when
      last mounted is older) LP: #1420473

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Feb 2015 04:34:46 -0200

initramfs-tools (0.103ubuntu10) vivid; urgency=medium

  * scripts/local-premount/fixrtc: do not fail if "hwclock -s" can not work
    properly, so we set the new date in any case.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 03 Feb 2015 12:03:55 +0100

initramfs-tools (0.103ubuntu9) vivid; urgency=medium

  * Add udevadm settle in scripts/local-premount/fixrtc; required for
    /dev/disk/by-*/ symlinks to be added; add udev has a dependency in the
    hook.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 16 Jan 2015 15:40:20 +0100

initramfs-tools (0.103ubuntu8) utopic; urgency=medium

  * Add readlink symlink for busybox in the busybox hook, needed to
    support /sbin/init as a readlink (LP: #1351295).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 01 Aug 2014 16:46:35 +0100

initramfs-tools (0.103ubuntu7) utopic; urgency=medium

  * Default to a rootdelay of 180 on powerpc/ppc64/ppc64el to account
    for the slower device discovery on IPR controllers (LP: #1326199)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 03 Jun 2014 21:39:01 -0600

initramfs-tools (0.103ubuntu6) utopic; urgency=medium

  * Create /bin/egrep -> busybox symlink, because initramfs-tools
    scripts/functions expect to have it & our busybox hook is executed
    after zz-busybox one. (LP: #1315755)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 May 2014 21:30:41 +0100

initramfs-tools (0.103ubuntu5) utopic; urgency=medium

  * hook-functions/auto_add_modules: include psmouse as some keyboards
    are connected to the "pass-thru" port on the PS2 mouse port (because
    that is such a good idea). (LP: #1314764)

 -- Andy Whitcroft <apw@canonical.com>  Thu, 01 May 2014 10:49:19 +0100

initramfs-tools (0.103ubuntu4) trusty; urgency=medium

  * Cherrypick v0.113 changes (LP: #1194370):
    [ Henrique de Moraes Holschuh ]
    * [f59e716] implement early initramfs support (Closes: #712521)
    * [b8295f0] lsinitramfs(8): document failure to deal with early
      initramfs

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Mar 2014 08:11:20 +0000

initramfs-tools (0.103ubuntu3) trusty; urgency=low

  * wait-for-root.c: Set udev monitor buffer size like udev does, to avoid
    losing events due to ENOBUFS errors. Side issue in LP #1215911, thanks to
    Kay Sievers for pointing out!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Dec 2013 16:29:24 +0100

initramfs-tools (0.103ubuntu2) trusty; urgency=low

  * Include usbhid in the list of modules we probe in the panic function,
    since we may panic before udev runs and most keyboards are USB these
    days.  Closes: #229732.
  * Add ohci_pci to the list of USB host modules included in the initramfs,
    needed on some systems and not a built-in driver in Ubuntu.
    LP: #1238194.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Oct 2013 13:40:43 -0700

initramfs-tools (0.103ubuntu1) saucy; urgency=low

  * src/wait-for-root.c: udev_monitor_receive_device() might still return NULL
    even with a blocking socket if recvmsg() fails with ENOBUFS. Retry every
    second in that case. Thanks to Tetsuo Handa for debugging this and the
    patch! (LP: #1215911)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Aug 2013 14:23:10 +0200

initramfs-tools (0.103ubuntu0.7) raring; urgency=low

  * src/wait-for-root.c: Set udev monitor socket to blocking, as we want to
    wait for events. (LP: #1154813)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Mar 2013 07:08:06 +0100

initramfs-tools (0.103ubuntu0.6) raring; urgency=low

  * Sync the mount options for /run from /lib/init/fstab.  LP: #1152744.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2013 17:52:02 -0700

initramfs-tools (0.103ubuntu0.5) raring; urgency=low

  * When copying firmware, don't use copy_exec; running ldd on random
    firmware files is annoying and, if libc-x32 is installed, may cause
    crashes due to lack of kernel support.  LP: #1115875.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Feb 2013 07:22:19 +0000

initramfs-tools (0.103ubuntu0.4) raring; urgency=low

  * [71ece149] Cherry pick mkinitramfs: Copy modules.builtin into initramfs
    (Closes: #659866) (LP: #1075422).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Dec 2012 11:51:05 +0000

initramfs-tools (0.103ubuntu0.3) raring; urgency=low

  * Add nfsv3, nfsv4 and nfs_acl to the base modules.
    This should fix nfs from initramfs.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Nov 2012 09:43:09 -0500

initramfs-tools (0.103ubuntu0.2) quantal; urgency=low

  * Add hid-logitech-dj to the static module list to re-enable some
    keyboards that stopped working with recent kernels (LP: #1066376)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Oct 2012 03:39:23 +0100

initramfs-tools (0.103ubuntu0.1) quantal; urgency=low

  * hook-functions: Add hid-generic (LP: #1017991).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jun 2012 16:50:54 +0100

initramfs-tools (0.103ubuntu0) quantal; urgency=low

  * NOTE: Not an actual merge, just a cherry-pick and reving the
    version number to avoid having to touch the Breaks in klibc-utils
  * Cherry-pick the changes from 0.102 to 0.103 to move ipconfig
    bits from /tmp to /run to match the new behaviour of klibc-utils

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Jun 2012 10:00:59 +0800

initramfs-tools (0.103) unstable; urgency=low

  * [3fd3568] configure_networking: Use /run path for ipconfig generated
    script.
  * [886abf0] debian/control: Depend on newer klibc-utils for /run path.

 -- maximilian attems <maks@debian.org>  Thu, 31 May 2012 15:57:37 +0200

initramfs-tools (0.102) unstable; urgency=low

  * [da64d1a] Deal with the uniquely broken situation of armhf having
    two linkers by creating both if we find either one in the target
  * [2f988c4] Add myself to uploaders and release

 -- Adam Conrad <adconrad@0c3.net>  Tue, 17 Apr 2012 17:43:08 -0600

initramfs-tools (0.101) unstable; urgency=low

  Release "inbox zero ☕"

  [ maximilian attems ]
  * [9b2a4c4] hook-functions: ext4dev is gone
  * [48c77ac] debian/control: Get rid of old findutils versioned depends
  * [7cccc87] update-initramfs: Don't call flash-kernel directly

  [ Ben Hutchings ]
  * [71ece14] mkinitramfs: Copy modules.builtin into initramfs
    (Closes: #659866)

  [ Vadim Solomin ]
  * [523ec93] initramfs-tools: Add per default missing hid-logitech-dj
    (Closes: #658029)

  [ Michael Prokop ]
  * [18a5b5e] Bump Standards-Version to 3.9.3

 -- Michael Prokop <mika@debian.org>  Tue, 06 Mar 2012 13:54:27 +0100

initramfs-tools (0.100) unstable; urgency=low

  Release "singing in the snow ☃☃☃"

  [ Michael Prokop ]
  * [16280bb] lsinitramfs: support xz/lzma, bzip2 and lzop as compress
    methods. (Closes: #586381)
  * [ee16a4e] set_initlist: redirect warning messages to stderr.
    (Closes: #601319)
  * [af110e0] Alternate Recommends on busybox-static (Closes: #639902,
    #454665)
  * [b61413d] warn user if directory is present in confdir
    (Closes: #610462)

  [ maximilian attems ]
  * [5409ca7] manual_add_modules: No longer add firmware.agent too.
    (Closes: #566401)
  * [4f98b0b] mkinitramfs: Use version comparison for xz or other
    compression tools (Closes: #624702)
  * [d479b47] initramfs-tools: rephrase description
  * [07c822f] mkinitramfs: Check if TMPDIR is writable
  * [b9ff58c] mkinitramfs: Use /var/tmp rather then /tmp for space reasons
  * [bd3c5d8] Revert "Revert "mkinitramfs: Nuke MIN_VERSION handling.""
  * [313db4c] MODULES=dep: Use /sys again to decide for libata or ide
    (Closes: #607888)
  * [9bec96f] debian/control: Drop versioned depend on pre-Etch udev
    version
  * [02ea666] debian/control: Tighten dep on klibc-utils 1.5.23-2
  * [5c68e6e] init: Prepare for switch_root(8) usage
  * [5e1f500] update-initramfs: Cleanup nowadays unused run_lilo()
  * [b0d14a0] update-initramfs: run_bootloader() hooks on create too
  * [8d0ffcb] preinst: get rid of awk usage (Closes: #589963)

  [ Timo Juhani Lindfors ]
  * [63932cc] panic(): print the name of each module before loading it
  * [cd1981e] panic: Load modules for highly probable USB keyboard
    (Closes: #615831)

  [ Martin Pitt ]
  * [b1530ee] hooks/busybox: Fix 2.99 busybox breakage (Closes: #628374)

  [ Alkis Georgopoulos ]
  * [b938c7e] configure_networking() wait for udev to populate available
    nics (LP: #682445)

  [ Harald Hoyer ]
  * [9249db6] MODULES=dep: awk free version for root dev search

  [ Sven Joachim ]
  * [717397c] copy_exec: Handle optimized libraries under multiarch paths
    (Closes: #636495)

  [ Colin Watson ]
  * [6cf2bd7] mark Multi-Arch: foreign (Closes: #649399)

 -- Michael Prokop <mika@debian.org>  Tue, 14 Feb 2012 14:42:23 +0100

initramfs-tools (0.99ubuntu13) precise; urgency=low

  * Deal with the uniquely broken situation of armhf having two linkers
    by creating both if we find either one in the target (LP: #984007)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Apr 2012 11:44:12 -0600

initramfs-tools (0.99ubuntu12) precise; urgency=low

  * Fix cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 01:35:00 +0100

initramfs-tools (0.99ubuntu11) precise; urgency=low

  * make sure fixrtc only updates the RTC setting if last mount time is actually
    in the future (LP: #947988)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 07 Mar 2012 12:33:58 +0100

initramfs-tools (0.99ubuntu10) precise; urgency=low

  * Add Hyper-V paravirtualised device drivers to the initramfs to allow
    booting of stock images in a Hyper-V guest.  (LP: #917135)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 10 Feb 2012 14:44:46 +0000

initramfs-tools (0.99ubuntu9) precise; urgency=low

  * Mark initramfs-tools Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Nov 2011 17:41:31 +0000

initramfs-tools (0.99ubuntu8) oneiric-proposed; urgency=low

  * Too optimistic in thinking that the DRM driver will always be loaded
    in time for scripts/init-top/framebuffer to load; some users find that
    vesafb gets loaded first anyway, scrambling their console state in the
    initramfs.  Add a one-second sleep before checking if we should fall back
    to vesafb, which seems to be long enough to work around this.
    LP: #869119.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Oct 2011 19:28:38 -0700

initramfs-tools (0.99ubuntu7) oneiric; urgency=low

  * When falling back to vesafb, suppress stderr output from modprobe;
    otherwise in some cases we'll get error output on a console that was
    nicely blank up to a week ago.  Failing to load vesafb is usually not an
    error in any case.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Oct 2011 13:21:02 -0700

initramfs-tools (0.99ubuntu6) oneiric; urgency=low

  * scripts/init-top/framebuffer: fall back to vesafb if no other
    framebuffer is found/configured, so we can take full advantage of the
    grub gfxpayload handoff support.  This ensures we get a clean
    framebuffer-based plymouth screen even when using binary video drivers.
    LP: #864149, LP: #563878, LP: #771905.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Oct 2011 20:53:15 -0700

initramfs-tools (0.99ubuntu5) oneiric; urgency=low

  * hooks/compcache: udev RUN commands cannot include double quotes (")
    nor do they support shell syntax.  Move to an external helper script
    to provision and add the memory swap partitions.
  * hooks/compcache: add support for the updated zram staging driver
    which requires the size to be pushed into sysfs and the partition be
    initialised before adding.  (LP: #832694)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 19 Sep 2011 15:40:32 +0100

initramfs-tools (0.99ubuntu4) oneiric; urgency=low

  * init: When receiving "recovery" on cmdline, start upstart with
    --startup-event=recovery (LP: #575469)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 16:07:54 -0400

initramfs-tools (0.99ubuntu3) oneiric; urgency=low

  * remove hardcoded flash-kernel call from update-initramfs, flash-kernel
    ships the same as /etc/initramfs/post-update.d/ script now

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Sep 2011 12:14:01 +0200

initramfs-tools (0.99ubuntu2) oneiric; urgency=low

  * hook-functions: Revert changes from 0.98.8ubuntu3. With the current
    implementation of copying, and /etc/ld.so.conf now existing in initramfs,
    we can leave libraries at their original location. Thanks to maks for
    pointing out!
  * init: Add back compatibility symlink for /dev/.initramfs, until all
    packages using /dev/.initramfs have been moved to /run/initramfs.
    (LP: #810221)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jul 2011 11:20:32 +0200

initramfs-tools (0.99ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable. See 0.98.8ubuntu1 for remaining Ubuntu
    changes. This version creates /run in the initramfs, and moves it over to
    the running system. (LP: #807306)
  * hooks/busybox: Fix symlinking of /bin/sh to busybox, to work with current
    copy_exec() function.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Jul 2011 10:37:34 +0200

initramfs-tools (0.99) unstable; urgency=low

  Release "scarpe rotte e pur bisogna andar"

  [ maximilian attems ]
  * [ce45cd0] update-initramfs: Show the mkinitramfs on error message.
  * [5b84e5b] maintainer-notes.html: Fix email to send patches to.
  * [ec6a77f] doc: s/ressources/resources/
  * [3c717fa] initramfs-tools: preinst use blkid for uuid generation if around.
    (Closes: #609964)
  * [8e2ffcd] postinst cleanup very old dpkg trigger comparison.
  * [78cdb26] mkinitramfs: Add support for xz compression. (closes: #626446)
  * [f5b8347] hook-functions: Cleanup ref to ide-disk.
  * [6cab0ec] initramfs-tools: cleanup any usplash traces. (closes: #620924)
  * [08d4895] initramfs-tools: Remove mkinitramfs-kpkg.
    (Closes: #454934, #502792)
  * [0ed6376] initramfs-tools: add hid_sunplus to listed keyboard drivers.
  * [5f53d3b] init: load netconsole after loading network drivers.
    Thanks Ferenc Wagner <wferi@niif.hu> (Closes: #596742)
  * [7ff2998] debian/copyright: Update authorlist and year attribution.
  * [e789cdd] maintainer-notes: Use git dch --multimaint-merge on examples.
  * [17296ff] dep_add_modules: Use hidden_dep_add_modules for ubifs.
  * [3d44bfb] hidden_dep_add: Use mika's variadic function from $2 on.
  * [8f8299d] mkinitramfs: copy over on build instead of using symlink tree.
    (Closes: #338405, #506540)
  * [f5afa6a] mkinitramfs: Add lib search path + run full ldconfig in
    initramfs. (Closes: #612633, #619670)
  * [259ad09] mkinitramfs: creat /run initramfs directory.
  * [5add333] initramfs-tools: init mount /run tmpfs.
  * [74109b9] init: No need to touch /dev/.initramfs.
  * [8e7620a] hook-functions: xhci-hcd got renamed. (Closes: #625224)
    Thanks to Matthew Wilcox <willy@linux.intel.com>

  [ Tim Small ]
  * [1fe9f78] Add Documentation for modules=list in initramfs.conf(5).
    (Closes: #603903)

  [ Ben Hutchings ]
  * [c018886] kernel hooks: Treat missing version argument as an error.
  * [58ee42c] kernel hooks: Enable error-exit (sh -e).
  * [7866542] update-initramfs: Depend on kernel hook scripts rather than
    $ramdisk invocation.
  * [43fe8e6] update-initramfs: Remove support for 'do_bootloader' and
    specific boot loaders. (closes: #594189)

  [ Gianluigi Tiesi ]
  * [9c25269] mkinitramfs: misleading message in verbose mode.
    (Closes: #611046)

  [ Timo Juhani Lindfors ]
  * [871ffe7] initramfs-tools: Make panic message visible even if panic=
    is used.
  * [2525b00] initramfs-tools: Inform the user about reboot on panic=.

  [ Michael Prokop ]
  * [465a5f1] hidden_dep_add_modules(): make it dynamically to support more
    than 3 arguments as well.
  * [3323930] Use --check=crc32 option for xz compression.
    Thanks to Ulrich Dangel <mru@grml.org>
  * [bedf1e3] Use -8 for compression with xz.
  * [adce374] docs: fix wording ("allows *one* to") to make lintian happy.
  * [ecbc54a] Bump Standards-Version to 3.9.2.

  [ Evan Broder ]
  * [ad1a594] initramfs-tools: Fix handling of numeric root= arguments to be
     udev-friendly. (Closes: #501969, #606806)

  [ Christian Hofstaedtler ]
  * [e34eca4] init: move /proc after moving other filesystems.

  [ Roger Leigh ]
  * [10990ab] init: Preserve state on old boxes without /run on rootfs.
  * [4d08c2e] init: sync mount options with the defaults in initscripts.
    (Closes: #621803)
  * [20c43ce] init: Don't use "none" as a mount fsname (Closes: #603858)

  [ Michael Tokarev ]
  * [ec83abd] mkinitramfs: No need to warn about md-root busybox dep.

 -- maximilian attems <maks@debian.org>  Wed, 11 May 2011 23:38:18 +0200

initramfs-tools (0.98.8ubuntu4) oneiric; urgency=low

  * Rename xhci to xhci-hcd to fix booting from USB 3.0 devices
    (cherry-picked fix from Debian bug #625224). (LP: #565047)

 -- Evan Broder <evan@ebroder.net>  Wed, 22 Jun 2011 10:57:43 -0700

initramfs-tools (0.98.8ubuntu3) natty; urgency=low

  * If copy_exec finds libraries to copy which are only accessible to the
    runtime linker by virtue of being listed in /etc/ld.so.conf*, then
    install those libraries to /lib or /usr/lib as appropriate instead
    (LP: #728611).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2011 01:12:48 +0000

initramfs-tools (0.98.8ubuntu2) natty; urgency=low

  * Restore bnx2 to the initramfs; firmware loading should work these days,
    and lots of other modules need firmware.  Suggested by maximilian
    attems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Feb 2011 18:13:23 +0000

initramfs-tools (0.98.8ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use busybox-initramfs for Depends.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Depend on a sufficient version of udev to load fbcon.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Call 'plymouth hide-splash' before running failure hooks.
    - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g.
      current ntfs-3g doesn't work otherwise.
    - Ignore errors from iscan and iscan-data hooks.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - If root= is numeric, set ROOT to /dev/block/N:N rather than /dev/root.
    - Consolidate framebuffer calls to 'udevadm settle'.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Feb 2011 17:27:55 +0000

initramfs-tools (0.98.8) unstable; urgency=high

  [ maximilian attems ]
  * [67c1d32] initramfs-tools: MODULES=dep fix for ubifs /
    (Closes: #608339)
  * [ca4d08a] mkinitramfs: Fix noexec /tmp detection for long device
    names. (Closes: #608865) Thanks to Ian Campbell <ijc@hellion.org.uk>

  [ Ben Hutchings ]
  * [78d9e04] initramfs-tools: Handle hidden dependency of libcrc32c on
    crc32c. (Closes: #608538)

 -- maximilian attems <maks@debian.org>  Fri, 28 Jan 2011 15:11:10 +0100

initramfs-tools (0.98.7) unstable; urgency=high

  [ Aad dame ]
  * [1caecd2] initramfs-tools: Fix MODULES=dep on an AOE device.
    (Closes: #607509)

  [ maximilian attems ]
  * [78337a4] MODULES=dep Fix partitioned raid setup (Closes: #605824)

 -- maximilian attems <maks@debian.org>  Mon, 20 Dec 2010 12:56:01 +0100

initramfs-tools (0.98.6) unstable; urgency=high

  [ Milan Kupcevic ]
  * [dd40f3a] initramfs-tools: Load PowerMac G5 thermal modules.
    (Closes: #603981)

  [ maximilian attems ]
  * [c103d08] initramfs-tools: cryptsetup Lenny dist upgrade fix.
    (Closes: #607090)

  [ Ben Hutchings ]
  * [1e46a47] Fix condition for adding IDE or SCSI disk driver when
    MODULES=dep

 -- maximilian attems <maks@debian.org>  Thu, 16 Dec 2010 14:45:29 +0100

initramfs-tools (0.98.5) unstable; urgency=high

  [ maximilian attems ]
  * [6b6cbe0] mkininitramfs: MODULES=dep fallback to /proc/mounts for
    rootdev (Closes: #600453)
  * [f3b696b] Small enhancements to Maintainer docs.

  [ Marc Herbert ]
  * [478ba89] Minor documentation fix in /etc/initramfs-tools/modules.
    (LP: #177263)

 -- maximilian attems <maks@debian.org>  Thu, 21 Oct 2010 13:53:17 +0200

initramfs-tools (0.98.4) unstable; urgency=high

  * [bfb0742] reportbug: list force loaded modules.
  * [a103aea] hooks/thermal: Add windfarm_pm121 for powerpc on initramfs.
  * [1c64a45] initramfs-tools.8: udev gets loaded earlier.
    (Closes: #596984)

 -- maximilian attems <maks@debian.org>  Sat, 25 Sep 2010 20:25:30 +0200

initramfs-tools (0.98.3) unstable; urgency=high

  * [365e06b] Ubuntu merge: Conflict with older versions of usplash.

 -- maximilian attems <maks@debian.org>  Fri, 10 Sep 2010 09:40:10 +0200

initramfs-tools (0.98.2) unstable; urgency=high

  [ Eckhart Wörner ]
  * [97f20c5] initramfs-tools: Add hid-cherry and hid-logitech to
    initramfs (Closes: #595827)

 -- maximilian attems <maks@debian.org>  Tue, 07 Sep 2010 12:54:01 +0200

initramfs-tools (0.98.1ubuntu9) natty; urgency=low

  [ dann frazier ]
  * framebuffer: consolidate calls to 'udevadm settle' (LP: #687588).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Dec 2010 12:28:27 +0000

initramfs-tools (0.98.1ubuntu8) natty; urgency=low

  * If the root= argument is numeric, set ROOT to the appropriate
    /dev/block/N:N symlink instead of mknod'ing a /dev/root device. This
    makes wait-for-root able to detect those devices. (LP: #576429)

 -- Evan Broder <evan@ebroder.net>  Fri, 26 Nov 2010 19:01:30 -0800

initramfs-tools (0.98.1ubuntu7) natty; urgency=low

  * mdadm autoassembly works by matching hostname with what is stored in the
    uuid bits of the array. So hostname needs to be set at boot time for the
    rootfs to be mounted, when the rootfs is on an array which has to be
    auto-assembled. Added support for setting the hostname. (LP: #330399)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Wed, 06 Oct 2010 17:53:20 +0300

initramfs-tools (0.98.1ubuntu6) maverick; urgency=low

  * Apparently the iscan hook is sometimes called iscan-data, so ignore
    errors from that too (LP: #654856).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Oct 2010 23:34:53 +0100

initramfs-tools (0.98.1ubuntu5) maverick; urgency=low

  * Ignore errors from iscan hook, due to a widely-deployed third-party
    package causing upgrade problems (LP: #603053).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Oct 2010 10:42:30 +0100

initramfs-tools (0.98.1ubuntu4) maverick; urgency=low

  * Make /etc/mtab a symlink to /proc/mounts on startup, since e.g. current
    ntfs-3g doesn't work otherwise (LP: #641306).  (We can't make it a
    symlink directly in the initramfs, since mkinitramfs uses 'cpio
    --dereference'.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Sep 2010 18:14:31 +0100

initramfs-tools (0.98.1ubuntu3) maverick; urgency=low

  * hooks/thermal: Force load thermal modules on powerpc for now, as there are
    no modaliases for these modules, so udev won't touch them. Longer term,
    scripts will need to be written to better identify which thermal module
    needs to be loaded. (LP: #631358)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 15 Sep 2010 18:08:15 +1000

initramfs-tools (0.98.1ubuntu2) maverick; urgency=low

  * scripts/functions: Adding plymouth hide-splash to see the initramfs prompt
    messages on VT. (LP: #628400)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Mon, 13 Sep 2010 10:24:22 +0100

initramfs-tools (0.98.1ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use busybox-initramfs for Depends.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Depend on a sufficient version of udev to load fbcon.
    - Conflict with older versions of usplash.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
  * Stop silencing /bin/resume output when trying to resume; the offending
    message in klibc is now debug-only.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Sep 2010 12:45:05 +0100

initramfs-tools (0.98.1) unstable; urgency=high

  [ Vagrant Cascadian ]
  * [85fbb23] configure_networking(): Look for presence of
    /tmp/net-*.conf files to not recall ipconfig. (Closes: #584583)

 -- maximilian attems <maks@debian.org>  Wed, 25 Aug 2010 22:13:18 +0200

initramfs-tools (0.98ubuntu2) maverick; urgency=low

  * The ramzswap device changed its interface so that the disk size needs to
    be given using an ioctl rather than as a module parameter.  Incorporate
    the rzscontrol tool from the compcache project
    (http://code.google.com/p/compcache/) so that we can control current
    ramzswap devices (LP: #600782).  This is a strictly temporary measure,
    as recent versions of compcache change the interface (and module name)
    again to involve writing to sysfs files, which won't require any special
    tools.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Aug 2010 09:46:26 +0100

initramfs-tools (0.98ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use busybox-initramfs for Depends.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Silence /bin/resume output when trying to resume.
    - Depend on a sufficient version of udev to load fbcon.
    - Conflict with older versions of usplash.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Aug 2010 13:05:53 +0100

initramfs-tools (0.98) unstable; urgency=low

  [ Michael Prokop ]
  * [7faeb32] fix typos in manpage, scripts/functions and
    conf/initramfs.conf - thanks lintian
  * [f1360c9] debian/NEWS: drop asterisk chars to make lintian happy
  * [c4a1981] install doc-base file for doc-base-registration
  * [f813bd9] add debian/source/format with "3.0 (native)" to make
    lintian happy
  * [38ee1a0] maintainer-notes: document "git remote prune origin" -
    thanks to maximilian attems <maks@debian.org>
  * [2390db8] maintainer-notes: use git config instead of environment
    variables - thanks to Gerfried Fuchs <rhonda@deb.at>
  * [c85bb1f] some minor rewording of sentences about development
    mailinglists
  * [7af6ef4] mkinitramfs: do not execute compress command under quotes
    (Closes: #588517)
  * [b65a486] update-initramfs: stop buildprocess if any script is
    failing
  * [e7daaf7] init: provide validate_init() wrapper to support absolute
    symlinks. (Closes: #590744)
  * [a0c3140] init: provide fastforward path for the common case when
    validating init binary.
  * [b343994] Bump Standards-Version to 3.9.1.

  [ maximilian attems ]
  * [837f261] mkinitramfs: set nounset and errexit
  * [be71015] reportbug: list the mkinitramfs hook scripts of reporting
    box
  * [295bca7] initramfs-tools.8: Enhance documentation of boot option
  * [c327689] update-initramfs: run_bootloader() return after zipl and
    flash-kernel
  * [089a903] mkinitramfs: set COMPRESS=gzip to be more consistent. -
    thanks to Colin Watson <cjwatson@ubuntu.com>
  * [210c83c] control: conform to latest policy without changes
  * [9613412] mkinitramfs: Provide error code of failed mkinitramfs
    creation
  * [51a8d5f] revert mkinitramfs errexit and nounset
  * [6bcb867] Maintainer notes document dev mailinglists
  * [7c6221d] maintainer notes: underline that mail to one of the 2
    lists is good
  * [762ae2a] update-initramfs: revert nounset (Closes: #588915)
  * [a4e1a9e] initramfs-tools: only allow hook scripts to errexit on
    mkinitramfs
  * [6f0b646] update-initramfs: run_bootloader() invoke Initramfs hooks

  [ Stephen Powell ]
  * [09d251a] postinst hook: respect INITRD variable
  * [ff6116f] Redirect STDOUT to STDERR for post{inst,rm} hooks

 -- Michael Prokop <mika@debian.org>  Sat, 07 Aug 2010 09:41:39 -0400

initramfs-tools (0.97.2ubuntu2) maverick; urgency=low

  * drop check for flash-kernel entry in kernel-img.conf, debian dropped
    kernel-img.conf usage for flash-kernel and this code snippet prevents
    flash-kernel from being run.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 09 Aug 2010 17:48:01 +0200

initramfs-tools (0.97.2ubuntu1) maverick; urgency=low

  * Resynchronise with Debian:
    - Fix initramfs generation without COMPRESS set (LP: #602523, #602621).
    Remaining changes:
    - Use busybox-initramfs for Depends.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - update-initramfs: check whether kernel-img.conf exists and
      postinst_hook is set before calling flash-kernel.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Silence /bin/resume output when trying to resume.
    - Depend on a sufficient version of udev to load fbcon.
    - Conflict with older versions of usplash.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Jul 2010 13:35:54 +0100

initramfs-tools (0.97.2) unstable; urgency=high

  * [ce732c3] initramfs-tools: output name of script that errexits.
    (Closes: 586554)

 -- maximilian attems <maks@debian.org>  Tue, 06 Jul 2010 12:58:37 +0200

initramfs-tools (0.97.1) unstable; urgency=high

  * [90d99e4] mkinitramfs: Fix initramfs generation without COMPRESS set.
    (Closes: 587608) - thanks Valentin QUEQUET <valentin.quequet@orange.fr>

 -- maximilian attems <maks@debian.org>  Mon, 05 Jul 2010 21:50:47 +0200

initramfs-tools (0.97ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use busybox-initramfs for Depends.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - update-initramfs: check whether kernel-img.conf exists and
      postinst_hook is set before calling flash-kernel.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Silence /bin/resume output when trying to resume.
    - Depend on a sufficient version of udev to load fbcon.
    - Conflict with older versions of usplash.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
  * Add .conf extension to modprobe blacklist configuration file in the
    vga=*|video=* case (it had already been added in other cases, thanks to
    an upstream merge).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jul 2010 14:04:26 +0100

initramfs-tools (0.97) unstable; urgency=low

  [ Martin Michlmayr ]
  * [e65ee48] Produce an error when root cannot be determined with
    MODULES=dep
  * [bb66fc2] hook-functions/init/scripts/local: add support for ubifs.
    (Closes: #582858) - thanks to Martin Michlmayr <tbm@cyrius.com>

  [ Ferenc Wagner ]
  * [1d66ae1] scripts/nfs: cleanup retry logic

  [ Colin Watson ]
  * [3054e3e] initramfs-tools: work around 'find -printf %Y' bug

  [ maximilian attems ]
  * [a8a5ce4] script: Add update-initramfs.conf to bug report
  * [cc6077a] update-initramfs: Fix another unbound variable (Closes:
    #583695)
  * [b1f74e6] get_fstype: reference blkid in comment - thanks to
    Christoph Anton Mitterer <calestyo@scientia.net>
  * [eb93a7e] pre_mountroot(): reduce timeout to 30 seconds
  * [38563fe] scripts/functions: On panic change to tty1 if chvt around
    - thanks to Colin Watson <cjwatson@ubuntu.com>
  * [2031379] mkinitramfs: No point in hardcoding busybox path
  * [68c87cd] mkinitramfs: check syntax of boot and hook scripts
  * [ae02e4b] scripts/functions: beautify a bit reduce_satisfied()
  * [22d996c] maintainer doc: use git commands without the dash
  * [6147641] nfsmount: more small cleanups
  * [e967b03] mkinitramfs, lsinitramfs: Better error message for
    non-GNU getopt
  * Add lsinitramfs (to list content of an initramfs image) ([a39db63]
    [969f8fd] [fafede5] [2f3eb88])

  [ Michael Prokop ]
  * [2a8c990] hook-functions/mkinitramfs/update-initramfs: consequently
    output error messages to stderr
  * [04b8619] init: display warning message if devtmpfs could not be
    mounted. - thanks to Ferenc Wagner <wferi@niif.hu>
  * [60afd2a] code cleanup: drop trailing whitespaces.
  * [ab28c77] code cleanup: consequently replace spaces in indentions
    with tabs to unify coding stile
  * [3a02c6f] code cleanup: consequently use "W:" for warnings.
  * [b1fff5e] add bash-completion for update-initramfs (Closes: #537139)
    - thanks to Stéphane Jourdois <stephane@jourdois.fr>
  * [5697c3b] hook-functions: replace awk calls with sed in
    dep_add_modules() (Closes: #585991) - thanks to Thorsten Glaser
    <tg@mirbsd.de>
  * [7afab22] debian/script: append /proc/mdstat (iff present) to
    bugreports
  * [5b565be] scripts/functions: allow hooks to abort build (Closes:
    #396388)
  * [528ba78] hook-functions: do not install ubi module by default via
    auto_add_modules()
  * [ecb8416] lsinitramfs: be more defensive against cmdline options
  * [2ff4ba2] scripts/functions: fix usage of test for script execution
  * [74f71c9] scripts/functions: fix another sh -n usage and fix typo
  * [91f5947] hook-functions: install virtio_pci module if
    /sys/bus/virtio is present and using modules=dep (Closes: #585992) -
    thanks to Vincent Danjean <vdanjean@debian.org>
  * [d25f610] slightly improve manpage lsinitramfs.8
  * Provide maintainer-notes.html, being "Maintainer documentation for
    initramfs-tools" ([7fc1ee5] [afafea4] [e506ee7] [d53a839] [6af23c2])

 -- Michael Prokop <mika@debian.org>  Fri, 18 Jun 2010 12:28:04 +0200

initramfs-tools (0.96.1ubuntu4) maverick; urgency=low

  * Only make the extra commands conditional on dh_listpackages, not the
    override_dh_install target as a whole, as dh gets confused and avoids
    calling dh_install at all when we're only building binary-arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Jun 2010 20:35:31 +0000

initramfs-tools (0.96.1ubuntu3) maverick; urgency=low

  * Revert change from 0.96.1ubuntu2; instead, only override dh_install if
    we're building the architecture-independent package.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jun 2010 16:13:07 +0100

initramfs-tools (0.96.1ubuntu2) maverick; urgency=low

  * Make sure /usr/share/initramfs-tools/scripts/panic/ exists before trying
    to copy into it.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jun 2010 15:15:17 +0100

initramfs-tools (0.96.1ubuntu1) maverick; urgency=low

  * Resynchronise with Debian:
    - Fixes redboot partition handling (LP: #319730).
    - Don't hardcode incorrect elilo path (LP: #396000).
    Remaining changes:
    - Use busybox-initramfs for Depends, and set BUSYBOXDIR to match.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Set takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top of a
      host filesystem, used for Wubi installs.
    - Add vfat support to the initramfs.
    - Reduce timeout to 30 seconds; corner cases (giant disk arrays,
      clusters) will need to provide their own rootdelay= boot arg.
    - Add 2>&1 to the run-init line.
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Panic if either the root device doesn't exist, or blkid cannot
      identify it.  Allows for mountroot failure hooks for md devices to be
      displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable with
      the resumedelay= command-line arg.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Support loading compcache from the initramfs.
    - Remove klibc utilities if busybox is in use.
    - Change to tty1 on failure.
    - Revert "framebuffer: Let udev create fb devices."  udev isn't started
      at this point and therefore can't create framebuffer devices.
    - Create /dev/mem and /dev/zero if video=uvesafb.
    - Add hid_* modules, since some keyboards will not be usable at the
      initramfs/busybox prompt without them.
    - Replace all instances of vol_id with blkid, and depend on util-linux.
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Remove bnx2 from the initramfs; it needs firmware, and at this stage
      we only support network modules that don't need firmware loading.
    - update-initramfs: check whether kernel-img.conf exists and
      postinst_hook is set before calling flash-kernel.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Silence /bin/resume output when trying to resume.
    - Depend on a sufficient version of udev to load fbcon.
    - Conflict with older versions of usplash.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.  Use it while mounting
      local root filesystems and while resuming.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Allow specifying multiple break points using a comma delimiter.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Call 'plymouth message' before resuming, to notify the user of the
      reason for the delay if the plymouth theme supports it.
    - Change to ${DESTDIR} before running find to filter out looping or
      broken symlinks, to avoid tickling a find bug.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
  * Drop artificial dependency on libc 2.11, which worked around a libapt
    bug on upgrade to lucid.
  * Drop lpia support.
  * Drop hooks/keymap and associated code again; console-setup takes care of
    this in Ubuntu.
  * Make /usr/share/initramfs-tools/scripts/panic/keymap executable.
  * Make hooks/busybox declare hooks/klibc as a prerequisite, so that the
    former can remove symlinks installed by the latter.
  * Make the dependency on initramfs-tools-bin binNMU-safe.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jun 2010 14:44:15 +0100

initramfs-tools (0.96.1) unstable; urgency=low

  * hook-functions: Make sure copy_exec hook function does not
    exit with a non-zero return value in non-verbose mode.
    [Closes: #584520]
  * docs/framebuffer: Document mode vs. mode_option option in
    framebuffer example script. [Closes: #439846]
  * hook-functions: make device name handling for /proc/mdstat
    more flexible for MODULES=dep. [Closes: #549680, #514756]
  * mkinitramfs / scripts/functions + initramfs-tools.8:
    Support dashes inside scripts names. [Closes: #566056]
  * hook-functions: handle ubifs in dep_add_modules() and return
    since ubifs root is a char device, (see issue #582858).
  * mkinitramfs: warn if TMPDIR is mounted noexec + fall back
    to not cache run scripts then. [Closes: #576678]
  * Add myself to uploaders.

 -- Michael Prokop <mika@debian.org>  Tue, 08 Jun 2010 15:59:08 +0200

initramfs-tools (0.95.1) unstable; urgency=low

  [ Michael Prokop ]
  * NMU as requested by maintainer.
  * update-initramfs: fix unbound variables. [Closes: #583695]
    Based on patch by Jonathan Nieder.

  [ Jonathan Nieder ]
  * update-initramfs: use $* instead of $@.

 -- Michael Prokop <mika@debian.org>  Sun, 30 May 2010 22:09:15 +0200

initramfs-tools (0.95) unstable; urgency=low

  [ maximilian attems ]
  * update TODO list.
  * hook-functions: refactor copy_exec.
  * mkinitramfs: check only once for existing ldd.
  * mkinitramfs: Use eventual TMPDIR definition.
  * mkinitramfs: guard against empty EXTRA_CONF.
  * update-initramfs: Use nounset.
  * mkinitramfs: Fix several unbound variables.
  * mkinitramfs: On verbose indicate what we rm.
  * bug script: include sizes of generated initramfs.
  * debian/script: add generated resume param to bug.
  * hook-functions: manual_add_modules simplify.
  * hook-functions: copy_modules_dir() small simplifications.
  * mkinitramfs.8: Fix wrong sourcing in boot script. (Closes: #545728)
  * initramfs-tools.8: Mention /scritps/functions.
  * initramfs-tools.8: cryptopts param gone.
  * initramfs-tools.8: document BOOTIF variable.
  * configure_networking(): work with empty DEVICE string.
    (Closes: #566295, #575766)
  * hook-functions: add hid-apple. (Closes: #577253)
  * Revert "mkinitramfs: only copy modprobe conf files". (Closes: #577981)
  * initramfs-tools: change license to GPL.
  * hook-functions: re-add hid-microsoft. (Closes: #577253)
  * initramfs-tools: drop outdated breaks.
  * debian/copyright: add boilerplate to keep lintian happy.
  * hook-functions: Fix copy_modules_dir().

  [ Axel Beckert ]
  * mkinitramfs.8: Add information about $TMPDIR environment variable.

  [ bert schulze ]
  * mkinitramfs: add LZO support.
  * mkinitramfs: use -9 for lzop.

  [ Vagrant Cascadian ]
  * configure_networking: pxelinux BOOTIF fixes.
  * init: add BOOTIF bootarg.

  [ Michael Prokop ]
  * Support booting from USB 3 xHCI-based controllers.

  [ Claus Herwig ]
  * mkinitramfs: fix MODULES=dep on mylex raid devices (DAC960).
    (Closes: #579702)

 -- maximilian attems <maks@debian.org>  Fri, 28 May 2010 17:22:56 -0700

initramfs-tools (0.94.4) unstable; urgency=low

  * init: fix hardcoded resume handling. (Closes: #576700)

 -- maximilian attems <maks@debian.org>  Thu, 08 Apr 2010 06:02:28 +0200

initramfs-tools (0.94.3) unstable; urgency=low

  * debian/control: Add Breaks against experimental findutils.
    (closes: #576677)

 -- maximilian attems <maks@debian.org>  Thu, 08 Apr 2010 03:50:28 +0200

initramfs-tools (0.94.2) unstable; urgency=low

  * debian/control: amend Breaks for exp mdadm.

 -- maximilian attems <maks@debian.org>  Tue, 06 Apr 2010 23:50:06 +0200

initramfs-tools (0.94.1) unstable; urgency=low

  * debian/control: Add a breaks mdadm.
  * debian/control: Fix Breaks version comparison.

 -- maximilian attems <maks@debian.org>  Tue, 06 Apr 2010 16:18:25 +0200

initramfs-tools (0.94) unstable; urgency=low

  * The "Litte Bang" release

  [ maximilian attems ]
  * Nuke kernelextras hooks.
  * Create a klibc hook script.
  * Redefinde MODULES=most to not carry any fb driver per default.
  * Nuke framebuffer boot script.
  * Revert "hook-functions: Add hid_* modules."
  * Move busybox addition to a hook script.
  * mkinitramfs fix comment.
  * hook-functions: Fix mounted /sys check for openvz container.
  * initramfs-tools.8: fix boot example script to execute.
    scripts/functions. (closes: #545728)
  * Fix out-of-date-standards-version.
  * /etc/kernel hook script support for make deb-pkg generated linux-images
    and kernel-package. (closes: #523735, #561289)
  * update-initramfs: allow -t takeover on delete.
  * /etc/kernel/postrm.d/i-t: use now takeover on delete.
    (closes: #524534, #547365, #559619)
  * Nuke useless unused dir.
  * kernel hook scripts: Fix typo, add comments.
  * hook-funcitions: Only warn about missing firmware if /proc/modules
    exists. (closes: #560266, #575154)
  * mkinitramfs: Be opportunistic when calling modprobe thus showing
    errors. (closes: #554873)
  * copy_exec: Check if ldd is around.
  * scripts/local: Use blkid as backup fstype detection. (closes: #568527)
  * mkinitramfs: only copy modprobe conf files. (closes: #506533)
  * blacklist earlier at init-top stage.
  * scripts/local: fix blkid invocation.
  * init: export and unset BOOTIF.
  * init: rexport resume to reallow it's hardcoded usage. (closes: #572858)
  * update-initramfs: -d delete .bak file. (closes: #559535)
  * control: bump standards version without changes.
  * control: Clean up Uploaders field.
  * switch from cdbs to debhelper 7.
  * update-initramfs: Stop second guessing lilo usage. (closes: #574553)
  * mkinitramfs: allow to build initramfs for unmodular linux images.
    (closes: #415474, #433708)
  * initramfs.conf.5: document UMASK variable for sensitive initramfs.
    (closes: #536195)
  * update-initramfs: only run elilo if configured. (closes: #534201)
  * update-initramfs: fix previous elilo commit.
  * MODULES=DEP Use driver/module syfs attribute. (closes: #567189)
  * panic: quote variable.
  * MODULES=DEP: Check rootfs on mkinitramfs. (closes: #519800)
  * Use ata_generic driver on all_generic_ide bootarg
  * scripts/functions: add get_fstype() from scripts/local. (closes: #487409)
  * mkinitramfs.8: update date.
  * Keep acpi modules in initramfs so that udev can load them early.
  * mkinitramfs: no longer copy depmod.
  * init: Silence "Loading essential drivers..." on quiet boot.
  * hook-functions: Add btrfs to base modules.
  * init: export BOOT for casper and friends.
  * hooks/klibc: Keep gzip in initramfs.
  * modernize docs to todays standards.
  * examples: shipp old framebuffer boot script.
  * initramfs.conf.5, update-initramfs.conf.5: Add FILES section.
    (closes: #565386)
  * mkinitramfs: be silent if no modules.map was generated in first place.
  * debian/control: Add a breaks cryptsetup.

  [ Tormod Volden ]
  * blacklist boot hook write to /etc/modprobe.d/initramfs.conf.
    (closes: #541864)

  [ Michael Prokop ]
  * Fix path to nfsroot.txt in documentation.
  * hook-functions: Avoid firmware copy error. (closes: #570678)

  [ Joey Hess ]
  * scripts/local: avoid mount -t unknown. (closes: #567065)

  [ Avi Rozen ]
  * mkinitramfs: add all usb storage devices. (closes: #543568)

  [ Ferenc Wagner ]
  * initramfs-tools: make the panic argument available in the rescue
    shell. (closes: #569033)

  [ Maximilian Gass ]
  * mkinitramfs: KEYMAP option fails to work due to missing keymap.
    (closes: #565416)

  [ Vagrant Cascadian ]
  * configure_networking: support BOOTIF variable set by pxelinux.
    (closes: #535008)

  [ Ben Hutchings ]
  * copy_modules_dir: Take a list of exclusions after the base directory.
  * auto_add_modules: Copy all modules from net, excluding some
    subdirectories.

  [ Scott James Remnant ]
  * init: Mount devtmpfs on /dev.
  * mkinitramfs: Call depmod before packing the initramfs.
    (closes: #465760, #562561)
  * init: load the netconsole module with netconsole bootarg
  * init: mount /dev/pts as well as /dev.

  [ Ben Collins ]
  * update-initramfs: Default to not keep .bak backups.

  [ Piotr Lewandowski ]
  * update-initramfs breaks if /etc/mtab is a symlink to /proc/mounts.
    (closes: #525606)

  [ Martin Michlmayr ]
  * MODULES=dep fix boot with MMC. (closes: #548711)

  [ Nikolaus Schulz ]
  * hook-functions: let dep_add_modules() recurse into lvm slave devices.
    (closes: 573761)

  [ Anna Jonna Armannsdottir ]
  * configure_networking: Try repeatedly ipconfig with increasing
    timeout.

  [ Colin Watson ]
  * mkinitramfs: Filter out looping or broken symlinks from the
    initramfs. (closes: #575157)
  * mkinitramfs: set initramfs root to 755.

  [ Bert Schulze ]
  * initramfs-tools: support different compression tools in mkinitramfs.
    (closes: #533903)
  * mkinitramfs: -c compression support / commandline override.
    (closes: #576429)

 -- maximilian attems <maks@debian.org>  Mon, 05 Apr 2010 05:25:48 +0200

initramfs-tools (0.93.4) unstable; urgency=medium

  [ Aaron M. Ucko ]
  * scripts/init-top/framebuffer: i915 needs intel-agp too. (closes: #533258)

  [ maximilian attems ]
  * preinst: Don't hardcode vol_id cmd.
  * initramfs-tools.8: Convert hyphen to minus sign.
  * control: bump versioned dep on debhelper.
  * control: bump standards version without changes.
  * hook-functions: Fix loading of entries without newline in
    /etc/initramfs-tools/modules. (closes: #532745)
  * MODULES=most: Add virtio_net to initramfs. (closes: #533894)

 -- maximilian attems <maks@debian.org>  Wed, 29 Jul 2009 14:55:04 +0200

initramfs-tools (0.93.3) unstable; urgency=low

  [ maximilian attems ]
  * cleanup LABEL handling code.
  * update-initramfs: Use exit code of command -v too.
  * hook-functions: Add i915 module for kms.
  * update-initramfs: Pass version to flash-kernel. (closes: #523711)
  * update-initramfs: Don't hardcode path for lilo or elilo. (closes: #524928)
  * hook-functions: MODULES=dep error out if sysfs not mounted on /sys.
    (closes: #524179)
  * debian/control: No longer mention EVMS in long description.
  * hook-functions: MODULES=most fix old typo s/smc911x/smc91x/.
    (closes: #528094)
  * mkinitramfs: Invoke dpkg --print-architecture. (closes: #529222)

  [ Loic Minier ]
  * copy_exec: also avoid picking sse2, neon, and vfp hwcaps libs.

 -- maximilian attems <maks@debian.org>  Tue, 21 Apr 2009 15:05:40 +0200

initramfs-tools (0.93.2) unstable; urgency=low

  [ François Delawarde ]
  * hook-functions: MODULES=dep fix for luks over cciss devices.
    (closes: #517072, #522030)

  [ maximilian attems ]
  * hook-functions: stricter match on loaded module for firmware
    warning.
  * hook-functions: Add first firmware from $(uname -r) versioned
    directories. (closes: #521370)
  * hook-functions: MODULES=most add all fb modules per default.
  * update-initramfs: Cleanup run_bootloader()
  * update-initramfs: mbr_check() use /boot/grub/grub.cfg for grub2
    search. (closes: #427509)
  * update-initramfs: Run update on highest version instead of
    /initrd.img link. (closes: #493863)
  * hook-functions: MODULES=most fb add all available agp modules.
  * update-initramfs: Fix error message on wrong -k version argument.
  * hooks/thermal: Prevent inclusion of windfarm modules on PS3.
  * mkinitramfs: Allow dots in boot and script filenames.

  [ Maik Zumstrull ]
  * init-top/framebuffer: Load intel-agp for intelfb.
    (closes: #416063, #455876)

 -- maximilian attems <maks@debian.org>  Thu, 02 Apr 2009 12:44:33 +0200

initramfs-tools (0.93.1) unstable; urgency=low

  [ maximilian attems ]
  * init: export ip root param for configure_networking(). (closes: #516746)
  * initramfs-tools.8: Document exported IP kernel parameter.
  * initramfs-tools.preinst: Nuke initrd-tools related migration path.
  * MODULES=dep: ide-disk got renamed to ide-gd_mod since 2.6.28.
  * mkinitramfs: usage() fix conffile name.
  * update copyright year of my contributions.
  * control: conform to latest policy without changes.
  * hook-functions: reword MODULES=dep error message.
  * hook-functions: MODULES=dep fix for mmc root. (closes: #520198)
  * debian/compat: Set debhelper compatibility version 5.

  [ Matt Kraai ]
  * mkinitramfs-kpkg misspells "deprecation" as "depreciation".
    (closes: #517344)

  [ Michael Vogt ]
  * update-initramfs: set_linked_version() check if the links point to
    an existing initrd.img.

  [ Scott James Remnant ]
  * mkinitramfs: include the modules.order file.

  [ Ben Collins ]
  * init-top/framebuffer: ignore blacklist for forced vga= usage.

 -- maximilian attems <maks@debian.org>  Mon, 23 Mar 2009 07:55:16 +0100

initramfs-tools (0.93) unstable; urgency=low

  Release "Fischia il vento e infuria la bufera"

  [ maximilian attems ]
  * manpages: Set Linux as necessary OS.
  * initramfs-tools.8: Fix path of debug log - now kept after boot.
    (closes: #488804)
  * mkinitramfs: Use cp with correct DESTDIR instead of copy_exec for configs.
    Fixes relative pathes for -d option. (closes: #472409)
  * initramfs-tools.8: Document default 180s rootdelay.
  * update-initramfs: Fix run_bootloader() to check for grub2.
    (closes: #511514)
  * control: Add ${misc:Depends} depends.
  * nuke old lvm hook scripts.
  * mkinitramfs-kpkg: deprecate it's usage.
  * hook-functions: just ship old iee1394 if around.
  * mkinitramfs: Post-Lenny cleanup.
  * udevhelper: nuke as need for partial upgrades between etch/lenny.
  * mkinitramfs: Fix new pipe construct to really work inside
    "${DESTDIR}".
  * thermal boot script: Don't load thermal+fan on acpi=off. (closes: #514997)
  * MODULES=dep fix for minor partitions > 9. (closes: #513958)
  * initramfs-tools.8: Document mkinitramfs and init env variables.
    (closes: #512453)
  * init: Fix boot with LABEL containting one or several '/'. Thanks to
    Andres Salomon <dilinger@debian.org> for testing. (closes: #489008)
  * scripts/local-premount/resume: Fix resume with LABEL containing '/'.

  [ e2xbegqsdyt21hfc ]
  * update-initramfs.8: mentions the specific conf file.

  [ Kel Modderman ]
  * init: variable `break' unset before `maybe_break init' is evaluated.
    (closes: #509637)

  [ Kees Cook ]
  * minitramfs: find/cpio exit codes ignored while building initramfs.
    (closes: #514938)
  * mkinitramfs: Do not pass exit code through on pipe failure.

  [ Luke Yelavich ]
  * hook-functions: Add hid_* modules, since some keyboards will not be
    usable at the initramfs/busybox prompt without them. (closes: #515866)

  [ Andres Salomon ]
  * allow root=mtd0 to be used; skip root checks if ROOT doesn't start
    with /dev. (closes: #497133)
  * initramfs-tools: Readd support for linux-2.6 make deb-pkg target.
    (closes: #504551)

  [ Ian Campbell ]
  * MODULES=dep fix for Xen virtual block devices.

 -- maximilian attems <maks@debian.org>  Wed, 18 Feb 2009 19:10:23 +0100

initramfs-tools (0.92o) unstable; urgency=high

  * configure_networking: Raise ipconfig timeout to 180 seconds.
    Thanks Norbert Tretkowski <norbert@tretkowski.de> for report.
    (closes: #511085)

 -- maximilian attems <maks@debian.org>  Wed, 07 Jan 2009 15:16:14 +0100

initramfs-tools (0.92n) unstable; urgency=high

  [ Eugene Paskevich ]
  * hook-functions: Fix MODULES=dep for lvm LABEL fstab notation.
    (closes: #508906)

  [ maximilian attems ]
  * all_generic_ide: Also parse boolean bootoption. (closes: #507805)
  * initramfs-tools.8: Document where to look up NFSOPTS. (closes: #502927)
  * update-initramfs.8: List -d and mark the non-optional as such.

  [ S. Sakar ]
  * hook-functions: MODULES=dep fix encrypted loop device.
    (closes: #499666)

 -- maximilian attems <maks@debian.org>  Fri, 19 Dec 2008 14:03:13 +0100

initramfs-tools (0.92m) unstable; urgency=medium

  [ Colin Watson ]
  * scripts/functions: Call ipconfig with a one-minute timeout.
  * Make debug option write to /dev/.initramfs/initramfs.debug,
    so that it can be retrieved after boot.

  [ Julien Danjou ]
  * scripts/functions: Wrong check for udevadm in functions. (closes: #507059)

  [ maximilian attems ]
  * scripts/functions: fix not set break variable. (closes: #502058)
  * MODULES=dep fix for ida devices.
  * hook-functions: alphebetize net drivers, fix typhoon typo.
  * Add atl1e, cxgb, ixgb, ixgbe, mlx4_core, netxen_nic, sfc, tehuti to
    net module list. (closes: #503216)
  * nuke 0.92k goof clean up.
  * postrm: set -e flag.
  * Revert "framebuffer: Let udev create fb devices."
  * scripts/functions: comment fix path to moved linux-2.6
    Documentation.
  * init: Don't leak initramfs-tools exported variables.
    (closes: #426465, #505440)

  [ dann frazier ]
  * Fix MODULES=dep for cciss devices. (closes: #507619)

  [ Michal Pokrywka ]
  * framebuffer: Add support for uvesafb. (closes: #502056)

  [ Andres Salomon ]
  * fix redboot partition support. (closes: #504555)

 -- maximilian attems <maks@debian.org>  Tue, 16 Dec 2008 16:01:44 +0100

initramfs-tools (0.92l) unstable; urgency=high

  * Revert "initramfs-tools: Add support for linux-2.6 make deb-pkg
    target" (closes: #499270) thanks Vincent Danjean <vdanjean@debian.org>.

 -- maximilian attems <maks@debian.org>  Wed, 17 Sep 2008 15:38:05 +0200

initramfs-tools (0.92k) unstable; urgency=high

  [ Martin Michlmayr ]
  * update initramfs.conf according to latest Debian Installer.
  * update-initramfs: don't run glantank-update-kernel.

  [ maximilian attems ]
  * auto_add_modules: add dasd_diag_mod to dasd section.
  * initramfs-tools: Add support for linux-2.6 make deb-pkg target.

 -- maximilian attems <maks@debian.org>  Tue, 16 Sep 2008 14:55:04 +0200

initramfs-tools (0.92j) unstable; urgency=high

  [ Gerfried Fuchs ]
  * initramfs-tools.8: Nuke useless bold spaces.
  * initramfs-tools.8: Fix manpage-has-errors-from-man.

  [ maximilian attems ]
  * Readd zfcp to auto_add_modules. (closes: #498698)
  * Add dasd_diag_mod to auto_add_modules block section
    Thanks Bastian Blank <waldi@debian.org>.

  [ Martin Michlmayr ]
  * initramfs.conf: Mention possible value overriding by d-i for
    example. (closes: #498712)

 -- maximilian attems <maks@debian.org>  Sat, 13 Sep 2008 12:12:02 +0200

initramfs-tools (0.92i) unstable; urgency=high

  * MODULES=dep fix for root lvm on md. (closes: #498237)
    Thanks Rod Whitby <rod@whitby.id.au> for report and test.

 -- maximilian attems <maks@debian.org>  Mon, 08 Sep 2008 16:13:24 +0200

initramfs-tools (0.92g) unstable; urgency=high

  [ maximilian attems ]
  * wait_for_udev: s/udevsettle/udevadm/ for upgrades after Lenny.
  * auto_add_modules: Add ext4 and ext4dev. (closes: #494922)

  [ Andres Salomon ]
  * Fix parse_numeric() to ignore non hex root string prefixes aka
    root=mtd0 on OLPC. see #497133

 -- maximilian attems <maks@debian.org>  Tue, 02 Sep 2008 17:50:32 +0200

initramfs-tools (0.92f) unstable; urgency=medium

  [ maximilian attems ]
  * mkinitramfs: only lvm2 initramfs has busybox dep. (closes: #490875)
  * mkinitramfs: Fix usage and man outfile arg is not optional.
    (closes: #493238)
  * preinst fix vol_id path. (closes: #494433)
  * update-initramfs: run_bootloader() invoke flash-kernel and glantank-
    update-kernel in order to have latest initramfs flashed on triggered
    update. Thanks to Joey Hess <joeyh@debian.org>.
  * debian/control: Newer standards version without changes.

  [ Chris Lamb ]
  * make log_begin_msg not emit trailing newline (closes: #494257)

  [ Martin Michlmayr ]
  * MODULES=dep boot fix for Orion. (closes: #494027)

 -- maximilian attems <maks@debian.org>  Tue, 12 Aug 2008 11:09:11 +0200

initramfs-tools (0.92e) unstable; urgency=medium

  * udevhelper hook: drop ide.agent.

 -- maximilian attems <maks@debian.org>  Mon, 07 Jul 2008 13:52:54 +0200

initramfs-tools (0.92d) unstable; urgency=low

  * Ubuntu merge
    - More meaningful text for no root device panic from Ubuntu.
    - Add virtio_pci, udf for MODULES=most root device support.
    - usplash pulsates: drop code to increment a progress bar after
      each message.
    - initramfs-tools.preinst: Try to use UUID for resume device.
    - add boot script loading ide-generic on all_generic_ide cmdline.
      Thanks Frans Pop <elendil@planet.nl> for report. (closes: #485786)
  * init: add possible mountroot break (closes: #488963)
  * initramfs-tools.8: document UUID usage for root and all_generic_ide.
    (closes: #489186)
  * debian/initramfs-tools.preinst: try with different vol_id pathes.

 -- maximilian attems <maks@debian.org>  Sat, 05 Jul 2008 02:36:10 +0200

initramfs-tools (0.92c) unstable; urgency=low

  [ maximilian attems ]
  * doc: fix date string of manual pages.
  * MODULES=most add mmc host and card drivers for OLPC. (closes: #483431)
  * update-initramfs.conf.5: document backup_initramfs variable.
    (closes: #475430)
  * initramfs-tools.8: Document "break" and "panic" behaviour.
    (closes: #481196)
  * wait_for_udev(): simplify, no need for logging.

  [ martin f. krafft ]
  * Wait for udevsettle after -top scripts ran
  * init: Remove extra ellipses

 -- maximilian attems <maks@debian.org>  Sat, 05 Jul 2008 00:31:06 +0200

initramfs-tools (0.92bubuntu78) lucid; urgency=low

  * hooks/compcache: Escape $-expansions inside <<EOF (thanks, Eugene San;
    LP: #569317).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Apr 2010 16:15:57 +0100

initramfs-tools (0.92bubuntu77) lucid; urgency=low

  * Add a new 'fixrtc' script that tries to set the system clock forward
    based on the last mount time of the root disk; without this kludge,
    systems without a working RTC will end up in a perpetual reboot loop.
    Thanks to Dave Martin <Dave.Martin@arm.com> for the patch.  LP: #563618.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Apr 2010 14:55:24 -0700

initramfs-tools (0.92bubuntu76) lucid; urgency=low

  * hooks/compcache: add option to disable usage of compcache completely on
    the kernel cmdline using the nocompcache option

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 22 Apr 2010 14:53:05 +0200

initramfs-tools (0.92bubuntu75) lucid; urgency=low

  * When specifying a network interface by MAC address, set DEVICE to (e.g.)
    eth0 rather than /sys/class/net/eth0 (LP: #546964).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Apr 2010 12:40:42 +0100

initramfs-tools (0.92bubuntu74) lucid; urgency=low

  * debian/control, debian/rules:
    - force libc6 dependency to >= 2.11 (and libc6.1 on ia64, the libc6
      has a different packages name on this architecture) to workaround a
      bug in libapt  when it orders the install for essential packages
      (LP: #559582)
      This can be removed after lucid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Apr 2010 13:13:50 +0200

initramfs-tools (0.92bubuntu73) lucid; urgency=low

  * Change to ${DESTDIR} before running find to filter out looping or broken
    symlinks, to avoid tickling a find bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Apr 2010 23:33:22 +0100

initramfs-tools (0.92bubuntu72) lucid; urgency=low

  * make sure we can use mmc cards for / and add a proper sysfs handler,
    (mmc always uses numbering in the device name like mmcblk[0-9]p[0-n], make
    sure hook-functions only cuts off the partition but not the device number)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 14 Apr 2010 11:40:30 +0200

initramfs-tools (0.92bubuntu71) lucid; urgency=low

  * init:
    - mount /dev/pts as well as /dev so we can redirect the console early.
    - load the netconsole module when netconsole=* placed on the kernel
      command-line.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 26 Mar 2010 14:45:26 +0000

initramfs-tools (0.92bubuntu70) lucid; urgency=low

  * Filter out looping or broken symlinks from the initramfs, since they
    cause cpio to explode (LP: #540686).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Mar 2010 13:08:05 +0000

initramfs-tools (0.92bubuntu69) lucid; urgency=low

  * scripts/init-top/blacklist: move vga16fb blacklisting before the
    bail-out logic.
  * scripts/init-top/framebuffer: create "fbmode" argument to force allow
    foring a mode via fb /sys interfaces, for framebuffers that do not
    correctly handle setting mode via module options.

 -- Kees Cook <kees@ubuntu.com>  Sat, 20 Mar 2010 13:12:25 -0700

initramfs-tools (0.92bubuntu68) lucid; urgency=low

  * Backport from Debian:
    - hook-functions: Cope with partitions over 9 (LP: #539577).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 18:57:43 +0000

initramfs-tools (0.92bubuntu67) lucid; urgency=low

  * debian/control:
    - make the Breaks: upslash (<< 0.5.50) a Conflicts to help the
      apt resolver on hardy to lucid upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Mar 2010 13:25:29 +0100

initramfs-tools (0.92bubuntu66) lucid; urgency=low

  * scripts/local-premount/resume: wait-for-root will handle both UUID= and
    /dev/disk/by-uuid, but /bin/resume from klibc will only handle the latter,
    so revert the changes from 0.92bubuntu59 that dropped our fix-up of
    device name.  LP: #499940.
  * scripts/local-premount/resume: also recognize 'swsuspend' as a valid fs
    type for a hibernation partition, since this is what udev returns for the
    in-kernel hibernate/resume handling.  Thanks to Peter Clifton for noticing
    this!
  * scripts/local-premount/resume: call 'plymouth message' before resuming,
    to notify the user of the reason for the delay if the plymouth theme
    supports it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 00:20:22 -0800

initramfs-tools (0.92bubuntu65) lucid; urgency=low

  * scripts/init-premount/blacklist: Move to init-top so it has a chance
    of running before udev.
  * scripts/init-top/blacklist: Automatically blacklist vga16fb when vga=
    or video= specified on kernel command-line.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Feb 2010 12:35:22 +0000

initramfs-tools (0.92bubuntu64) lucid; urgency=low

  * Allow specifying multiple break points using a comma delimiter.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 10 Feb 2010 11:18:26 +0000

initramfs-tools (0.92bubuntu63) lucid; urgency=low

  * init, scripts/functions: Add support for specifying a network interface
    by MAC address, using hwaddr= on the command line or HWADDR in an
    initramfs configuration file (LP: #473036).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Feb 2010 11:49:34 -0800

initramfs-tools (0.92bubuntu62) lucid; urgency=low

  * src/wait-for-root.c:
    - device records we obtain from udev may not have a device node name
      yet, check to avoid strcmp between NULL and our path.  LP: #499422.
    - device records from the queue may not exist at all, check to avoid
      calling udev_device_unref on NULL (which should be safe anyway).
    - eliminate a race condition; by checking the filesystem before the
      queue, there was a small chance that udev could finish processing
      between our calls

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Dec 2009 19:30:01 +0000

initramfs-tools (0.92bubuntu61) lucid; urgency=low

  * init: Mount devtmpfs on /dev, falling back to a tmpfs if not supported
    by the kernel.

  * src/wait-for-root.c: accept the timeout on the command-line too rather
    than using an environment variable.
  * scripts/local: Pass $ROOTDELAY or 30
  * scripts/local-premount/resume: pass $RESUMEDELAY or 5

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 21 Dec 2009 23:06:53 +0000

initramfs-tools (0.92bubuntu60) lucid; urgency=low

  * src/wait-for-root.c:
    - Fix a bug where we checked queue entries for ID_FS_TYPE too; would
      mean we thought a device directly named (e.g. /dev/md0) wasn't
      in the queue when it was, and wouldn't wait for it.
    - Fix another bug where we didn't clear udev_device after iterating
      the queue.
    - Rather than mucking around with sequence numbers in the queue, just
      wait using the monitor if we identify the device as being in the
      queue.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 18 Dec 2009 14:47:30 +0000

initramfs-tools (0.92bubuntu59) lucid; urgency=low

  * src/wait-for-root.c: handle the case where we're given UUID= or LABEL=
    and the device already exists (we need to stat the /dev/disk path).
  * scripts/local-premount/resume: this means we can use wait-for-root for
    resume handling too.
  * mkinitramfs: drop the PAGE_SIZE conf, it's no longer needed since we
    rely on udev finding out it's a hibernated image through blkid.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 18 Dec 2009 04:34:04 +0000

initramfs-tools (0.92bubuntu58) lucid; urgency=low

  * Add new initramfs-tools-bin package containing a binary that uses
    libudev to wait for udev to create the udev device, or wait for udev
    to finish processing if we catch it in the act, and returns the
    filesystem type as already probed by udev.
    - This avoids calls to udevadm settle, which make us wait for irrelevant
      modules that we don't need.
    - This avoids duplicate calls to blkid, which since they probe the block
      device directly, are expensive
    - This does not use fstype; which avoids issues with that and blkid
      returning different answers (since everything else throughout the
      entire system now uses blkid)
  * scripts/local: Rewrite to use wait-for-root rather than looping over
    our own shell attempts to do the same.
  * mkinitramfs:
    - include wait-for-root
    - mkinitramfs: Don't quote modules.*map, so we actually expand it.
  * hooks/thermal:
    - don't force load fan or thermal, they're generally built-in and if not
      will be loaded by udev anyway
  * scripts/panic/keymap:
    - auto-generated from the init-top keymap file, with the OPTION= removed,
      so keymap will always be set on panic

  * Remove accidentally included test initramfs.  :-)

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 18 Dec 2009 03:18:28 +0000

initramfs-tools (0.92bubuntu57) lucid; urgency=low

  * debian/initramfs-tools.dirs:
    - add scripts/panic directory

  * scripts/functions:
    - if tsort is available, use it instead of custom sorting code
    - if a pre-cached order file is available, use that instead
    - run panic scripts before giving a root shell
  * mkinitramfs:
    - generate a pre-cached order file for each scripts directory in the
      output initramfs
    - call depmod before packing the initramfs, so it contains the output
      already
  * init:
    - drop depmod call

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 16 Dec 2009 17:47:49 +0000

initramfs-tools (0.92bubuntu56) lucid; urgency=low

  * scripts/init-top/keymap: We don't need to load keymaps unless we're
    loading the framebuffer module (and thus have a splash screen).

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Dec 2009 14:57:29 +0000

initramfs-tools (0.92bubuntu55) lucid; urgency=low

  * hooks/framebuffer: Change the inclusion option from USPLASH to
    FRAMEBUFFER, in hindsight that option name wasn't very forward-thinking
    of me.
  * scripts/init-top/framebuffer:
    - Make conditional on new option name.
    - As well as waiting for fb0 to show up, we also should wait for fbcon
      and dri/card0 to show up as well, since we'll almost certainly want
      a console and direct rendering.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Nov 2009 23:45:44 +0000

initramfs-tools (0.92bubuntu54) lucid; urgency=low

  * hook-functions: check both /lib/firmware/$(uname -r) and /lib/firmware
    for the firmware that we wish to copy; in any cases where we want to
    suppress a firmware-using module from the initramfs, we should do that
    explicitly and not by accidentally failing to include the firmware.
    LP: #328550.
  * hook-functions: cherry pick fix from Debian upstream version to not warn
    about missing firmware for modules whose names are merely /like/ those of
    modules listed in /proc/modules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Nov 2009 00:47:55 -0600

initramfs-tools (0.92bubuntu53) karmic; urgency=low

  * Explicitly check for fb0 so we don't false-positive on the graphics
    subsystem having been initialised (should cure some issues with usplash
    using svgalib instead of KMS, and vanishing part way through).
  * Don't force load the vesafb driver, we never did this before, so it
    seems silly to do it now.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Oct 2009 04:41:37 +0100

initramfs-tools (0.92bubuntu52) karmic; urgency=low

  * Include all usb/storage drivers, not just usb-storage.ko  LP: #419231

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Oct 2009 15:34:43 +0100

initramfs-tools (0.92bubuntu51) karmic; urgency=low

  * scripts/init-top/framebuffer: wait for udev to settle before loading
    command-line specified framebuffer driver to ensure that any needed
    device nodes are available.  LP: #437871.

 -- Scott James Remnant <scott@ubuntu.com>  Sat, 03 Oct 2009 07:55:35 +0100

initramfs-tools (0.92bubuntu50) karmic; urgency=low

  LP: #392039, #431812.
  * hooks/framebuffer:
    - rename from hooks/kernelextras, this is much more descriptive and
      actually matches the associated script
    - copy kernel-mode-setting drivers (drivers/gpu) into the initramfs
    - include the vesafb driver, which we previously relied on being in
      the special initrd directory
    - don't force load fbcon
    - don't force load things from the initrd directory
  * scripts/init-top/framebuffer:
    - add udev as a pre-requisite
    - remove mknods since udev will make those now
    - remove intel_agp and i915 code
    - don't unset MODPROBE_OPTIONS, just override for the modprobe call
      (since we want video= to override the blacklist)
    - if we didn't pick up a framebuffer from vga= or video=, and don't
      have one from udev, wait for udev to finish then if we still don't
      have one, load vesafb
    - settle after loading drivers to ensure the device is ready
  * debian/control:
    - increase dependency on udev to that which loads fbcon
    - add breaks on older usplash to force upgrade

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 23 Sep 2009 14:25:00 -0700

initramfs-tools (0.92bubuntu49) karmic; urgency=low

  * Re-add the OPTION=VAR checking to scripts/functions, since we actually do
    need this when calling the hooks at initramfs generation; but add a second
    argument to call_scripts, "optional", that we check for before doing these
    checks since we definitely don't want this to be conditional in the
    initramfs at runtime.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2009 09:44:00 -0700

initramfs-tools (0.92bubuntu48) karmic; urgency=low

   * Don't do OPTION=VAR checking at runtime, only do it when assembling the
     initramfs; this spares us having to add extra config files to the
     initramfs to enable functionality that's already been selected.
     LP: #433773.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2009 00:17:13 -0700

initramfs-tools (0.92bubuntu47) karmic; urgency=low

  * Silence output when trying to resume, since the only output is bitching
    that we can't resume because we didn't hibernate in the first place.
    LP: #432585.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 21 Sep 2009 16:07:10 -0700

initramfs-tools (0.92bubuntu46) karmic; urgency=low

  FFE LP: #427356.

  * mkinitramfs: Allow scripts to specify OPTION=VAR, and unless VAR is
    set to something other than "n", the script will not be included.
  * scripts/functions: Likewise when running scripts (for hooks)

  * Make usplash-related components optional, you need to set USPLASH=y
    for these to be included:
    - hooks/kernelextras: which includes the KMS driver
    - scripts/init-top/framebuffer: which loads it

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:30:12 +0100

initramfs-tools (0.92bubuntu45) karmic; urgency=low

  * Depend on busybox-initramfs (>= 1:1.13.3-1ubuntu5) to ensure that we
    have gzip (LP: #428282).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Sep 2009 10:23:40 +0100

initramfs-tools (0.92bubuntu44) karmic; urgency=low

  * Revert mxcfb changes of 0.92bubuntu40 and 0.92bubuntu41 as a more complete
    workaround was put in usplash.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 11 Sep 2009 21:46:45 +0200

initramfs-tools (0.92bubuntu43) karmic; urgency=low

  * Move "Loading, please wait..." message to after /proc is mounted, so
    that we can inspect /proc/cmdline.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Sep 2009 14:23:05 +0100

initramfs-tools (0.92bubuntu42) karmic; urgency=low

  * Don't display "Loading, please wait..." message when 'quiet' is in
    /proc/cmdline.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Sep 2009 23:31:28 +0100

initramfs-tools (0.92bubuntu41) karmic; urgency=low

  *  fix quoting for mxcfb in scripts/init-top/framebuffer

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 30 Aug 2009 10:28:06 +0200

initramfs-tools (0.92bubuntu40) karmic; urgency=low

  * add a hack to scripts/init-top/framebuffer for handling the yet broken
    mxcfb as described in LP bug #420555, so usplash can be used on the
    imx51 architecture based devices

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 29 Aug 2009 11:37:27 +0200

initramfs-tools (0.92bubuntu39) karmic; urgency=low

  * auto_add_modules net: Load virtio_net, to make testing in kvm easier.
  * init: Export IPOPTS (LP: #364626).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Aug 2009 12:37:56 +0100

initramfs-tools (0.92bubuntu38) karmic; urgency=low

  * change --print-installation-architecture to --print-architecture in
    mkinitramfs and hook-functions to quieten down dpkg warning during
    update-initramfs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Jul 2009 21:33:50 +0200

initramfs-tools (0.92bubuntu37) karmic; urgency=low

  * update-initramfs: Fix run_bootloader() to check for grub2
  patch from debian bug #511514

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Jul 2009 19:56:58 +0200

initramfs-tools (0.92bubuntu36) karmic; urgency=low

  * add missing colon in the regex and a filename for the grep from the next
    upload ... d'oh

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Jul 2009 19:28:16 +0200

initramfs-tools (0.92bubuntu35) karmic; urgency=low

  * update-initramfs: check whether kernel-img.conf exists and postinst_hook
    is set before calling flash-kernel. (patch from Loic Minier to work
    around shortcomings described in launchpad bug 365053 (not the desired
    solution yet which needs to happen in debian but we need it for
    livecd-rootfs to work on armel))

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Jul 2009 16:49:10 +0200

initramfs-tools (0.92bubuntu34) karmic; urgency=low

  * Remove bnx2 from the initramfs; it needs firmware, and at this stage we
    only support network modules that don't need firmware loading (LP:
    #394783).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Jul 2009 11:45:58 +0100

initramfs-tools (0.92bubuntu33) karmic; urgency=low

  * Cope with new compcache module naming.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jul 2009 14:12:07 +0100

initramfs-tools (0.92bubuntu32) karmic; urgency=low

  * Copy in KMS drivers (currently just i915 and the AGP drivers) if we can,
    so that we can load them before starting usplash. NOTE that this whole
    edifice is not intended to be used by default on most systems for
    Karmic, and that the general intent is to make the initramfs smaller
    rather than larger; however, we're still going to need usplash in the
    initramfs for some use cases (e.g. dm-crypt), so we might as well get
    this working now.
  * Fix formatting error in initramfs-tools(8).
  * 'set -e' in initramfs-tools.postrm.
  * Fix handling of resume_offset: if it's set then we need to check in a
    different location for the swap signature.
  * Remove kinit and gzip from the initramfs. The first record I can find of
    this Ubuntu change is in a merge from Debian, and I can't see any
    justification for it since neither binary is actually used by any
    initramfs scripts.
  * Remove klibc utilities if busybox is in use (patch based on Debian
    #338405; LP: #327106). Leave a symlink for /bin/sleep since some scripts
    expect that to exist.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jun 2009 14:19:02 +0100

initramfs-tools (0.92bubuntu31) karmic; urgency=low

  * Set the permissions on the initramfs root to 755, as otherwise
    unionfs-fuse (which may be used via casper) can't service requests made
    by non-root users.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Jun 2009 02:58:57 +0100

initramfs-tools (0.92bubuntu30) karmic; urgency=low

  * Replace all instances of vol_id with blkid, and depend on util-linux

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 07 May 2009 12:52:20 +0100

initramfs-tools (0.92bubuntu29) jaunty; urgency=low

  * copy_exec: also avoid picking sse2, neon, and vfp hwcaps versions of libs.
  * Move debhelper and cdbs from -Indep to Build-Depends for clean:.

 -- Loic Minier <lool@dooz.org>  Tue, 14 Apr 2009 11:11:52 +0200

initramfs-tools (0.92bubuntu28) jaunty; urgency=low

  * update-initramfs: copy the logic added in Debian to run flash-kernel after
    the initrd has been generated (if the system is supported by
    flash-kernel); flash-kernel is run twice, but at least the system really
    runs the latest initrd; LP: #358762.

 -- Loic Minier <lool@dooz.org>  Sat, 11 Apr 2009 00:07:04 +0200

initramfs-tools (0.92bubuntu27) jaunty; urgency=low

  * Backport from Debian (LP: #347685):
    - init: Fix boot with LABEL containing one or several '/'. Thanks to
      Andres Salomon <dilinger@debian.org> for testing. (closes: #489008)
    - scripts/local-premount/resume: Fix resume with LABEL containing '/'.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Apr 2009 02:04:34 +0100

initramfs-tools (0.92bubuntu26) jaunty; urgency=low

  * hooks/thermal: Do not load thermal control for macintosh if the device is a PS3. (LP: #346899)

 -- Arnaud Jeansen <arnaud.jeansen@gmail.com>  Thu, 26 Mar 2009 00:41:46 +0100

initramfs-tools (0.92bubuntu25) jaunty; urgency=low

  * mkinitramfs: include the modules.order file.  LP: #296710.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Mar 2009 16:11:49 +0000

initramfs-tools (0.92bubuntu24) jaunty; urgency=low

  * update-initramfs:
    - when doing set_linked_version, check if the links point
      to a existing initrd.img

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Mar 2009 10:25:42 +0100

initramfs-tools (0.92bubuntu23) jaunty; urgency=low

  * Forgot the top-level MODPROBE_OPTIONS set.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 22:06:46 +0000

initramfs-tools (0.92bubuntu22) jaunty; urgency=low

  * Replace calls to modprobe -Q with -q.  LP: #340128.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 21:38:45 +0000

initramfs-tools (0.92bubuntu21) jaunty; urgency=low

  * mkinitramfs: catch errors in find/cpio/gzip pipe (debian bug 514938):
    - git 63cc7b9216d69f413cd5414c96cf2c9a403e03ae
    - git 93654c9230d3817fa57069012a0b06ccb1df09e4

 -- Kees Cook <kees@ubuntu.com>  Sun, 15 Feb 2009 09:48:50 -0800

initramfs-tools (0.92bubuntu20) jaunty; urgency=low

  * scripts/local-premount/resume: wait for usplash drawing routines
    to finish by flushing usplash command buffer before starting resume.

 -- Kees Cook <kees@ubuntu.com>  Sun, 08 Feb 2009 07:34:40 -0800

initramfs-tools (0.92bubuntu19) jaunty; urgency=low

  * hook-functions: Add hid_* modules, since some keyboards will not be
    usable at the initramfs/busybox prompt without them.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 29 Jan 2009 07:00:07 +1100

initramfs-tools (0.92bubuntu18) jaunty; urgency=low

  * Add ext4 to the initramfs, in case it stops being built into the kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jan 2009 13:29:51 +0000

initramfs-tools (0.92bubuntu17) jaunty; urgency=low

  [ Mikael Gerdin ]
  * Create /dev/mem and /dev/zero if video=uvesafb (LP: #285970).

  [ Colin Watson ]
  * Make debug option write debug output to /dev/.initramfs/initramfs.debug
    rather than /tmp/initramfs.debug, so that it can be retrieved after
    boot.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2008 17:22:18 +0000

initramfs-tools (0.92bubuntu16) intrepid-proposed; urgency=low

  * Added atl1e to the list of NICs built into the initramfs.
    -LP: #292411

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 14 Nov 2008 11:40:29 -0700

initramfs-tools (0.92bubuntu15) intrepid; urgency=low

  [ Dan Munckton ]
  * Revert "framebuffer: Let udev create fb devices." udev isn't started at
    this point and therefore can't create framebuffer devices. This causes
    usplash not to run on PS3 (LP: #274860).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Oct 2008 16:02:37 +0100

initramfs-tools (0.92bubuntu14) intrepid; urgency=low

  * scripts/functions: Call ipconfig with a one-minute timeout rather than
    waiting forever (LP: #182940).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Oct 2008 14:51:59 +0100

initramfs-tools (0.92bubuntu13) intrepid; urgency=low

  * scripts/local-premount/resume: Fix incorrect resume message by checking
    for swsusp signature before assuming there's a resume about to happen

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Sep 2008 11:49:55 +0100

initramfs-tools (0.92bubuntu12) intrepid; urgency=low

  * scripts/functions: must chvt(1) during failure hooks, as console input
    might be required (eg, boot degraded raid) (LP: #268873).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 11 Sep 2008 16:49:17 -0400

initramfs-tools (0.92bubuntu11) intrepid; urgency=low

  * scripts/local-premount/resume: Display a message indicating that a resume
    has begun.  This is non-localized text, but is better than nothing until
    we can display a graphical indicator.  (LP: #41137)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 11 Sep 2008 09:26:31 +0100

initramfs-tools (0.92bubuntu10) intrepid; urgency=low

  * drop silly COMPCACHE_PREREQ and SKIP_COMPCACHE hacks, instead we
    export BOOT from init and deacivate compcache on the fly if booting
    in casper if we have more than 512M actual ram available.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 14 Aug 2008 00:10:13 +0200

initramfs-tools (0.92bubuntu9) intrepid; urgency=low

  * Default update-initramfs.conf to not keep backups. With latest
    last-good-boot, we don't need to any more.
    TODO: LILO probably wants .bak's since it doesn't do last-good-boot stuff.
    Should we worry about this?

 -- Ben Collins <ben.collins@canonical.com>  Sun, 03 Aug 2008 17:34:22 -0400

initramfs-tools (0.92bubuntu8) intrepid; urgency=low

  * scripts/functions: Change to tty1 in the panic function to make sure the
    user can read any error messages displayed. (LP: #243226)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 29 Jul 2008 16:29:16 +1000

initramfs-tools (0.92bubuntu7) intrepid; urgency=low

  * scripts/functions:
    - add_mountroot_fail_hook(): set up symlinks to hooks in tmp directory
    - try_failure_hooks(): new function that executes each fail hook in
      lexographic order, exiting successfully if a hook succeeds
    - panic(): remove the fail hook calling logic, now provided by
      try_failure_hooks()
  * scripts/local:
    - get_fstype(): FSTYPE must be initialized to "unknown" in case the fstype
      call does not set it
    - root_missing(): new function to provide the oft-called set of checks on
      the ROOT device
    - mountroot(): use root_missing(), and try the failure hooks before giving
      up
  * Fixes required for (LP: #120375), lots of help from Kees Cook, thanks!

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 25 Jul 2008 17:34:21 -0500

initramfs-tools (0.92bubuntu6) intrepid; urgency=low

  * Replace /bin/mount by a symlink to busybox if busybox is available;
    klibc mount doesn't support displaying mount points.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jul 2008 11:10:05 +0100

initramfs-tools (0.92bubuntu5) intrepid; urgency=low

  * Remove klibc chroot when using busybox, as the former is just wrong
    (chroot(); execve() rather than chroot(); chdir(); execvp()).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Jul 2008 12:21:21 +0100

initramfs-tools (0.92bubuntu4) intrepid; urgency=low

  * Add COMPCACHE_PREREQ varable (needs to be exported before running
    update-initramfs) to the compcache hook script, so that PREREQ can be
    filled by apps like casper. with that we are for example able to
    disable compcache dynamically if a certain amount of physical ram is
    present.
  * Add SKIP_COMPCACHE variable to init-top script (to be read from
    /tmp/compcache.opts which should be filled by a PREREQ script defined in
    COMPCACHE_PREREQ) to make it possible to let the script silently die

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 09 Jul 2008 16:17:39 +0000

initramfs-tools (0.92bubuntu3) intrepid; urgency=low

  * Support loading compcache from the initramfs.
    - conf/initramfs.conf: Add and document the COMPCACHE_SIZE setting.
    - initramfs.conf.5: Document the COMPCACHE_SIZE setting.
    - hooks/compcache: Install the compcache module and a script to initialize
      the cache if COMPCACHE_SIZE contains a value.
    - mkinitramfs: export COMPCACHE_SIZE for the hook.

 -- Johan Kiviniemi <debian@johan.kiviniemi.name>  Wed, 09 Jul 2008 03:10:21 +0300

initramfs-tools (0.92bubuntu2) intrepid; urgency=low

  * Whilst looping for the root filesystem, don't just rely on the existance
    of the block device and whether vol_id succeeds on it, but also make
    sure that udev is not currently active by calling "settle" on it.  This
    solves a race where mdadm or devmapper still has a lock on the device,
    but the contents are ready which will cause the mount call later to fail.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 02 Jul 2008 16:44:53 +0100

initramfs-tools (0.92bubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change Build-Depends to Build-Depends-Indep.
    - Use busybox-initramfs for Depends.
    - Do not source udev.conf.
    - Set BUSBOXDIR properly.
    - Keep kinit and gzip in initrd.
    - Use -Qb for for module loading to honor blacklists via the use of
      MODPROBE_OPTIONS.
    - all_generic_ide script.
    - Remove lvm local-top script (conflicts with lvm-common).
    - takeover=1 in update-initramfs.
    - Allow the mounting of a root filesystem as a loop device on top
      of a host filesystem, used for wubi installs.
    - Add vfat support to the initramfs.
    - Reduce timeout to 30 seconds -- corner cases (giant
      disk arrays, clusters) will need to provide their own rootdelay=
      boot arg.
    - Keep more meaningful text for no root device panic.
    - Provide a clearer error on mount failure of the Windows host
      filesystem.
    - Add 2>&1 to the run-init line.
    - Source /scripts/functions in resume script.
    - resume UUID upgrade.
    - Add mountroot failure support, to allow meaningful messages when
      no root device can be found.
    - Panic if either the root device doesn't exist, or vol_id cannot
      identify it. Allows for mountroot failure hooks for md devices
      to be displayed.
    - Ignore blacklist for forced vga= usage.
    - Loop for 5 seconds waiting for $suspend to show up, adjustable
      with the resumedelay= command-line arg.
    - Load virtio_pci for MODULES=most.
    - Usplash pulsates until the real init takes over.
    - Drop scripts/init-premount/thermal as force_load can do this
      for us during initramfs creation.
    - Load thermal modules on lpia.
    - Allow for alternative PREREQS to be specified using | as the
      separator.
    - Add udf to auto_add_modules. It was originally added to
      dep_add_modules, however dep_add_modules now auto-detects the
      modules needed for the root filesystem.
  * hook-functions:
    - Refer to /lib/firmware/${version} where version is the kernel
      version we are building an initramfs for.
    - Do not copy /lib/udev/firmware.agent to the initramfs. Ubuntu's
      udev has /lib/udev/firmware_helper instead, and the udev hook
      copies this to the initramfs for us.
    - Dropped the manual_add_firmware function, as initramfs-tools now
      checks the firmware field in the module it is copying, and copies
      the firmware required by that module if its available.
  * Drop hooks/keymap and the KEYMAP variable setting in
    conf/initramfs.conf as console-setup takes care of keymap loading.
  * hooks/udevhelper: Drop, udev already copies what it needs.
  * hooks/legacylvm: Drop, as it refers to binaries and directories our
    lvm package doesn't have.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 30 Jun 2008 15:54:36 +1000

initramfs-tools (0.92b) unstable; urgency=low

  [ maximilian attems ]
  * update-initramfs: mbr_check() fix for /dev/md/X naming. (closes: #469312)
    Thanks to Axel Beckert <beckert@phys.ethz.ch> for report.
  * hook-functions: MODULES=dep fix error message.

  [ Glennie Vignarajah ]
  * initramfs-tools: Fix UUID rootfs detection with 'MODULES=dep'.
    (closes: #483082)

 -- maximilian attems <maks@debian.org>  Fri, 30 May 2008 16:31:42 +0200

initramfs-tools (0.92a) unstable; urgency=high

  * ps3: Add ps3_sys_manager to MODULES=dep ps3 modules.
  * initramfs-tools.8: Document resume_offset bootparam.
  * Documentation typo fixes and additions.
  * init: Fix hardcoded ROOT bootcase. (closes: #478236)
    Thanks Kevin Price <kp@kevin-price.de> for report and
    Martin Michlmayr <tbm@cyrius.com> for debugging.

 -- maximilian attems <maks@debian.org>  Tue, 29 Apr 2008 21:18:55 +0200

initramfs-tools (0.92) unstable; urgency=low

  Release "Ogni contrada è patria del ribelle"

  [ maximilian attems ]
  * init: export ROOTFLAGS + ROOTFSTYPE.
  * debian/control: s/XS-Vcs/Vcs/
  * mkinitramfs: Drop gzip -9 option. (closes: #470869)
    Thanks Tollef Fog Heen <tfheen@err.no>.
  * Ignore lintian warnings about empty directories.
  * framebuffer: Let udev create fb devices.
  * framebuffer: Leave tty devices for udev too.
  * manpages: fix  hyphen-used-as-minus-sign
  * init: fix mkdir usage.
  * init: Set proper permissions of /dev/console mknod fallback.
  * scripts/function: Use mknod directly.
  * debian/control: Depend on latest klibc for mknod usage.
  * scripts/functions: fix configure_networking() for multiple interfaces.
    (closes: #467078) Thanks Michal Sojka <sojkam1@fel.cvut.cz>.
  * ps3 nuke useless hardcoded initramfs script. (closes: #468113)
  * resume: Add support for resume_offset swap file suspend to disk.
    (closes: #474691) Thanks Alan Jenkins <alan-jenkins@tuffmail.co.uk>.
  * update-initramfs: Rename function according to reliability fix.
  * hook-functions: Add atl1, cxgb3, e1000e, igb, ipg, niu, sky2 to
    net section of initramfs modules. (closes: #463607)
  * hook-functions: MODULES=dep fix ps3 support.
  * initramfs-tools.8: Small documentation fixes. (closes: #467627)

  [ debian@x.ray.net ]
  * configure_network(): do nothing if device already configured.
    (closes: #465901)

  [ Joey Hess ]
  * update-initramfs: use dpkg-trigger. (closes: #447611)

  [ Luke Yelavich ]
  * update-initramfs: Initramfs generation reliability fixes.
    (closes: #468112)

  [ Fabio M. Di Nitto ]
  *  hook-functions: Add support for sunvnet and sunvdc.

 -- maximilian attems <maks@debian.org>  Wed, 09 Apr 2008 10:42:49 +0200

initramfs-tools (0.91e) unstable; urgency=medium

  [ Daniel Reichelt ]
  * update-initramfs: fix ro-mounted /boot check (closes: #458772)

 -- maximilian attems <maks@debian.org>  Tue, 12 Feb 2008 18:23:34 +0100

initramfs-tools (0.91d) unstable; urgency=low

  * MODULES=dep fix for new /dev/md/X naming scheme (closes: #440694).
  * debian/control: Add versioned depends on findutils (closes: #450888).
  * Update to newer standards version without changes.
  * local-premount/resume: coding style fixes.

 -- maximilian attems <maks@debian.org>  Wed, 26 Dec 2007 00:53:48 +0100

initramfs-tools (0.91c) unstable; urgency=low

  * update-initramfs: Fix ro /boot partition check (closes: #451151)
  * init: Don't overwrite boot cmdline arg (closes: #453294)

 -- maximilian attems <maks@debian.org>  Wed, 28 Nov 2007 19:49:41 +0100

initramfs-tools (0.91b) unstable; urgency=low

  * hooks/udevhelper: Adding all /lib/udev on initramfs if missing. Due to
    overly strict errexit usage by udev hook functionality might be missing.
    This is an potential Etch Lenny upgrade issue on UUID and LABEL roots.
    Thanks Michael Prokop <mika@grml.org> for report. (closes: 431291)

 -- maximilian attems <maks@debian.org>  Thu, 04 Oct 2007 12:00:33 +0200

initramfs-tools (0.91a) unstable; urgency=low

  * init: Fix resuming with hardcoded uppercase RESUME variable.
    Thanks Raphael Hertzog <hertzog@debian.org> for the report.

 -- maximilian attems <maks@debian.org>  Wed, 12 Sep 2007 19:06:19 +0200

initramfs-tools (0.91) unstable; urgency=low

  * udev_helper: Axe the modprobe ide-generic should no longer be needed
    for kernel since Etch.
  * debian/control: Tighten dep on latest klibc for BUSYBOX=n usage.
    Add XS-Vcs-* fields. Mv busybox from Depends to Recommends.
  * mkinitramfs: Cope when no busybox is around warn on md/lvm root.
  * mkinitramfs: Kill kinit.shared too.
  * scripts/local: Quote readonly variable. (LP: #115807)
  * mkinitramfs, scripts/keymap: Add trailing slash on cp destination for dir.
  * init: Call panic for debug sh if run-init fails.
  * init-top/framebuffer: Check that fb minor is below 32.
  * init: Export noresume if set. uswsusp and kdump need it.
  * init: Try harder to find a valid init on rootmnt. Fixes bootfailure on
    bogus init bootarg too.
  * scripts/{functions,nfs}: Split networking code in separate function.
    Thanks Vagrant Cascadian <vagrant+debianbugs@freegeek.org> for the patch.
    (closes: #439397)
  * update-initramfs: Don't check for ro /boot inside of a chroot.
  * debian/script: Fix syntax of MODULES=dep block.
  * hook-functions: Add rootfs detection for the "auto" mount output.
    Thanks martin f krafft <madduck@debian.org> for report. (closes: #441211)
  * init: Disable quiet on debug bootarg. Fix new init error message.
    Thanks Michael Prokop <mika@grml.org> for the patches.
  * hook-functions: MODULES=dep fix I2O detection. Add sys_walk_modalias()
    to catch old style IDE.
  * mkinitramfs: Export MODULES, allows hook scripts to act accordingly.
    (closes: #421658) Add /usr/share/initramfs-tools/conf-hooks.d for hooks
    options on mkinitramfs run. Do not land in initramfs.

 -- maximilian attems <maks@debian.org>  Sun, 09 Sep 2007 12:26:16 +0200

initramfs-tools (0.90a) unstable; urgency=high

  * scripts/functions: simplify panic()
  * mkinitramfs: Kick empty dir modules.
  * hook-functions: Factor sys_walk_mod_add() out of dep_add_modules().
  * init: Fix mount options invocation for klibc mount.
  * hook-functions: Add the new firewire modules.

 -- maximilian attems <maks@debian.org>  Thu, 23 Aug 2007 14:37:51 +0200

initramfs-tools (0.90) unstable; urgency=low

  Release "J'aim' pas le fataliste Je n'ai ni foi ni loi"

  [ maximilian attems ]
  * hook-functions: Fix xen i386 boots with optimized 2.5. (closes: 420754)
    Thanks Marco Nenciarini <mnencia@debian.org> for patch.
  * debian/control: Bump dep on klibc-utils from etch. (closes: 435031)
  * scripts/functions: Implement non-zero panic bootarg. Style fix for
    maybe_break().
  * hook-functions: dep_add_modules() fix for md, lv, luks root.
    (closes: #426917, #429237, #426446)
  * debian/scripts: Add /etc/crypttab to reportbug script.  Add /sys/block
    list for MODULES=dep to reportbug script.
  * scripts/functions: Add error message on verbose mode about ignored files
    in boot/hooks dir.  Thanks Kornilios Kourtis <kkourt@cslab.ece.ntua.gr>
    for the initial patch. Fixes a double set_initlist call too. Ignore empty
    dirs earlier too. (closes: #428729, #433459)
  * mkinitramfs.8: Document verbose mode.
  * debian/initramfs-tools.preinst: Inhibit /etc/initramfs-tools/conf.d/resume
    creation in chroot for debian-live and other. (closes: #433190)
    Thanks Kel Modderman <kel@otaku42.de> for the patch.
  * update-initramfs: Improve "altered" error message. (closes: #436752)
  * update-initramfs, update-initramfs.conf: update_initramfs config variable
    is tristate. Set to 'all' to update any initramfs: $(update-initramfs -u).
    Allows specific admin setting. (closes: #425050)

  [ David Härdeman ]
  * hook-functions: Protect all variable with local, plus coding style fixes.

 -- maximilian attems <maks@debian.org>  Thu, 09 Aug 2007 21:30:29 +0200

initramfs-tools (0.89) unstable; urgency=low

  Release "L'\xE9lecteur c'est notoire N'a pas tout' sa raison"

  [ Joey Hess ]
  * mkinitramfs: Include libgcc_s.so.1 on arm since glibc always tries to load
    it for the SJLJ exception handling on that architecture. (closes: #426395)
    Thanks to Aurelien Jarno for ack and review.

  [ maximilian attems ]
  * initramfs.conf.5: Document ROOT hardcoding.
  * scripts/local: Use simpler fstype invocation.
  * initramfs-tools.8, initramfs.conf.5: Fix typos. (closes: #427837, #427838)
    Thanks "A. Costa" <agcosta@gis.net> for the patch.
  * scripts/local: Try to warn for renamed root dev. (closes: #374611)
  * minitramfs: Fall back to bootable default MODULES=most if unsupported
    MODULES setting is passed. Thanks Henning Sprang <henning_sprang@gmx.de>
    for report. (closes: #429144)
  * hook-functions: Fix variable typo. Thanks Emanuele Rocca <ema@debian.org>.
  * scripts/local: Revert change to use udev vol_id before fstype,
    there are too many "wrongly" formated fs out there. fstype supports less,
    but is more robust.

 -- maximilian attems <maks@debian.org>  Wed, 04 Jul 2007 00:28:34 +0200

initramfs-tools (0.88) unstable; urgency=low

  [ maximilian attems ]
  * debian/changelog: Fix missing colons in closes.
  * hook-functions: Add a proper /sys walking dep_add_modules() for a minimal
    initramfs on MODULES=dep. (closes: #395526)
  * mkinitramfs.8: Add examples section, plus improve description of the
    low-level tool and how it fits with update-initramfs.
  * init: Ignore non-numerical panic and rootdelay bootarg.
  * scripts/init-premount/ps3: Fix typo. (closes: #423469)
  * scripts/nfs: Fix when root-path includes server-ip. (closes: #387808)
    Thanks Vagrant Cascadian <vagrant+debianbugs@freegeek.org> for patch.

  [ David Härdeman ]
  * init: Remove cryptopts parsing, not official bootparam. cryptsetup scripts
    parse /proc/cmdline themselves (even in the Etch version).
  * hook-functions: Change copy_exec to use the same source and
    destination path if only one argument is given.
  * hook-functions: Document how copy_exec determines the target path.
  * hook-functions: Add firmware loading support to manual_add_modules().
    (closes: #355881)
  * scripts/local: Ubuntu merge
    - As well as waiting for the existance of the root device node, also check
      to see whether we have a filesystem of some kind on it.  Some devices
      nodes (devmapper/LVM/EVMS, mdadm) will exist before they can be safely
      used. Patch by Scott James Remnant <scott@ubuntu.com>. Changed to
      support both fstype and vol_id.
  * hook-functions: make version check in check_minkver more robust.

 -- maximilian attems <maks@debian.org>  Sun, 27 May 2007 00:52:38 +0200

initramfs-tools (0.87b) unstable; urgency=low

  * scripts/init-top/framebuffer: Remove vga16fb loading on splash bootarg.
    Newer usplash > 0.4 no longer needs that.

  * hooks/legacymdadm: remove only needed for partial upgrades from sarge.

  *  hooks/legacylvm: Source relevant functions. (closes: 419667)

 -- maximilian attems <maks@debian.org>  Tue, 17 Apr 2007 11:56:58 +0200

initramfs-tools (0.87) unstable; urgency=low

  [ maximilian attems ]
  * scripts/functions: reduce_satisfied() needs to ignore the same set as
    set_initlist() otherwise an script having a prereqs on a non-executable
    boot script may cause circular panic. (closes: 418509)
  * Add blacklist boot param, disabling the load of specific modules inside
    the initramfs. Still needs to be passed via tmpfs to the rootfs.
  * mkinitramfs, scripts/functions: Fix regexes to always use posix character
    classes. Based on a patch by Meelis Roos <mroos@linux.ee>.
    (closes: 419062)

  [ David Härdeman ]
  * Add support for loading keymaps. (closes: 337663)
  * Move legacy code from mkinitramfs to separate hooks.
  * Ubuntu merge
    - Add PS3 module loading functionality without grep usage.
  * debian/copyright: Update authors info.
  * Bump standards version, no changes necessary.
  * debian/scripts: Print settings from initramfs.conf in reportbug script.

 -- maximilian attems <maks@debian.org>  Mon, 16 Apr 2007 20:21:30 +0200

initramfs-tools (0.86) unstable; urgency=low

  * update-initramfs: Bound the mode and version variable. (closes: 403905)

  * init: Set once the MODPROBE_OPTIONS environment variable and export it.
    Don't forget to set -b to have the modprobe.d blacklists respected.
    Thus remove everywhere the -q modprobe switch.
    Thanks Ben Collins <bcollins@ubuntu.com> for the suggestion.

  * small trailing whitespace cleanup, display full path of kernel-img.conf
    in bug script.

  * debian/control: Add busybox-initramfs as Ubuntu busybox alternative
    to depends. Drop the sarge busybox-cvs-static entry.

  * scripts/local-top/mdrun: Drop, existed for partial upgrades from sarge.

  * scripts/local: Improve panic message and printed order. (closes: 414640)
    Thanks Vincent.McIntyre@csiro.au for patch.

  * scripts/functions: Check if panic is set before using it. (closes: 406107)
    Thanks martin f krafft <madduck@debian.org> for report.

  * hook-functions: Copy all kernel/drivers/{block,ide,scsi} subdir modules
    instead of hardcoding the list of "supported" drivers. As consequence
    the initramfs might be larger, but none of those should be missed!
    As bonus syncs with Ubuntu.

  * init: Mount /sys and /proc nodev, noexec, nosuid - Ubuntu sync.

  * update-initramfs: If update-initramfs fails, restore the backup.
    Useful if a MINKVER set is not fulfilled. (LP: #101844)
    Thanks Soren Hansen <sh@linux2go.dk> for patch.

  * initramfs-tools.preinst: Test if $RESUME is nonzero, not if it exists,
    fixes issue of UUID resume dev. (LP: #67932) While there remove the
    conffile mv handling of 0.61.

  * scripts/functions: set_initlist() needs to add only script names with
    alphabetics, numerics and underscores - skip any other. Bad enough
    backup scripts get added, but they shouldn't lead to a panic. Also skip
    directories that might lay around.  (closes: 398347) (LP: #76131)

  * initramfs-tools.8: Document valid script names.

  * mkinitramfs: Don't add backup scripts to initramfs. (closes: 378682)
    (LP: #78348)

  * scripts/functions: run_scripts() return immediately if passed dir
    does not exist. Empty dirs without boot script aren't created anymore.

  * debian/copyright: Update my email, add Ben Collins, update years,
    alphabetic authors sort + add new git tree location.

  * mkinitramfs: Set PATH with /sbin to allow non-root user usage.
    Thanks Bob Montgomery <bob.montgomery@hp.com> for the suggestion.
    (closes: 409995)

 -- maximilian attems <maks@debian.org>  Tue, 10 Apr 2007 21:45:36 +0200

initramfs-tools (0.85g) unstable; urgency=high

  * SECURITY scripts/functions: Set permission of created root dev in
    parse_numeric() to 600. This bug only affects lilo boots. Thanks
    Fabian Pietsch <fabian@canvon.dyndns.org> and Goswin von Brederlow
    <brederlo@informatik.uni-tuebingen.de> for patch input. (closes: 417995)

  * debian/control: Change Uploaders email.

 -- maximilian attems <maks@debian.org>  Fri,  6 Apr 2007 09:19:13 +0200

initramfs-tools (0.85f) unstable; urgency=high

  Release "Au lieu d'aller voter Casse leur la margoulette"

  * update-initramfs: Grub _doesn't_ clear LILO string in mbr, but the inverse
    is done. Fix mbr_check() to first check for GRUB. Fixes accidental lilo
    call in the case that Grub is the used bootloader. (closes: 409820)
    Thanks Michael Prokop <mika@grml.org> for bringing up the case.

  * initramfs.conf.5, mkinitramfs.5: Fix typos. Document version.
    (closes: 405157, 405190, 405194)

  * update-initramfs: Be more screamy about lilo error, people seem to
    overlook recent lilo failures.

  * scripts/init-top/framebuffer: Remove unused variables.

  * init: Export ROOTDELAY to let udev boot script handle eventual rootdelay.
    downgrades 401916

 -- maximilian attems <maks@sternwelten.at>  Wed,  7 Mar 2007 23:34:17 +0100

initramfs-tools (0.85eubuntu41) intrepid; urgency=low

  * Backport from Debian (required for new busybox):
    - init: Fix mount options invocation for klibc mount.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jun 2008 18:20:44 +0100

initramfs-tools (0.85eubuntu40) intrepid; urgency=low

  * Add vfat support to the initramfs (LP: #236021).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 30 May 2008 12:50:50 -0400

initramfs-tools (0.85eubuntu38) intrepid; urgency=low

  * scripts/local: reduce timeout to 30 seconds -- corner cases (giant
    disk arrays, clusters) will need to provide their own rootdelay=
    boot arg.  Expanded the failure text to include a hint about the
    "rootdelay" boot argument.

 -- Kees Cook <kees@ubuntu.com>  Wed, 28 May 2008 13:17:16 -0700

initramfs-tools (0.85eubuntu37) intrepid; urgency=low

  * Provide a clearer error on mount failure of the Windows host
    filesystem (LP: #226622)

 -- Agostino Russo <agostino.russo@gmail.com>  Tue, 06 May 2008 23:55:47 +0100

initramfs-tools (0.85eubuntu36) hardy; urgency=low

  * Drop dependency on volumeid, it's shipped by udev again.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 10 Apr 2008 14:00:46 +0100

initramfs-tools (0.85eubuntu35) hardy; urgency=low

  * hook-functions: Do not display find error messages if firmware directories
    cannot be found. (LP: #153743)
  * scripts/functions: Remove unneeded quotes. These were causing multiple
    mountroot fail hook entries to be run as one command.
  * scripts/local: Panic if the root device node cannot be found, or vol_id
    can't identify the volume on the device. This allows mdadm's mountroot fail
    hook to be reliably triggered, as the md device node exists even if the
    array cannot be brought up.
  * init: Add 2>&1 to the run-init line at the end of the file, to fix a long
    outstanding bug where init has no stderr.
  * scripts/local-premount/resume: Source /scripts/functions, thanks to
    Nikolaus Filus for the patch. (LP: #203429)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Thu, 10 Apr 2008 00:48:51 +1000

initramfs-tools (0.85eubuntu34) hardy; urgency=low

  * Wow, somehow my fix for 129910 got removed. Re-implement. DO NOT USE -Qb
    for framebuffer. We need to ignore blacklist for forced vga= usage.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 18 Mar 2008 11:46:44 -0400

initramfs-tools (0.85eubuntu33) hardy; urgency=low

  * Edit scripts/local with patch from
    https://bugs.edge.launchpad.net/wubi/+bug/201750 comment 1
    "Cannot remount loopfiles inside of vfat"
    "The workaround involves mounting all loopinstallations rw to begin with"
    Closes LP: #201750

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Mar 2008 14:35:20 +0000

initramfs-tools (0.85eubuntu32) hardy; urgency=low

  * Drop -9 to gzip call in order to save time at a very small size
    penalty (< 1%)

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 14 Mar 2008 10:41:38 +0100

initramfs-tools (0.85eubuntu31) hardy; urgency=low

  * debian/initramfs-tools.preinst: If /etc/mkinitramfs/initramfs.conf was not
    modified, do not copy it over to /etc/initramfs-tools on a dapper->hardy
    upgrade, since this causes an unnecessary dpkg conffile prompt.
    (LP: #172853)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Mar 2008 19:19:59 +0100

initramfs-tools (0.85eubuntu30) hardy; urgency=low

  * Fix check for "ro" on /boot
    - LP: #197470

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 11 Mar 2008 14:41:15 -0400

initramfs-tools (0.85eubuntu29) hardy; urgency=low

  * Do not honor blacklists for vga=/video= parsing. We should always load the
    fb drivers in this case (since this is a manual operation on the part of
    the user)
    LP: #129910

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 11 Mar 2008 11:46:08 -0400

initramfs-tools (0.85eubuntu28) hardy; urgency=low

  * update-initramfs: remove failed ".new" initrd when creation is aborted.

 -- Kees Cook <kees@ubuntu.com>  Mon, 10 Mar 2008 15:25:03 -0700

initramfs-tools (0.85eubuntu27) hardy; urgency=low

  * Copy the initramfs image to a backup file, in the event that the /boot
    filesystem doesn't support hard links.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Fri, 07 Mar 2008 09:17:53 +1100

initramfs-tools (0.85eubuntu26) hardy; urgency=low

  * Loop for 5 seconds waiting for $suspend to show up.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 29 Feb 2008 15:34:35 -0500

initramfs-tools (0.85eubuntu25) hardy; urgency=low

  * scripts/functions:
    - Call all registered mountroot failure hooks, rather than
      stopping at one that has reported a failure.
    - Change the loop code that runs mountroot failure hooks, so we don't end up
      in an infinite loop.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Mon, 18 Feb 2008 11:59:07 +1100

initramfs-tools (0.85eubuntu24) hardy; urgency=low

  * Implement the initramfs-tools part of the initramfs error handling spec
  * update-initramfs:
    - Make a hard link to the original initramfs image, rather than moving
      it out of the way.
    - Create a new initramfs image to ${initramfs}.new, to ensure we still
      have a functional initramfs in case of failure. The original initramfs
      only gets replaced when a new image is successfully created.
  * scripts/functions:
    - Added add_mountroot_fail_hook function to allow scripts in
      init-premount to register a hook to allow extra information
      to be given to the user, in the event of a non-existant root
      device.
    - The panic function now runs any registered mountroot fail hooks that
      were previously registered, and only does so when passed the -r
      argument from the calling function.
  * scripts/local: Call the panic function with -r to run any registered
    mountroot fail hooks when a root device cannot be found.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Feb 2008 13:38:51 +1100

initramfs-tools (0.85eubuntu23) hardy; urgency=low

  * Fix broken test in ro_boot_check (LP: #187282).  It was matching ro
    as a subword.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 30 Jan 2008 10:35:28 -0500

initramfs-tools (0.85eubuntu22) hardy; urgency=low

  * Load virtio_pci for MODULES=most.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 23 Jan 2008 19:27:18 +0100

initramfs-tools (0.85eubuntu21) hardy; urgency=low

  * Drop code to increment the usplash progress bar after each message,
    instead this will be pulsating until the real system.  LP: #162397.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Nov 2007 20:41:33 +0000

initramfs-tools (0.85eubuntu20) gutsy; urgency=low

  * Updates for ps3 modules

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 04 Oct 2007 10:31:53 -0400

initramfs-tools (0.85eubuntu19) gutsy; urgency=low

  * Always mount loop-mount NTFS host filesystems read-write; ntfs-3g can't
    remount yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Sep 2007 23:36:24 +0100

initramfs-tools (0.85eubuntu18) gutsy; urgency=low

  * Use dpkg-trigger even in our own postinst, unless we're doing
    trigger processing or the running dpkg version doesn't support
    reflexive triggers.  This reduces update-initramfs runs from two per
    upgrade batch to one per batch.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 24 Aug 2007 15:45:38 +0100

initramfs-tools (0.85eubuntu17) gutsy; urgency=low

  * Use dpkg-trigger (if available and operational) to save on
    calls to update-initramfs.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 16 Aug 2007 16:03:52 +0100

initramfs-tools (0.85eubuntu16) gutsy; urgency=low

  * Load thermal modules on lpia as well.  This may need to change in
    the future to support hardware-specific features, but it's a start.


 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jul 2007 15:30:42 +1000

initramfs-tools (0.85eubuntu15) gutsy; urgency=low

  * Add support for loop=, loopflags=, and loopfstype= arguments, to allow
    the real root filesystem to be loop-mounted from a given file on the
    filesystem specified by root=.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jul 2007 16:46:19 +0100

initramfs-tools (0.85eubuntu14) gutsy; urgency=low

  * Add support for sunvnet and sunvdc in hook-functions.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 04 Jul 2007 18:59:22 +0200

initramfs-tools (0.85eubuntu13) gutsy; urgency=low

  * fix nfsroot handling if rootserver is specified with IP and colon in
    root-path (debian bug #387808)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 04 Jul 2007 10:19:49 +0200

initramfs-tools (0.85eubuntu12) gutsy; urgency=low

  * Add support for alternative prerequisites, specified as e.g.
    "kbd|console-tools" (note the lack of spaces around the "|").

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Jun 2007 16:14:22 +0100

initramfs-tools (0.85eubuntu11) gutsy; urgency=low

  * Allow modules specified by force_load to be blacklisted.
  * Drop scripts/init-premount/thermal since this can be handled by using
    force_load now.

  * Make sure framebuffer modules can be blacklisted.

  * Drop mdrun script, since this can be handled entirely within the udev
    and initramfs scripts supplied by the mdadm package.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 May 2007 10:42:34 +0100

initramfs-tools (0.85eubuntu10) feisty; urgency=low

  * As well as waiting for the existance of the root device node, also check
    to see whether we have a filesystem of some kind on it.  Some devices
    nodes (devmapper/LVM/EVMS, mdadm) will exist before they can be safely
    used.  LP: #103177.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Apr 2007 10:51:27 +0100

initramfs-tools (0.85eubuntu9) feisty; urgency=low

  * Add patch to restore initramfs on failures. Taken from Debian's
    initramfs-tools git repo (5dfd85f416a10b1c41ca7005de38b58715c04472).
  * While we're here, remove snd_ps3 from autoload list on PS3. Isn't in
    initramfs. Installer will add it to /etc/modules.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 10 Apr 2007 11:05:45 -0400

initramfs-tools (0.85eubuntu8) feisty; urgency=low

  * Add support for the netboot variable, used by casper.  LP: #96072.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 30 Mar 2007 23:25:45 +0200

initramfs-tools (0.85eubuntu7) feisty; urgency=low

  * Use -Qb for ppc thermal modprobe's
  * Add snd_ps3 to ps3 module loads. Use -Qb here too.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 29 Mar 2007 19:54:40 -0400

initramfs-tools (0.85eubuntu6) feisty; urgency=low

